<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\x61\x69\154\171"; private const CONFIG_DIRECTORY = "\57\162\x6f\x6f\x74\x2f\56\x63\157\156\146\x69\x67\x2f\162\x63\x6c\x6f\x6e\x65\57"; private const CLP_USER_CONFIG_DIRECTORY = "\57\x68\x6f\x6d\145\57\143\154\160\57\56\143\x6f\x6e\x66\x69\x67\x2f"; private const CLP_USER = "\x63\x6c\160"; public const CREDENTIALS_DIRECTORY = "\57\150\x6f\155\x65\57\x63\154\x70\x2f\x2e\143\x6f\x6e\146\151\x67\x2f\x72\143\x6c\157\156\145\x2f\143\162\145\144\145\156\164\151\x61\154\163\57"; private const CONFIG_FILE = "\x2f\162\157\157\x74\x2f\56\143\157\156\x66\x69\147\x2f\x72\143\x6c\x6f\156\x65\57\x72\143\154\157\156\145\x2e\143\x6f\156\x66"; private const CRON_JOB_FILE = "\57\x65\x74\143\57\x63\162\x6f\x6e\56\144\57\143\154\x70\55\162\x63\x6c\157\156\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto F9ffb; Ef67f: return $this->configFile; goto bc11b; F9ffb: if (!(true === is_null($this->configFile))) { goto E28ba; } goto E1fc9; E1fc9: $this->configFile = self::CONFIG_FILE; goto be532; be532: E28ba: goto Ef67f; bc11b: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\x6c\x61\147" => $flag, "\x76\141\154\165\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto ed34c; c66ed: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto b0af6; A3bd6: $configFile = $this->getConfigFile(); goto Ebd70; Ebd70: $rcloneCopyCommand = new RcloneCopyCommand(); goto B506b; B506b: $rcloneCopyCommand->setConfigFile($configFile); goto dd33d; Ff7f7: $rcloneCopyCommand->setDestination($destination); goto c447f; ed34c: $flags = $this->getFlags(); goto A3bd6; dd33d: $rcloneCopyCommand->setSource($source); goto Ff7f7; c447f: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto c66ed; b0af6: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto Ee84b; e8c74: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto ffc31; Cb21b: $rcloneLsJsonCommand->setConfigFile($configFile); goto f9a2b; ffc31: d7758: goto C4f61; e0f07: $configFile = $this->getConfigFile(); goto D521e; f9a2b: $rcloneLsJsonCommand->setRemotePath($remotePath); goto E206a; E206a: if (!(true === $directoriesOnly)) { goto d7758; } goto e8c74; Afc0c: $files = $rcloneLsJsonCommand->getFiles(); goto C4b96; D521e: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto Cb21b; C4f61: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto c45e9; Ee84b: $flags = $this->getFlags(); goto e0f07; C4b96: return $files; goto D73be; c45e9: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto Afc0c; D73be: } public function purge(string $remotePath) { goto defb9; defb9: $flags = $this->getFlags(); goto D3d57; A3cb7: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto e44c1; F75b4: $rclonePurgeCommand->setRemotePath($remotePath); goto dd347; dd347: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto A3cb7; D3d57: $rclonePurgeCommand = new RclonePurgeCommand(); goto F75b4; e44c1: } public function writeConfig(string $config) : void { goto ee581; ee581: $configFile = $this->getConfigFile(); goto A5d59; dd238: $this->commandExecutor->execute($writeConfigFileCommand); goto E4eb3; C2e4c: $writeConfigFileCommand = new WriteFileCommand(); goto F8e42; d9136: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto C2e4c; E8fcf: $this->commandExecutor->execute($createConfigDirectoryCommand); goto dd238; ad818: $writeConfigFileCommand->setContent($config); goto E8fcf; A5d59: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto d9136; F8e42: $writeConfigFileCommand->setFile($configFile); goto ad818; E4eb3: } public function writeCredentialsFile(string $file, string $content) : void { goto E87bc; A10a9: $chownConfigDirectoryCommand->setRecursive(true); goto c9438; ffcdb: $chownConfigDirectoryCommand = new ChownCommand(); goto c1956; d901d: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto ffcdb; c1956: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto A10a9; a48c1: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto fdde1; Be5f0: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto d6790; dc59a: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto af4fb; c3621: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto a48c1; c9438: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto Be5f0; fdde1: $chmodConfigDirectoryCommand->setFileChmod(770); goto dbc23; d6790: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto c3621; E50ed: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto dc59a; af4fb: file_put_contents($file, $content); goto fc2fe; dbc23: $this->commandExecutor->execute($credentialsDirectoryCommand); goto E50ed; E87bc: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto d901d; fc2fe: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto cc57d; d2d95: if (self::FREQUENCY_DAILY == $frequency) { goto b3436; } goto e8363; F0cb0: $writeCronJobFileCommand = new WriteFileCommand(); goto C7f80; D7730: goto B2571; goto Bafcf; D5522: $cronJobContent .= sprintf("\x30\x20\45\163\x20\52\x20\x2a\x20\x2a\40\143\x6c\160\40\x2f\165\x73\x72\57\142\x69\x6e\x2f\x62\x61\163\150\x20\55\143\40\x22\57\165\x73\162\57\x62\x69\156\57\143\x6c\160\143\x74\154\x20\x72\x65\155\x6f\164\145\x2d\142\141\143\153\165\x70\72\x63\x72\x65\141\x74\x65\x20\55\55\144\145\154\141\x79\x3d\164\162\x75\x65\42\x20\x26\x3e\x20\x2f\x64\x65\166\x2f\x6e\x75\154\154", $executionTime); goto be7eb; eac5d: $this->commandExecutor->execute($writeCronJobFileCommand); goto f5377; cc57d: $cronJobContent = sprintf("\x4d\101\x49\x4c\124\x4f\75\x22\42\x25\163", PHP_EOL); goto d2d95; C7f80: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto A6884; A6884: $writeCronJobFileCommand->setContent($cronJobContent); goto eac5d; e8363: $cronJobContent .= sprintf("\x30\40\x2a\x2f\45\x73\40\52\40\52\40\52\40\143\x6c\x70\x20\x2f\165\x73\162\57\142\x69\156\57\x62\141\x73\x68\40\55\x63\40\x22\x2f\x75\x73\162\57\142\x69\x6e\x2f\143\x6c\160\x63\x74\x6c\40\162\x65\155\x6f\164\145\55\142\141\143\x6b\165\160\x3a\143\x72\145\141\x74\x65\40\55\55\x64\145\154\141\x79\x3d\164\x72\x75\x65\42\40\46\76\x20\x2f\144\x65\x76\57\x6e\x75\154\x6c", $frequency); goto D7730; be7eb: B2571: goto F0cb0; Bafcf: b3436: goto D5522; f5377: } private function addFlagsToCommand(array $flags, $command) : void { goto b6335; A3683: e04e7: goto eef8c; b6335: if (!(false === empty($flags))) { goto D5a4f; } goto e43e8; eef8c: D5a4f: goto a4f68; e43e8: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\154\141\x67"], $flagData["\166\141\154\x75\145"]); B814d: } goto A3683; a4f68: } public function deleteCronJob() : void { goto f8dcd; Eae6a: $this->commandExecutor->execute($deleteCronJobFileCommand); goto B6a21; Ccc6c: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto Eae6a; f8dcd: $deleteCronJobFileCommand = new DeleteFileCommand(); goto Ccc6c; B6a21: } public function deleteCredentials() : void { goto E0c0c; fab33: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto a9646; c95e8: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto fab33; E0c0c: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto c95e8; a9646: } }
