<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto F35a9; baab5: parent::__construct(); goto A2458; C58ef: $this->validator = $validator; goto baab5; F35a9: $this->siteEntityManager = $siteEntityManager; goto b6e80; e6944: $this->databaseServerEntityManager = $databaseServerEntityManager; goto C58ef; b6e80: $this->databaseEntityManager = $databaseEntityManager; goto de89f; de89f: $this->databaseUserEntityManager = $databaseUserEntityManager; goto e6944; A2458: } protected function configure() : void { goto F71fb; F71fb: $this->setName("\144\x62\72\141\144\x64"); goto C9342; A9777: $this->addOption("\144\141\164\x61\x62\x61\163\145\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto df097; ae335: $this->addOption("\144\x61\164\x61\142\x61\x73\x65\125\x73\145\162\120\x61\x73\163\x77\x6f\162\144", null, InputOption::VALUE_REQUIRED); goto A3501; C9342: $this->setDescription("\x63\x6c\160\143\x74\x6c\40\x64\x62\72\x61\x64\144\x20\55\x2d\144\x6f\x6d\141\151\156\116\141\155\145\x3d\167\x77\167\x2e\x64\157\155\141\x69\156\56\x63\x6f\x6d\40\55\55\x64\141\x74\x61\142\x61\x73\145\116\x61\x6d\x65\x3d\x6d\x79\x2d\x64\x61\164\x61\x62\x61\x73\145\x20\x2d\x2d\144\x61\x74\141\142\141\x73\145\125\163\145\x72\116\x61\x6d\145\75\x6a\x6f\x68\156\40\55\x2d\144\x61\x74\141\x62\141\x73\x65\125\163\x65\162\120\x61\x73\163\167\x6f\162\144\75\x27\x21\163\x65\x63\162\x65\x74\120\x61\x73\163\x77\157\162\x64\41\47"); goto f13b9; f13b9: $this->addOption("\x64\x6f\x6d\141\151\x6e\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto A9777; df097: $this->addOption("\x64\141\164\141\x62\x61\x73\x65\x55\163\x65\x72\116\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto ae335; A3501: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto D6e79; db6f8: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto B85fd; E9e72: $siteEntity->addDatabase($databaseEntity); goto Df1aa; B3257: $databaseEntity->setSite($siteEntity); goto A3e14; B85fd: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto E6bbc; F174c: ddd07: goto C8ae4; D4a33: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto a33aa; E6bbc: $databaseUserEntity->setDatabase($databaseEntity); goto f6e2b; a3d80: $domainName = trim($input->getOption("\x64\157\155\141\151\156\x4e\141\x6d\145")); goto c6270; c7abe: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto D54e7; } goto Afd29; Dca04: return $this->renderConstraints($constraints, $output); goto b689e; c8d3f: $constraints->addAll($databaseUserConstraints); goto Dca04; bd7e0: D54e7: goto D4a33; C2263: $databaseUserName = trim($input->getOption("\144\x61\164\141\142\x61\163\145\125\163\145\x72\116\x61\x6d\145")); goto D348a; ef0e8: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto b3f64; C1300: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto c7abe; Df1aa: $databaseConstraints = $this->validator->validate($databaseEntity); goto C1300; Dc40d: $databaseUserEntity->setUserName($databaseUserName); goto db6f8; ea4b5: $constraints->addAll($databaseConstraints); goto c8d3f; c17d7: $output->writeln(sprintf("\74\151\156\146\157\76\x44\x61\164\x61\x62\x61\163\145\74\57\x69\156\x66\x6f\x3e\40\x3c\x63\x6f\155\x6d\x65\x6e\x74\76\45\x73\74\x2f\143\x6f\155\x6d\145\156\x74\76\40\74\151\x6e\146\x6f\76\150\x61\x73\x20\x62\145\x65\x6e\x20\141\144\144\x65\144\56\x3c\57\151\156\x66\157\x3e", $databaseName)); goto E5508; a814b: bddb9: goto e978d; f6e2b: $databaseEntity->addUser($databaseUserEntity); goto E9e72; F8211: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto cf186; E5508: return BaseCommand::SUCCESS; goto c58cd; A3e14: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Dc40d; c58cd: c0508: goto F174c; d457b: $databaseEntity = $this->databaseEntityManager->createEntity(); goto ef0e8; e978d: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Cf8c3; C8ae4: return BaseCommand::FAILURE; goto a7bd8; b3f64: $databaseEntity->setName($databaseName); goto B3257; Cf8c3: if (!(false === is_null($activeDatabaseServerEntity))) { goto ddd07; } goto d457b; c6270: $databaseName = trim($input->getOption("\144\141\164\x61\x62\141\163\145\x4e\x61\x6d\145")); goto C2263; D348a: $databaseUserPassword = trim($input->getOption("\144\141\164\141\x62\141\x73\145\x55\x73\145\x72\120\141\x73\x73\x77\157\x72\144")); goto F8211; b689e: goto c0508; goto bd7e0; Afd29: $constraints = new ConstraintViolationList(); goto ea4b5; D6e79: $this->validateInput($input); goto a3d80; e6ae5: $databaseManager->createUser($databaseUserEntity); goto B8082; a33aa: $databaseManager->createDatabase($databaseEntity); goto e6ae5; D17b0: throw new \Exception(sprintf("\104\157\x6d\141\x69\156\116\141\x6d\x65\40\x22\x25\x73\42\40\144\157\x65\163\x20\x6e\x6f\x74\40\x65\x78\151\163\x74\56", $domainName)); goto a814b; cf186: if (!(true === is_null($siteEntity))) { goto bddb9; } goto D17b0; B8082: $this->siteEntityManager->updateEntity($siteEntity); goto c17d7; a7bd8: } catch (\Exception $e) { goto D3eb5; E25a3: return BaseCommand::FAILURE; goto F5103; D3eb5: $errorMessage = $e->getMessage(); goto F09dc; F09dc: $output->writeln(sprintf("\74\x65\x72\162\157\162\x3e\45\163\x3c\x2f\x65\162\x72\x6f\x72\x3e", $errorMessage)); goto E25a3; F5103: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\155\145", "\x64\x61\x74\x61\x62\141\163\x65\116\x61\x6d\x65", $constraints); $this->changePropertyPath("\x75\x73\145\x72\116\141\x6d\145", "\144\x61\x74\141\142\x61\163\x65\125\163\x65\x72\116\141\155\145", $constraints); } }
