<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto Fab83; faa14: $this->validator = $validator; goto C848f; cdc42: $this->databaseServerEntityManager = $databaseServerEntityManager; goto A37f7; C848f: parent::__construct(); goto e4583; Fab83: $this->siteEntityManager = $siteEntityManager; goto C445d; A37f7: $this->commandExecutor = new CommandExecutor(); goto faa14; C445d: $this->databaseEntityManager = $databaseEntityManager; goto cdc42; e4583: } protected function configure() : void { goto f39dc; f39dc: $this->setName("\x64\142\72\142\x61\x63\153\165\x70"); goto Ccd41; D00d3: $this->addOption("\151\x67\156\x6f\162\145\104\x61\164\x61\x62\x61\x73\145\x73", null, InputOption::VALUE_OPTIONAL); goto deaa2; Ccd41: $this->setDescription("\x63\x6c\x70\x63\164\154\40\x64\x62\x3a\142\x61\x63\x6b\x75\x70\40\x2d\55\151\x67\156\x6f\x72\145\x44\x61\164\141\142\141\163\x65\163\75\x27\144\142\61\x2c\x64\x62\62\47\40\55\x2d\162\x65\x74\x65\156\164\x69\157\x6e\x50\x65\162\x69\x6f\144\75\x37"); goto D00d3; deaa2: $this->addOption("\162\145\x74\145\x6e\x74\151\157\156\120\145\162\x69\157\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto eb5fa; eb5fa: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto F2595; c550e: return BaseCommand::SUCCESS; goto Abe60; A740a: $this->retentionPeriod = (int) $input->getOption("\x72\x65\164\145\156\164\x69\157\x6e\x50\145\x72\151\157\144"); goto Beef6; d2dc0: $ignoredDatabases = explode("\54", $input->getOption("\151\147\156\x6f\x72\145\x44\x61\164\141\142\x61\163\145\x73")); goto A740a; B70ec: d439f: goto d3e83; Beef6: $siteEntities = $this->siteEntityManager->findAll(); goto cbad9; F2595: $this->validateInput($input); goto d2dc0; cbad9: if (!count($siteEntities)) { goto b68a9; } goto d38ce; d3e83: b68a9: goto c550e; d38ce: foreach ($siteEntities as $siteEntity) { goto cd556; cd556: $databaseEntities = $siteEntity->getDatabases(); goto C225e; C225e: if (!count($databaseEntities)) { goto Cab3e; } goto Daaf7; Daaf7: foreach ($databaseEntities as $databaseEntity) { goto Fd7a3; e8348: A9130: goto b60e5; d7442: Cec28: goto e8348; Fd7a3: $databaseName = $databaseEntity->getName(); goto f0d53; bc350: $this->createDatabaseDump($databaseEntity); goto d7442; f0d53: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto Cec28; } goto bc350; b60e5: } goto C67ff; d56f9: d0ac5: goto F66ee; C67ff: ed787: goto a4bc1; a4bc1: Cab3e: goto d56f9; F66ee: } goto B70ec; Abe60: } catch (\Exception $e) { goto d814b; ae411: $output->writeln(sprintf("\x3c\145\162\x72\x6f\x72\76\x25\163\74\57\x65\162\x72\157\162\x3e", $errorMessage)); goto d2127; d814b: $errorMessage = $e->getMessage(); goto ae411; d2127: return BaseCommand::FAILURE; goto Da32e; Da32e: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto fd8f2; Fe3ee: $siteUser = $siteEntity->getUser(); goto da043; Afd2a: $this->cleanUpBackups($databaseEntity); goto B5153; ff25b: $this->resetPermissions($databaseEntity); goto Afd2a; bb950: $databaseExporter = new DatabaseExporter($databaseEntity); goto F2300; fd8f2: $dateTime = new \DateTime("\156\157\167", new \DateTimeZone("\x55\124\103")); goto E946b; F2300: $databaseExporter->setFile($outputFile); goto B2c8e; bd84e: $outputFile = sprintf("\45\163\57\x25\x73", rtrim($outputDirectory, "\x2f"), sprintf("\x25\x73\137\x25\163\x2e\163\x71\154\56\147\x7a", $databaseName, $dateTime->getTimestamp())); goto bb950; da043: $databaseName = $databaseEntity->getName(); goto af427; E946b: $siteEntity = $databaseEntity->getSite(); goto Fe3ee; E35bf: $outputDirectory = sprintf("\45\163\57\45\x73\57\x25\x73\x2f", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\x59\x2d\x6d\55\144")); goto bd84e; f3dcb: $databaseExporter->export(); goto ff25b; B2c8e: $databaseExporter->createOutputDirectory(); goto f3dcb; af427: $backupDirectory = sprintf("\57\150\x6f\x6d\x65\x2f\45\x73\57\x62\x61\143\x6b\165\x70\x73\57\144\x61\164\141\142\x61\163\145\163\x2f", $siteUser); goto E35bf; B5153: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto eb56c; f9d25: $backupDirectoryChownCommand->setGroup($siteUser); goto ec5f6; B8f52: $backupDirectoryChmodCommand->setFile($backupDirectory); goto f3eef; F7354: $backupDirectoryChmodCommand->setFileChmod(760); goto E85f9; ec5f6: $backupDirectoryChmodCommand = new FindChmodCommand(); goto B8f52; E85f9: $this->commandExecutor->execute($backupDirectoryChownCommand); goto db391; eb56c: $siteEntity = $databaseEntity->getSite(); goto f47c6; f2789: $backupDirectoryChownCommand = new ChownCommand(); goto d379e; d379e: $backupDirectoryChownCommand->setFile($backupDirectory); goto d199e; db391: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto F8d1a; f3eef: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto F7354; d199e: $backupDirectoryChownCommand->setRecursive(true); goto bc540; A7a79: $backupDirectory = sprintf("\57\x68\x6f\155\x65\57\x25\163\x2f\142\x61\x63\153\165\160\x73\57\x64\141\164\141\142\141\163\145\163\x2f", $siteUser); goto f2789; f47c6: $siteUser = $siteEntity->getUser(); goto A7a79; bc540: $backupDirectoryChownCommand->setUser($siteUser); goto f9d25; F8d1a: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto C35eb; Ed013: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto f1e40; B0e19: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto Ed013; D7904: $siteUser = $siteEntity->getUser(); goto bceb3; f1e40: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto A365d; A0968: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto B0e19; bceb3: $databaseBackupDirectory = sprintf("\x2f\150\157\x6d\145\x2f\45\x73\57\142\x61\x63\x6b\x75\x70\163\57\x64\141\x74\141\142\141\x73\x65\x73\x2f", $siteUser); goto A0968; C35eb: $siteEntity = $databaseEntity->getSite(); goto D7904; A365d: } }
