<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto D15a4; ea222: $this->validator = $validator; goto e47c6; C0e94: $this->databaseEntityManager = $databaseEntityManager; goto C0eb1; D15a4: $this->siteEntityManager = $siteEntityManager; goto C0e94; e47c6: parent::__construct(); goto D8e07; c0f11: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ea222; C0eb1: $this->databaseUserEntityManager = $databaseUserEntityManager; goto c0f11; D8e07: } protected function configure() : void { goto f622e; f622e: $this->setName("\144\142\72\144\x65\154\x65\164\x65"); goto Bf669; Ebbe6: $this->addOption("\x66\157\162\143\x65", "\146", InputOption::VALUE_NONE); goto Ee838; Bf669: $this->setDescription("\143\x6c\x70\x63\164\x6c\40\x64\x62\72\x64\x65\x6c\145\164\145\x20\x2d\55\144\x61\164\x61\x62\x61\163\x65\x4e\141\155\145\75\x6d\171\55\x64\141\164\x61\x62\141\163\x65"); goto Afab3; Afab3: $this->addOption("\144\x61\164\141\142\x61\x73\145\x4e\141\155\145", null, InputOption::VALUE_REQUIRED); goto Ebbe6; Ee838: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto b1afc; f32f3: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto b0e75; Ad7f9: if (!(false === $force)) { goto B16cb; } goto aed85; b1afc: $this->validateInput($input); goto Fb0a7; aed85: $helper = $this->getHelper("\161\165\x65\163\x74\151\x6f\156"); goto c3a70; c3a70: $question = new ConfirmationQuestion(sprintf("\x3c\x69\156\x66\x6f\76\x43\157\156\146\x69\162\155\x20\164\x6f\40\144\145\154\145\x74\145\40\x74\x68\x65\40\144\141\164\x61\142\x61\x73\145\72\40\45\163\x3c\x2f\x69\x6e\146\x6f\x3e\40\74\x63\157\x6d\x6d\x65\x6e\164\76\x28\x79\145\x73\57\156\x6f\x29\x3a\74\57\143\157\155\155\x65\x6e\164\x3e\40", $databaseName), false, "\x2f\x5e\x28\x79\145\163\51\x2f\x69"); goto F911c; A18f9: if (!(true === is_null($databaseEntity))) { goto c1dbb; } goto be192; C0e8b: return BaseCommand::SUCCESS; goto E683a; b0e75: $databaseManager = new DatabaseManager($databaseServerEntity); goto e36a5; F911c: $answer = $helper->ask($input, $output, $question); goto B39c9; beb29: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto A18f9; c95b5: B16cb: goto Daf76; B39c9: if (!(false === $answer)) { goto b86ab; } goto C0e8b; e36a5: $databaseManager->deleteDatabase($databaseEntity, true); goto Dd0ca; B59e2: $force = $input->getOption("\x66\x6f\x72\143\x65") === true; goto beb29; e4cd7: $output->writeln(sprintf("\74\x69\x6e\146\157\x3e\104\141\164\141\x62\141\163\x65\x3c\x2f\x69\156\146\x6f\76\40\74\x63\157\155\x6d\145\156\x74\76\x25\163\x3c\57\x63\x6f\155\155\x65\x6e\x74\76\40\x3c\151\156\146\x6f\x3e\150\x61\163\40\142\145\x65\156\40\x64\145\x6c\x65\164\x65\144\x2e\74\x2f\151\x6e\146\x6f\x3e", $databaseName)); goto b1cc2; d3a17: $this->siteEntityManager->updateEntity($siteEntity); goto e4cd7; F0980: c1dbb: goto Ad7f9; b1cc2: return BaseCommand::SUCCESS; goto f4703; Fb0a7: $databaseName = trim($input->getOption("\x64\141\164\141\142\x61\x73\x65\116\141\155\145")); goto B59e2; E683a: b86ab: goto c95b5; be192: throw new \Exception(sprintf("\x44\x61\x74\141\142\x61\x73\x65\40\x22\45\163\42\x20\144\157\x65\x73\40\x6e\x6f\164\x20\x65\170\151\163\x74\56", $databaseName)); goto F0980; Dd0ca: $siteEntity->removeDatabase($databaseEntity); goto d3a17; Daf76: $siteEntity = $databaseEntity->getSite(); goto f32f3; f4703: } catch (\Exception $e) { goto f3de6; Ab799: return BaseCommand::FAILURE; goto Bf2cc; C5985: $output->writeln(sprintf("\74\x65\x72\162\x6f\x72\76\x25\x73\74\57\145\x72\162\157\x72\x3e", $errorMessage)); goto Ab799; f3de6: $errorMessage = $e->getMessage(); goto C5985; Bf2cc: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\155\x65", "\144\x61\x74\141\142\x61\163\145\x4e\x61\155\x65", $constraints); $this->changePropertyPath("\165\x73\145\162\116\x61\x6d\145", "\x64\141\x74\141\142\x61\163\145\125\163\x65\x72\116\141\x6d\145", $constraints); } }
