<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto F3d95; B9c2d: $this->validator = $validator; goto e2a5f; F3d95: $this->siteEntityManager = $siteEntityManager; goto d6a0c; F6c7f: $this->logger = $logger; goto B9c2d; e2a5f: parent::__construct(); goto f24d8; d6a0c: $this->commandExecutor = new CommandExecutor(); goto F6c7f; f24d8: } protected function configure() : void { goto cbc85; Fcb06: $this->setDescription("\143\154\x70\x63\164\x6c\x20\x72\145\155\x6f\164\x65\55\142\x61\143\x6b\165\160\72\x63\162\145\141\164\145"); goto dac36; cbc85: $this->setName("\x72\x65\x6d\157\164\145\x2d\142\x61\143\x6b\x75\x70\x3a\143\x72\x65\141\x74\145"); goto Fcb06; dac36: $this->addOption("\144\145\x6c\x61\x79", null, InputOption::VALUE_OPTIONAL, false); goto bd23c; bd23c: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Ebab8; Ebab8: $this->validateInput($input); goto d6f64; ff5b7: $this->refreshDropboxAccessToken($delay); goto Da584; b68ae: $delay = (bool) $input->getOption("\x64\145\x6c\x61\171"); goto ff5b7; e5b95: return BaseCommand::SUCCESS; goto a9be1; c72ed: $this->cleanBackups(); goto d31c0; Be61a: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto cecde; } goto B8c43; E1c9c: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto C4797; } goto b68ae; e5b2a: $this->storageProvider = $this->getConfigValue("\x72\145\155\x6f\x74\145\x5f\x62\141\143\x6b\x75\x70\x5f\163\164\x6f\x72\x61\147\145\137\x70\162\x6f\x76\151\x64\x65\x72"); goto Be61a; d6f64: $isEnabled = (bool) $this->getConfigValue("\162\145\155\157\x74\x65\137\x62\141\x63\153\x75\160\137\145\x6e\141\142\x6c\x65\144"); goto e5b2a; d31c0: cecde: goto e5b95; Dfb70: if (!count($siteEntities)) { goto c28bb; } goto Fdf46; C5304: bd213: goto D8480; D8480: c28bb: goto c72ed; df500: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); C2cea: } goto C5304; Da584: C4797: goto df500; Fdf46: $this->backupDatabases(clone $input, clone $output); goto E1c9c; B8c43: $siteEntities = $this->siteEntityManager->findAll(); goto Dfb70; a9be1: } catch (\Exception $e) { goto Bff8c; Bff8c: $errorMessage = $e->getMessage(); goto A12ff; A12ff: $output->writeln(sprintf("\x3c\x65\x72\x72\x6f\162\x3e\x25\x73\x3c\x2f\x65\x72\162\157\x72\x3e", $errorMessage)); goto ed672; ed672: return BaseCommand::FAILURE; goto F0155; F0155: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto fb55a; fb55a: $application = $this->getApplication(); goto c5edc; F3e2c: $exitCode = $command->run($input, $output); goto df6a7; c5edc: $command = $application->find("\144\142\72\142\x61\143\153\165\160"); goto F3e2c; df6a7: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto C81ec; C81ec: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto a4884; a4884: if (!(false === $isSiteExcluded)) { goto Fb38c; } goto Bdff1; Bdff1: try { try { goto Cdf16; Aca76: $rclone = new Rclone(); goto a044f; Eaeca: $destination = $this->getDestination($siteEntity); goto Aca76; c4190: b2b2b: goto C0ed1; Ad285: cae2f: goto Baa79; B14bf: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto A190f; a5655: $excludes = array_merge($excludes, $siteExcludes); goto Ad285; a7f26: $siteSettingsFile = sprintf("\57\150\x6f\155\145\57\x25\x73\57\x73\151\x74\x65\x2d\x73\x65\164\164\x69\x6e\x67\163\56\152\163\x6f\x6e", $siteUser); goto a60b6; A190f: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto F0b43; a044f: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto c0e91; c0e91: $email = $this->getConfigValue("\x72\x65\155\x6f\164\x65\x5f\142\x61\143\x6b\x75\160\137\145\x6d\x61\151\154"); goto Ecdd2; b2961: goto b2b2b; goto E647e; Ecdd2: $rclone->addFlag("\55\55\x64\x72\x69\166\x65\x2d\x69\x6d\160\145\162\x73\157\156\x61\x74\145", $email); goto b2961; E647e: } goto A74ca; ca857: $siteExcludes = $this->getSiteExcludes($siteEntity); goto F3a96; C0ed1: $rclone->copy($destinationFile, $destination); goto e71ee; b1db7: $vhostFile = sprintf("\57\x65\164\x63\x2f\x6e\x67\151\x6e\x78\x2f\x73\x69\164\x65\x73\55\145\156\x61\x62\154\145\x64\x2f\45\163\x2e\x63\157\156\146", $domainName); goto c141f; a60b6: $siteVhostFile = sprintf("\x2f\x68\x6f\155\145\57\x25\163\57\x73\x69\x74\x65\x2d\x76\x68\157\163\164", $siteUser); goto B14bf; c141f: $destinationFile = sprintf("\57\150\x6f\155\x65\57\x25\x73\57\164\x6d\x70\57\142\x61\143\153\x75\x70\56\x74\141\162", $siteUser); goto a7f26; A74ca: ed023: goto c4190; be17f: $domainName = $siteEntity->getDomainName(); goto a3a4f; B5c65: $tarCreator = new TarCreator(); goto d79e1; F3a96: if (!(false === empty($siteExcludes))) { goto cae2f; } goto a5655; F0b43: $sources = [$homeDirectory, $vhostFile]; goto B5c65; a3a4f: $homeDirectory = sprintf("\57\x68\x6f\x6d\145\57\x25\x73\57", $siteUser); goto b1db7; Cdf16: $excludes = ["\56\163\163\x68", "\164\x6d\x70", "\154\157\147\x73"]; goto ca857; d79e1: $tarCreator->create($sources, $destinationFile, $excludes); goto Eaeca; Baa79: $siteUser = $siteEntity->getUser(); goto be17f; e71ee: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto dfb1a; dfb1a: $deleteFileCommand = new DeleteFileCommand(); goto bd0d9; d21d9: C7d5d: goto E8a6d; e77cb: $this->commandExecutor->execute($deleteFileCommand, 60); goto d21d9; bd0d9: $deleteFileCommand->setFile($file); goto e77cb; E8a6d: } C3636: } } catch (\Exception $e) { goto C867e; C867e: $errorMessage = $e->getMessage(); goto d2637; d2637: $subject = sprintf("\122\145\x6d\157\164\145\40\102\x61\x63\153\165\160\40\146\141\151\154\x65\x64\72\x20\45\x73", $domainName); goto a5b53; a5b53: $this->addNotification($subject, $errorMessage); goto Ff6c6; Ff6c6: } goto F0f51; F0f51: Fb38c: goto D7b68; D7b68: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto Eb2a4; B4837: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto b0f33; b0f33: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto e605b; E7283: $settings["\156\157\x64\145\152\163\x53\x65\x74\x74\x69\156\147\x73"] = $nodejsSettings; goto Dc93a; Dc93a: goto C70fc; goto e2737; e605b: $nodejsSettings = ["\x76\145\x72\x73\x69\x6f\156" => $nodejsSettingsEntity->getNodejsVersion(), "\x70\157\162\x74" => $nodejsSettingsEntity->getPort()]; goto E7283; e2737: case SiteEntity::TYPE_PHP: goto Fa024; dbbd2: goto C70fc; goto be8c7; f87d6: $settings["\160\150\x70\x53\145\x74\x74\151\156\x67\163"] = $phpSettings; goto dbbd2; Ffcd0: $phpSettings = ["\x76\145\162\163\x69\x6f\x6e" => $phpSettingsEntity->getPhpVersion(), "\x6d\145\x6d\x6f\162\x79\114\151\155\x69\x74" => $phpSettingsEntity->getMemoryLimit(), "\x6d\141\x78\105\170\145\143\x75\164\x69\157\x6e\x54\x69\155\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\155\x61\x78\x49\x6e\x70\165\x74\124\151\155\x65" => $phpSettingsEntity->getMaxInputTime(), "\155\x61\x78\x49\156\x70\165\x74\x56\x61\162\x73" => $phpSettingsEntity->getMaxInputVars(), "\x70\x6f\x73\x74\x4d\x61\170\x53\x69\x7a\x65" => $phpSettingsEntity->getPostMaxSize(), "\x75\x70\x6c\157\x61\x64\115\x61\x78\106\x69\154\145\x53\151\172\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\144\151\164\x69\x6f\156\x61\x6c\x43\157\156\x66\x69\147\165\162\141\x74\x69\157\156" => $phpSettingsEntity->getAdditionalConfiguration()]; goto f87d6; Fa024: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto Ffcd0; be8c7: case SiteEntity::TYPE_PYTHON: goto D3a07; b59dc: $pythonSettings = ["\166\145\162\x73\x69\157\156" => $pythonSettingsEntity->getPythonVersion(), "\160\157\162\x74" => $pythonSettingsEntity->getPort()]; goto A2876; A2876: $settings["\160\171\164\x68\x6f\x6e\123\x65\x74\164\x69\x6e\x67\163"] = $pythonSettings; goto Cd1ba; Cd1ba: goto C70fc; goto C44f8; D3a07: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto b59dc; C44f8: case SiteEntity::TYPE_REVERSE_PROXY: goto C6170; C6170: $reverseProxySettings = ["\x75\x72\x6c" => $siteEntity->getReverseProxyUrl()]; goto F6fcf; F6fcf: $settings["\162\145\x76\x65\162\x73\145\120\x72\x6f\x78\x79\x53\145\x74\x74\151\x6e\147\x73"] = $reverseProxySettings; goto feabd; feabd: goto C70fc; goto C06ae; C06ae: } goto D4c9a; D4ef5: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto d1f20; fc56e: $this->commandExecutor->execute($writeFileCommand, 15); goto f7fbb; e3f23: $settings = ["\x74\171\160\x65" => $siteType, "\x64\x6f\155\x61\x69\x6e\116\x61\155\145" => $siteEntity->getDomainName(), "\x72\x6f\x6f\x74\x44\151\162\x65\x63\164\x6f\162\x79" => $siteEntity->getRootDirectory(), "\x73\x69\x74\145\x55\163\x65\162" => $siteEntity->getUser(), "\x70\141\x67\x65\123\160\x65\x65\144" => $siteEntity->getPageSpeedSettings()]; goto B4837; ef172: $writeFileCommand->setFile($siteSettingsFile); goto dbbe9; Eb2a4: $siteType = $siteEntity->getType(); goto e3f23; d1f20: $writeFileCommand = new WriteFileCommand(); goto ef172; dbbe9: $writeFileCommand->setContent($fileContent); goto fc56e; f6994: C70fc: goto D4ef5; D4c9a: D1af2: goto f6994; f7fbb: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto Ce529; Ce529: $vhost = $siteEntity->getVhostTemplate(); goto c3911; Bde1d: $this->commandExecutor->execute($writeFileCommand, 15); goto Cd15e; c3911: $writeFileCommand = new WriteFileCommand(); goto dad83; dad83: $writeFileCommand->setFile($siteVhostFile); goto C1091; C1091: $writeFileCommand->setContent($vhost); goto Bde1d; Cd15e: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto a42dd; a42dd: $isSiteExcluded = false; goto e97e2; E230c: foreach ($excludes as $exclude) { goto d6308; Eafca: $isSiteExcluded = true; goto d944d; d944d: goto Cd625; goto c5c37; d6308: $exclude = rtrim($exclude, "\57"); goto Abb9e; c5c37: b5747: goto c3624; Abb9e: if (!($homeDirectory == $exclude)) { goto b5747; } goto Eafca; c3624: E7f93: goto f520f; f520f: } goto fa1cb; fa1cb: Cd625: goto a446c; e97e2: $excludes = $this->getExcludes(); goto b0e01; a446c: C8044: goto Bed3d; Fa31a: $siteUser = $siteEntity->getUser(); goto e8d3a; e8d3a: $homeDirectory = sprintf("\x2f\150\157\155\x65\57\x25\x73", $siteUser); goto E230c; Bed3d: return $isSiteExcluded; goto d569c; b0e01: if (!(false === empty($excludes))) { goto C8044; } goto Fa31a; d569c: } private function getExcludes() : array { goto Db47b; cb4bb: return $this->excludes; goto Bd055; f2265: E3d3a: goto d9b9a; Db47b: if (!(true === empty($this->excludes))) { goto c993e; } goto b7a94; d9b9a: c993e: goto cb4bb; c2c9c: $this->excludes = json_decode($excludes); goto f2265; b7a94: $excludes = $this->getConfigValue("\x72\x65\155\157\164\x65\137\x62\141\x63\153\x75\x70\137\x65\x78\x63\x6c\165\x64\145\x73"); goto fd468; fd468: if (!(false === empty($excludes))) { goto E3d3a; } goto c2c9c; Bd055: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto D6c4d; f43c0: $homeDirectory = sprintf("\57\150\x6f\155\145\57\x25\x73\57", $siteUser); goto dbb3b; Ce9e6: $siteUser = $siteEntity->getUser(); goto f43c0; Dc003: return $siteExcludes; goto b8da9; D6c4d: $siteExcludes = []; goto Bc803; dbb3b: foreach ($excludes as $exclude) { goto F0340; E1724: c04ef: goto Feb25; F0340: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto c04ef; } goto C4f08; C4f08: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto a80ae; Db323: $siteExcludes[] = rtrim(ltrim($exclude, "\x2f"), "\57"); goto c7e60; Feb25: c305f: goto b2259; c7e60: ffcb0: goto E1724; a80ae: if (!(false === empty($exclude))) { goto ffcb0; } goto Db323; b2259: } goto a9e5b; a9e5b: F4654: goto Ff7c0; Bc803: $excludes = $this->getExcludes(); goto D1196; Ff7c0: b1821: goto Dc003; D1196: if (!(false === empty($excludes))) { goto b1821; } goto Ce9e6; b8da9: } private function getServerDateTime() : \DateTime { goto Cb3d5; Fcc12: return $this->serverDateTime; goto Fd6d7; e5a7e: $this->serverDateTime = new \DateTime("\x6e\x6f\167"); goto E86a2; Cb3d5: if (!(true === is_null($this->serverDateTime))) { goto Efdf6; } goto Ebab3; E86a2: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\103")); goto D6776; C9599: Efdf6: goto Fcc12; D6776: if (!(false === empty($timezone))) { goto Dc1fd; } goto Ed25e; Ed25e: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto bbfd7; Ebab3: $timezone = $this->getConfigValue("\x74\151\155\145\172\157\156\x65"); goto e5a7e; bbfd7: Dc1fd: goto C9599; Fd6d7: } private function getDestination(SiteEntity $siteEntity) : string { goto c0e0a; A57e9: $destination = sprintf("\45\x73\57\x25\x73\x2f\x25\163\57\x25\163\x2f\150\157\155\x65\57\45\x73\57", $destination, rtrim(ltrim($storageDirectory, "\57"), "\x2f"), $serverDateTime->format("\131\55\x6d\x2d\x64"), $serverDateTime->format("\110\56\x69"), $siteUser); goto cbd37; cbd37: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto D493d; } goto A2de7; d815b: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\157\x74\x65\x5f\x62\141\x63\153\165\x70\137\163\164\157\162\141\x67\145\x5f\x64\151\x72\x65\x63\x74\x6f\x72\x79"); goto Cdaec; Fe6c1: return $destination; goto e05a1; A2de7: $destination = ltrim($destination, "\57"); goto dd20a; Ac031: B3e90: goto D44aa; c0e0a: $destination = ''; goto C196a; Cdaec: $serverDateTime = $this->getServerDateTime(); goto A57e9; C196a: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\145\155\157\164\x65\137\x62\141\143\x6b\x75\x70\x5f\142\165\x63\x6b\x65\164"); goto B3e90; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\x65\x6d\157\164\145\137\x62\x61\x63\x6b\165\160\x5f\163\x70\x61\143\x65"); goto B3e90; } goto Eaae5; Eaae5: f7a86: goto Ac031; dd20a: D493d: goto Fe6c1; D44aa: $siteUser = $siteEntity->getUser(); goto d815b; e05a1: } private function cleanBackups() : void { goto E99a8; f27bc: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\x5f\142\x61\143\153\165\x70\x5f\x73\164\157\x72\x61\147\x65\x5f\x64\x69\162\145\143\164\157\x72\x79"); goto a3176; A782e: try { goto d1080; A6fb8: f5bd7: goto edea4; A7c46: if (!(false === empty($directories))) { goto b0c41; } goto fe407; A0f5c: $deleteDateTime->setTime(0, 0, 0, 0); goto c7fc1; edea4: $directories = (array) $rclone->lsJson($remotePath, true); goto A7c46; d32ad: $deleteDateTime->modify(sprintf("\x2d\x25\x73\40\144\x61\171\163", $retentionPeriod)); goto A3332; D841d: b0c41: goto Ee667; C2412: c9789: goto Bf88d; Bf88d: $remotePath = sprintf("\45\x73\x2f\x25\163\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\x2f")); goto C9318; d1080: $dateTime = new \DateTime(); goto de816; D51f7: $remotePath = ltrim($remotePath, "\x2f"); goto A6fb8; c7fc1: $remotePath = ''; goto d2257; fe407: foreach ($directories as $directory) { goto C5fbc; ff7b0: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto ce870; } goto a34f7; accb8: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto aea14; } goto A6bfb; E6dcd: $purgeRemotePath = sprintf("\45\x73\x2f\x25\163\x2f", rtrim(ltrim($remotePath, "\x2f"), "\x2f"), $directoryName); goto accb8; D8798: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto b8f46; } goto E6dcd; c4153: ce870: goto C9e33; Da043: b4046: goto C9718; a34f7: $purgeRemotePath = sprintf("\57\45\163", ltrim($purgeRemotePath, "\57")); goto c4153; C5fbc: $directoryName = $directory["\x4e\141\155\145"] ?? null; goto a6f63; Ae5bf: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto Dd80d; a6f63: if (!(false === is_null($directoryName))) { goto Bb93d; } goto Ae5bf; C9718: Bb93d: goto Dbf41; Df5eb: aea14: goto ff7b0; A6bfb: $purgeRemotePath = ltrim($purgeRemotePath, "\x2f"); goto Df5eb; F3483: b8f46: goto Da043; Dd80d: if (!(true === $isValidDate)) { goto b4046; } goto D8798; Dbf41: dc941: goto b3d06; C9e33: $rclone->purge($purgeRemotePath); goto F3483; b3d06: } goto F7914; d2257: $rclone = new Rclone(); goto b72d0; af1c4: C8d01: goto C2412; de816: $deleteDateTime = clone $dateTime; goto d32ad; F7914: ee2e3: goto D841d; A3332: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\x43")); goto A0f5c; C9318: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto f5bd7; } goto D51f7; b72d0: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\155\x6f\164\145\137\142\x61\x63\153\165\x70\137\x62\x75\x63\x6b\x65\x74"); goto c9789; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\162\145\x6d\157\164\x65\137\142\x61\143\153\x75\160\137\163\x70\x61\x63\145"); goto c9789; case StorageProvider::GOOGLE_DRIVE: goto Bc386; b3d08: $rclone->addFlag("\55\55\144\x72\151\166\x65\55\x69\x6d\160\x65\x72\163\157\x6e\141\164\x65", $email); goto Ce9a3; Ce9a3: goto c9789; goto e88cb; Bc386: $email = $this->getConfigValue("\162\x65\155\x6f\164\145\137\142\141\143\x6b\x75\160\x5f\145\x6d\141\x69\x6c"); goto b3d08; e88cb: } goto af1c4; Ee667: } catch (\Exception $e) { goto D4fc1; c4b42: $this->addNotification($subject, $errorMessage); goto F4659; D7690: $subject = sprintf("\122\x65\x6d\x6f\164\145\40\102\x61\143\153\165\160\x20\x63\x6c\145\x61\x6e\x75\160\40\x66\x61\151\154\145\144\56"); goto c4b42; D4fc1: $errorMessage = $e->getMessage(); goto D7690; F4659: } goto E1575; E99a8: $retentionPeriod = (int) $this->getConfigValue("\x72\145\155\157\x74\x65\x5f\x62\141\x63\x6b\x75\x70\x5f\x72\x65\x74\x65\156\x74\x69\x6f\156\x5f\160\145\162\151\157\x64"); goto f27bc; a3176: if (!($retentionPeriod && false === empty($storageDirectory))) { goto B7787; } goto A782e; E1575: B7787: goto B74d2; B74d2: } private function refreshDropboxAccessToken(bool $delay) { try { goto Aad37; c09fe: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto a3cbd; a3cbd: $rcloneConfigTemplate->setToken($token); goto d9cb7; cc839: Ded71: goto ab3e9; Bfaed: if (false === empty($token)) { goto C0094; } goto F3775; a954e: ef5d2: goto C9d65; Fe30a: $rcloneConfig = $rcloneConfigBuilder->build(); goto b4dd9; F3775: throw new \Exception("\x41\x63\143\145\x73\163\40\124\x6f\153\145\156\40\143\141\156\x6e\157\164\40\142\145\40\145\x6d\x70\164\171\x2e"); goto e57c8; Bbb6f: sleep(rand(5, 60)); goto a954e; b4dd9: $rclone = new Rclone(); goto Cd3db; Ea9ea: $token = $dropboxClient->getAccessToken($refreshToken); goto Bfaed; d9cb7: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto Fe30a; f984a: $dropboxClient = new DropboxClient(); goto Ea9ea; e57c8: goto Ded71; goto A85da; Cd3db: $rclone->writeConfig($rcloneConfig); goto cc839; A85da: C0094: goto c09fe; Aad37: if (!(true === $delay)) { goto ef5d2; } goto Bbb6f; C9d65: $refreshToken = $this->getConfigValue("\162\145\155\x6f\164\145\x5f\142\x61\x63\x6b\x75\x70\x5f\x72\145\146\x72\145\163\150\x5f\164\x6f\153\145\x6e"); goto f984a; ab3e9: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\145\x66\x72\x65\163\150\x69\x6e\x67\x20\x44\162\x6f\x70\142\157\170\40\101\x63\x63\145\x73\x73\40\x54\x6f\153\145\x6e\40\106\141\x69\x6c\145\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto E2d06; E2d06: $notification = new Notification(); goto c5e49; C3282: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto Eaf85; c5e49: $notification->setSubject($subject); goto Ac1bb; Ac1bb: $notification->setMessage($errorMessage); goto C3282; Eaf85: NotificationQueue::addNotification($notification); goto c5af7; c5af7: } }
