<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x4e\x6f\x64\x65\152\x73"; protected function configure() : void { goto E763b; B8d68: $this->setComment("\101\144\x64\x69\156\147\40\x61\40\116\x6f\x64\145\x2e\152\x73\40\x53\x69\164\145"); goto E82b3; b3694: $this->addOption("\x73\x69\164\145\125\x73\145\x72", null, InputOption::VALUE_REQUIRED); goto A5299; e955a: $this->addOption("\141\x70\160\x50\157\162\x74", null, InputOption::VALUE_REQUIRED); goto b3694; E763b: $this->setName("\163\151\x74\x65\x3a\x61\x64\144\x3a\156\x6f\x64\x65\x6a\x73"); goto F213d; F213d: $this->setDescription("\x63\x6c\160\143\x74\x6c\x20\x73\151\x74\x65\x3a\141\144\144\72\x6e\157\144\145\x6a\163\x20\55\x2d\144\157\155\x61\x69\156\x4e\141\x6d\145\x3d\167\167\x77\x2e\x64\x6f\x6d\141\x69\156\56\x63\157\x6d\x20\x2d\x2d\156\157\144\145\x6a\163\x56\x65\x72\x73\x69\157\x6e\75\62\62\40\x2d\55\141\x70\x70\120\157\162\x74\75\63\60\x30\60\40\55\55\x73\x69\x74\145\x55\163\x65\x72\75\x6a\157\150\x6e\40\x2d\x2d\163\x69\164\145\x55\163\x65\x72\x50\141\163\163\x77\157\x72\144\x3d\x27\x21\x73\x65\x63\162\145\x74\120\141\x73\x73\x77\157\x72\144\x21\x27"); goto B8d68; E82b3: $this->addOption("\x64\x6f\155\x61\x69\x6e\x4e\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto B5cf3; A5299: $this->addOption("\x73\151\164\145\125\x73\x65\162\x50\141\163\x73\167\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto d2358; B5cf3: $this->addOption("\x6e\157\x64\x65\x6a\x73\126\x65\162\163\x69\157\x6e", null, InputOption::VALUE_REQUIRED); goto e955a; d2358: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ae3d9; Ce78a: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\56\57\56\x2e\57\162\x65\163\x6f\165\x72\143\x65\x73\x2f\156\x67\x69\156\170\x2f\x76\x68\157\x73\164\137\x74\145\x6d\160\154\x61\x74\145\57\x72\145\144\151\162\x65\143\x74"); goto B2fc1; e5b3e: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto Dcd31; Cd0e0: if (!(false === empty($redirectionVhostTemplate))) { goto b2ebb; } goto babd8; c494c: $nodejsSettingsEntity->setSite($siteEntity); goto C0b56; Faab6: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto Be808; Ea21e: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto dfb75; d411d: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto e09fd; e3933: $certificateEntity->setDefaultCertificate(true); goto c3694; Af906: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto dd8df; affc4: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto E4332; E980d: df1e7: goto bd3de; C8e11: if (!(true === is_null($subdomain))) { goto df1e7; } goto af2b7; ed936: $certificateEntity->setCertificate($selfSignedCertificate); goto d20dc; bd7d6: $certificateEntity->setSite($siteEntity); goto F36cc; Cc66a: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto C571a; Ecf68: $certificateEntity = $this->certificateEntityManager->createEntity(); goto bd7d6; F8a9b: throw new \Exception(sprintf("\x56\150\157\x73\164\x20\x54\x65\155\160\x6c\141\x74\x65\x20\42\x25\163\x22\x20\144\x6f\145\x73\x20\156\x6f\x74\40\x65\x78\x69\x73\164\56", $vhostTemplate)); goto fc50c; f5802: D3638: goto f6911; dd1a5: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto affc4; d0bf0: $nodejsSiteCreator->installNodejs(); goto ee20f; A9d85: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto c2d83; B2fc1: goto B5216; goto E8b3c; D0d96: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto e8f3b; F0a85: $nodejsSite->setDomainName($domainName); goto Fd83d; E1225: if (!(true === is_null($subdomain) || "\167\x77\167" == $subdomain)) { goto c9852; } goto b1fff; Fa0e3: $nodejsSiteCreator->createLogrotateFile(); goto c24a2; B52fa: $vhostTemplate->resetProcessors(); goto d411d; a84f2: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto B52fa; Be6c1: b2ebb: goto b36c3; ad5a9: $nodejsSite->setSubdomain($subdomain); goto Df627; d7704: $constraints->addAll($siteConstraints); goto f531c; Ab124: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto a84f2; C0b56: $siteConstraints = $this->validator->validate($siteEntity); goto e5b3e; fc50c: goto D3638; goto f7d92; b3625: Ee298: goto dd1a5; Bc4e7: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto Cd0e0; e189d: return SiteCommand::SUCCESS; goto E1c00; B7d6d: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto A9ba2; B5f11: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto F0a85; C571a: if (false === is_null($vhostTemplateEntity)) { goto d5683; } goto F8a9b; d1edc: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto D0171; A61ce: $siteEntity->setUserPassword($siteUserPassword); goto E1225; C1430: $nodejsSiteCreator->createUser(); goto B0531; e5592: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto ed936; D7fb0: $subjectAlternativeNames = []; goto C8e11; Bce31: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto e3933; E124b: $nodejsSiteCreator->resetPermissions(); goto Ab124; f0f36: $constraints = new ConstraintViolationList(); goto d7704; E16e6: $appPort = (int) $input->getOption("\x61\x70\x70\x50\157\162\x74"); goto fa889; E6390: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto A3d36; e8f3b: $siteEntity = $this->siteEntityManager->createEntity(); goto Ea21e; fa889: $siteUser = trim($input->getOption("\x73\151\164\x65\125\163\x65\x72")); goto bec4e; f1f17: $certificateEntity->setCsr($csr); goto e5592; f531c: $constraints->addAll($nodejsSettingsConstraints); goto C4e33; c9f92: $nodejsSite->setUser($siteEntity->getUser()); goto B5f11; A9ba2: $nodejsSettingsEntity->setPort($appPort); goto c494c; Fd83d: $nodejsSite->setRegistrableDomain($registrableDomain); goto ad5a9; e2e93: Fa954: goto Ecf68; c24a2: $nodejsSiteCreator->createNvmDirectory(); goto d0bf0; D0171: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto C708e; daff6: $siteEntity->setRootDirectory($rootDirectory); goto Ffb0c; F7c9f: $nodejsVersion = (int) $input->getOption("\156\157\144\145\152\x73\x56\x65\x72\163\151\157\x6e"); goto E16e6; D682e: B5216: goto Bc4e7; E4332: $csr = $csrGenerator->generate(); goto Bce31; dfb75: $siteEntity->setDomainName($domainName); goto daff6; ed704: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto Faab6; af2b7: $subjectAlternativeNames[] = sprintf("\x77\167\x77\x2e\45\x73", $domainName); goto E980d; D6def: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto D7fb0; babd8: $vhostTemplate = sprintf("\45\163\45\163", $redirectionVhostTemplate, $vhostTemplate); goto Be6c1; F157b: $output->writeln(sprintf("\x3c\x69\x6e\146\x6f\x3e\x53\151\x74\145\74\57\151\156\146\x6f\x3e\40\x3c\x63\x6f\x6d\x6d\145\156\x74\76\45\163\74\57\143\157\x6d\x6d\145\x6e\x74\x3e\x20\74\151\156\146\x6f\76\150\141\x73\x20\x62\x65\145\x6e\40\x61\144\144\145\144\x2e\74\57\x69\x6e\146\157\76", $domainName)); goto e189d; e09fd: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto Af906; E3ee8: $nodejsSiteCreator->createNginxVhost(); goto f7b58; e8bf6: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto C1430; cafb2: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Cc66a; E888e: $nodejsSite = new NodejsSite(); goto c9f92; B0531: $nodejsSiteCreator->createRootDirectory(); goto Fa0e3; A3d36: $rootDirectory = $domainName; goto F7c9f; ec1c6: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto B5ac2; Df627: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto ec1c6; ee0fe: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\x2f\x2e\x2e\x2f\x72\x65\163\157\165\162\x63\x65\x73\57\x6e\x67\x69\156\170\57\x76\x68\157\163\164\x5f\x74\x65\x6d\160\x6c\x61\x74\x65\x2f\x72\145\x64\151\162\x65\143\164\55\x68\164\x74\160\x33"); goto D682e; bec4e: $siteUserPassword = trim($input->getOption("\163\151\164\x65\x55\x73\145\162\x50\x61\163\x73\x77\157\x72\x64")); goto d1edc; Be808: $this->siteEntityManager->updateEntity($siteEntity); goto F157b; Fb11d: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto e8bf6; bd3de: if (!(false === is_null($subdomain) && "\167\x77\x77" == $subdomain)) { goto Ee298; } goto B1b5c; C708e: $subdomain = $resolvedDomainName->subDomain()->toString(); goto cafb2; E1c00: cfc24: goto f5802; B1b5c: $subjectAlternativeNames[] = $registrableDomain; goto b3625; b1fff: if (true === isset($_ENV["\101\x50\120\x5f\x48\124\x54\120\63"]) && "\x74\x72\x75\145" === $_ENV["\101\x50\x50\x5f\x48\124\124\120\63"]) { goto b0944; } goto Ce78a; E8b3c: b0944: goto ee0fe; Dcd31: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto Fa954; } goto f0f36; ae3d9: $this->validateInput($input); goto D18c2; ee20f: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto E3ee8; f7d92: d5683: goto D0d96; B5ac2: $nodejsSite->setCertificate($certificateEntity); goto Fb11d; f7b58: $nodejsSiteCreator->reloadNginxService(); goto E124b; c2d83: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto B7d6d; dd8df: $vhostTemplate->build(); goto ed704; F36cc: $rsaKeyGenerator = new RsaKeyGenerator(); goto D6def; B87f2: goto cfc24; goto e2e93; Ffb0c: $siteEntity->setUser($siteUser); goto A61ce; Cf830: $siteEntity->setVhostTemplate($vhostTemplate); goto A9d85; d20dc: $siteEntity->setCertificate($certificateEntity); goto E888e; D18c2: $domainName = mb_strtolower(trim($input->getOption("\144\x6f\155\141\151\156\116\141\x6d\x65"))); goto E6390; C4e33: return $this->renderConstraints($constraints, $output); goto B87f2; b36c3: c9852: goto Cf830; c3694: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto f1f17; f6911: } catch (\Exception $e) { goto F2657; F2657: $errorMessage = $e->getMessage(); goto d2575; ab203: return SiteCommand::FAILURE; goto efe5a; d2575: $output->writeln(sprintf("\x3c\x65\x72\x72\157\162\x3e\x25\163\74\x2f\x65\x72\x72\157\162\76", $errorMessage)); goto ab203; efe5a: } } }
