<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\PythonSettings as PythonSettingsEntity; use App\Site\PythonSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\PythonTemplate as PythonVhostTemplate; use App\Site\Creator\PythonSite as PythonSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddPythonCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x50\171\x74\150\157\x6e"; protected function configure() : void { goto d085b; ddbfc: $this->setDescription("\x63\x6c\x70\x63\164\x6c\x20\x73\x69\164\145\72\141\x64\x64\72\x70\171\164\x68\x6f\156\x20\55\55\x64\x6f\155\x61\151\x6e\116\141\x6d\145\75\167\167\167\x2e\x64\x6f\x6d\x61\151\156\56\x63\157\x6d\x20\x2d\x2d\x70\171\164\x68\x6f\x6e\126\145\162\163\x69\x6f\x6e\75\63\56\x31\62\x20\x2d\55\141\160\x70\x50\157\162\x74\x3d\x38\60\70\60\x20\x2d\55\x73\x69\164\145\x55\163\x65\162\75\x6a\157\150\156\x20\55\55\x73\x69\x74\x65\x55\x73\145\162\x50\x61\163\x73\x77\157\162\144\x3d\x27\x21\x73\145\x63\162\x65\x74\120\x61\x73\163\167\x6f\x72\144\41\47"); goto d5594; d5594: $this->setComment("\x41\x64\x64\151\x6e\147\x20\x61\x20\x50\x79\x74\150\157\x6e\x20\123\151\x74\145"); goto f90f2; c191f: $this->addOption("\x73\151\164\145\x55\163\145\162\x50\x61\163\x73\x77\157\162\144", null, InputOption::VALUE_REQUIRED); goto D08cd; f90f2: $this->addOption("\x64\x6f\x6d\141\151\156\x4e\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto C6d8f; C6d8f: $this->addOption("\x70\171\x74\x68\x6f\x6e\126\145\x72\x73\x69\157\156", null, InputOption::VALUE_REQUIRED); goto B145d; B145d: $this->addOption("\141\x70\160\x50\157\162\x74", null, InputOption::VALUE_REQUIRED); goto e87f5; e87f5: $this->addOption("\163\x69\164\x65\125\163\x65\162", null, InputOption::VALUE_REQUIRED); goto c191f; d085b: $this->setName("\163\x69\x74\145\72\141\x64\x64\72\x70\171\164\150\x6f\156"); goto ddbfc; D08cd: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Cde91; bc879: $pythonSite->setDomainName($domainName); goto C57ca; d364a: $certificateEntity->setSite($siteEntity); goto A9785; d2cbb: $pythonSiteCreator->createLogrotateFile(); goto a325e; E7efc: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto Fe8d5; } goto eb07e; F22f4: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto f7693; De4b6: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto E1aa8; e8245: $constraints = new ConstraintViolationList(); goto D5ebf; Ee35a: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Afe85; c7d44: $csr = $csrGenerator->generate(); goto Da25a; f9181: $siteEntity->setVhostTemplate($vhostTemplate); goto F5ac9; F332b: $vhostTemplate->build(); goto d182e; E52b6: if (!(false === empty($redirectionVhostTemplate))) { goto Cf496; } goto d684b; fed9a: $pythonSiteCreator->reloadNginxService(); goto ed7e4; Cbcbc: $pythonSite->setUser($siteEntity->getUser()); goto e6e10; b2bc2: $pythonVersion = $input->getOption("\x70\171\x74\x68\157\x6e\126\145\162\163\x69\157\156"); goto a7ba3; D5044: $certificateEntity->setCertificate($selfSignedCertificate); goto a11c8; Cb5cc: if (!(true === is_null($subdomain))) { goto Db363; } goto f1261; E2565: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto ba69a; Ef1b6: f7036: goto F64d4; D51ef: $pythonSiteCreator->createPrivateKeyAndCertificate(); goto F1953; c8b9a: $siteEntity->setUserPassword($siteUserPassword); goto D040f; eb07e: $subjectAlternativeNames[] = $registrableDomain; goto be2fd; E71ea: b166d: goto c601f; F1953: $pythonSiteCreator->createNginxVhost(); goto fed9a; cc346: goto d3e94; goto E18e4; a11c8: $siteEntity->setCertificate($certificateEntity); goto A7718; E3cfc: goto f477d; goto E71ea; Afe85: $subjectAlternativeNames = []; goto Cb5cc; Da25a: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto A7db0; B5ff9: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto F63cb; D5ebf: $constraints->addAll($siteConstraints); goto d2e44; E2b50: $subdomain = false === empty($subdomain) ? $subdomain : null; goto B077b; C324a: $pythonSettingsEntity->setPythonVersion($pythonVersion); goto Bebad; C168f: goto e66a5; goto Ef1b6; D72ef: $domainName = mb_strtolower(trim($input->getOption("\x64\157\x6d\x61\x69\x6e\x4e\141\155\x65"))); goto fe4bb; E1aa8: $subdomain = $resolvedDomainName->subDomain()->toString(); goto E2b50; Abc46: return $this->renderConstraints($constraints, $output); goto cc346; ef100: if (false === is_null($vhostTemplateEntity)) { goto f7036; } goto E85e4; A7718: $pythonSite = new PythonSite(); goto Cbcbc; A72e9: $pythonSite->setRootDirectory($siteEntity->getRootDirectory()); goto C9ab0; Cde91: $this->validateInput($input); goto D72ef; F63cb: $vhostTemplate->resetProcessors(); goto ef047; db681: e66a5: goto ba288; E2947: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto c7d44; A3576: $pythonSiteCreator->createRootDirectory(); goto d2cbb; e6e10: $pythonSite->setUserPassword($siteEntity->getUserPassword()); goto bc879; B0703: $siteEntity->setDomainName($domainName); goto D596a; dd186: $pythonSite->setSubdomain($subdomain); goto A72e9; B0f7d: $vhostTemplate = new PythonVhostTemplate($pythonSite); goto B5ff9; A4524: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto E52b6; ba69a: $certificateEntity->setCsr($csr); goto C0fbe; E4a36: $pythonSettingsEntity->setSite($siteEntity); goto C074c; fe4bb: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto f762f; f762f: $rootDirectory = $domainName; goto b2bc2; f1261: $subjectAlternativeNames[] = sprintf("\167\167\167\x2e\x25\163", $domainName); goto db5a6; d2e44: $constraints->addAll($pythonSettingsConstraints); goto Abc46; db5a6: Db363: goto E7efc; da0f9: $output->writeln(sprintf("\74\x69\x6e\x66\157\x3e\123\151\x74\145\74\x2f\x69\156\x66\x6f\x3e\40\x3c\x63\x6f\155\155\x65\x6e\x74\76\45\x73\74\x2f\x63\x6f\x6d\x6d\x65\156\164\76\40\74\x69\x6e\x66\157\x3e\150\x61\x73\x20\x62\145\145\156\x20\x61\144\144\x65\x64\x2e\x3c\x2f\151\x6e\x66\x6f\x3e", $domainName)); goto F959b; ef047: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto F22f4; C0fbe: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto D5044; F1a3c: Cf496: goto eb4f7; Bebad: $pythonSettingsEntity->setPort($appPort); goto E4a36; B6735: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto F66a5; b294a: $siteUserPassword = trim($input->getOption("\x73\x69\x74\x65\x55\163\145\162\120\141\163\x73\167\157\162\144")); goto b7703; ed7e4: $pythonSiteCreator->resetPermissions(); goto B0f7d; C7153: if (0 == count($siteConstraints) && 0 == count($pythonSettingsConstraints)) { goto E6942; } goto e8245; a13df: $siteEntity = $this->siteEntityManager->createEntity(); goto c073e; F5ac9: $pythonSettingsEntity = new PythonSettingsEntity(); goto d65df; B5109: if (true === isset($_ENV["\x41\120\x50\137\110\x54\124\x50\x33"]) && "\x74\x72\x75\x65" === $_ENV["\101\x50\x50\x5f\x48\x54\124\x50\63"]) { goto b166d; } goto b6ce1; E85e4: throw new \Exception(sprintf("\x56\150\x6f\163\x74\40\x54\145\x6d\160\154\141\164\145\40\x22\45\x73\x22\40\x64\x6f\x65\x73\40\x6e\x6f\x74\40\x65\170\151\163\164\x2e", $vhostTemplate)); goto C168f; Ce29d: $pythonSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto Bfa25; d684b: $vhostTemplate = sprintf("\45\163\x25\x73", $redirectionVhostTemplate, $vhostTemplate); goto F1a3c; d65df: $siteEntity->setPythonSettings($pythonSettingsEntity); goto C324a; Bc01a: $pythonSite->setCertificate($certificateEntity); goto Ce29d; be2fd: Fe8d5: goto C2b15; F64d4: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto a13df; eb4f7: Cdcce: goto f9181; F66a5: $this->siteEntityManager->updateEntity($siteEntity); goto da0f9; B077b: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto ef100; C9ab0: $pythonSite->setPythonSettings($pythonSettingsEntity); goto Bc01a; c601f: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\x2e\x2f\56\56\x2f\x72\145\x73\x6f\x75\162\x63\x65\163\57\156\x67\x69\156\170\x2f\x76\150\157\163\x74\137\164\145\155\x70\154\x61\164\x65\57\x72\145\144\x69\162\x65\x63\164\x2d\150\x74\x74\x70\x33"); goto Ccaa8; A7db0: $certificateEntity->setDefaultCertificate(true); goto E2565; C16c8: $pythonSiteCreator->createUser(); goto A3576; b6ce1: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\56\x2e\57\162\145\x73\157\x75\162\143\145\163\x2f\x6e\x67\x69\x6e\x78\57\x76\x68\157\x73\x74\x5f\x74\x65\x6d\160\x6c\141\164\145\x2f\162\145\144\151\162\145\x63\x74"); goto E3cfc; Ef9aa: $siteEntity->setUser($siteUser); goto c8b9a; b7703: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto De4b6; D040f: if (!(true === is_null($subdomain) || "\167\x77\167" == $subdomain)) { goto Cdcce; } goto B5109; c073e: $siteEntity->setType(SiteEntity::TYPE_PYTHON); goto B0703; E18e4: E6942: goto E81dc; C2b15: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto E2947; E6423: $siteUser = trim($input->getOption("\x73\151\x74\145\125\163\x65\x72")); goto b294a; E81dc: $certificateEntity = $this->certificateEntityManager->createEntity(); goto d364a; De585: $pythonSettingsConstraints = $this->validator->validate($pythonSettingsEntity); goto C7153; D596a: $siteEntity->setRootDirectory($rootDirectory); goto Ef9aa; C57ca: $pythonSite->setRegistrableDomain($registrableDomain); goto dd186; Ccaa8: f477d: goto A4524; a7ba3: $appPort = (int) $input->getOption("\x61\160\160\x50\157\162\x74"); goto E6423; E4d56: d3e94: goto db681; d182e: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto B6735; a325e: $pythonSiteCreator->writePythonVersionFile(); goto D51ef; f7693: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto F332b; F959b: return SiteCommand::SUCCESS; goto E4d56; Bfa25: $pythonSiteCreator = new PythonSiteCreator($pythonSite); goto C16c8; A9785: $rsaKeyGenerator = new RsaKeyGenerator(); goto Ee35a; C074c: $siteConstraints = $this->validator->validate($siteEntity); goto De585; ba288: } catch (\Exception $e) { goto A07ab; f2600: $output->writeln(sprintf("\74\145\162\162\x6f\x72\x3e\45\x73\x3c\x2f\145\x72\x72\157\162\x3e", $errorMessage)); goto d4bfc; A07ab: $errorMessage = $e->getMessage(); goto f2600; d4bfc: return SiteCommand::FAILURE; goto c451f; c451f: } } }
