<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto C35e0; Dbb22: $this->databaseServerEntityManager = $databaseServerEntityManager; goto fc007; C35e0: $this->domainNameParser = $domainNameParser; goto c49cd; db7e8: parent::__construct(); goto ed446; F7313: $this->certificateEntityManager = $certificateEntityManager; goto Dbb22; ccaac: $this->validator = $validator; goto db7e8; c49cd: $this->siteEntityManager = $siteEntityManager; goto F7313; fc007: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto ccaac; ed446: } protected function configure() : void { $this->setName("\x73\151\x74\x65\72\x74\x6d\x70"); } protected function getSite(string $domainName) : ?Site { goto cfd18; Da738: if (false === is_null($siteEntity)) { goto C2397; } goto A99a6; E0b95: $site->setSshUsers($siteEntity->getSshUsers()); goto df075; D5661: a52ff: goto D093c; d9917: if (!(false === is_null($site))) { goto ce67a; } goto F7eff; ec586: $site->setDatabases($siteDatabases); goto efb62; Ddf04: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto c61ac; c61ac: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto a12d4; fe9e6: $site->setFtpUsers($siteEntity->getFtpUsers()); goto E0b95; D1eac: $site->setBlockedIps($siteEntity->getBlockedIps()); goto d5b8e; e9e38: $siteEntity = $this->getSiteEntity($domainName); goto Da738; efb62: $site->setBasicAuth($siteEntity->getBasicAuth()); goto Ef1bd; d5b8e: $site->setCertificate($siteEntity->getCertificate()); goto d6a05; aa987: $site->setRegistrableDomain($registrableDomain); goto c5925; be9dc: $subdomain = $resolvedDomainName->subDomain()->toString(); goto E03ef; ba2d7: $site->setRootDirectory($siteEntity->getRootDirectory()); goto ec586; Bcfab: $site->setUser($siteEntity->getUser()); goto B920f; df075: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto f70be; a12d4: ce67a: goto D5661; a80e7: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Bcfab; d6a05: $site->setCertificates($siteEntity->getCertificates()); goto E7a83; cfd18: $site = null; goto e9e38; f70be: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto Ddf04; c5925: $site->setSubdomain($subdomain); goto ba2d7; c3ede: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto D412c; C3c50: goto F4e3a; goto F7b0f; a5c8c: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto C3c50; D412c: $site = new NodejsSite(); goto a5c8c; F7b0f: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto F4e3a; case SiteEntity::TYPE_PHP: goto D49d2; b3636: $site->setPhpSettings($siteEntity->getPhpSettings()); goto E141f; D49d2: $site = new PhpSite(); goto b3636; db3a6: goto F4e3a; goto A56b2; E141f: $site->setVarnishCache($siteEntity->getVarnishCache()); goto db3a6; A56b2: case SiteEntity::TYPE_PYTHON: goto a3446; b46f9: $site->setPythonSettings($siteEntity->getPythonSettings()); goto a844e; a844e: goto F4e3a; goto badec; a3446: $site = new PythonSite(); goto b46f9; badec: case SiteEntity::TYPE_REVERSE_PROXY: goto ea791; bceaa: goto F4e3a; goto E1834; a9bb2: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto bceaa; ea791: $site = new ReverseProxySite(); goto a9bb2; E1834: } goto da655; D58b1: goto a52ff; goto D9c9a; Dec78: F4e3a: goto d9917; F7eff: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto D8cbd; D9c9a: C2397: goto C8343; B920f: $site->setDomainName($siteEntity->getDomainName()); goto aa987; C8343: $siteType = $siteEntity->getType(); goto c3ede; E03ef: $subdomain = false === empty($subdomain) ? $subdomain : null; goto a80e7; E7a83: $site->setCronJobs($siteEntity->getCronJobs()); goto fe9e6; Ef1bd: $site->setBlockedBots($siteEntity->getBlockedBots()); goto D1eac; D8cbd: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto be9dc; D093c: return $site; goto B28e3; A99a6: throw new \Exception(sprintf("\123\151\164\145\x20\42\45\163\42\x20\x64\x6f\x65\163\40\x6e\157\x74\x20\x65\x78\x69\163\164\56", $domainName)); goto D58b1; da655: D3514: goto Dec78; B28e3: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto C918e; C918e: $siteDatabases = new ArrayCollection(); goto D0719; A1a02: foreach ($databaseEntities as $databaseEntity) { goto Ff606; C5cf6: eba42: goto d5edc; Ff606: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto a5e1c; d5edc: a5484: goto e2337; B16ad: $siteDatabases->add($databaseEntity); goto C5cf6; a5e1c: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto eba42; } goto B16ad; e2337: } goto c369e; c6d88: $databaseEntities = $siteEntity->getDatabases(); goto A1a02; D0719: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c6d88; c369e: b2224: goto c2c2e; c2c2e: return $siteDatabases; goto Cbe5c; Cbe5c: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto d9e54; Ada5f: D89d6: goto Dcbc1; dd09b: $siteType = $site->getType(); goto f65c4; Dcbc1: b25b3: goto f431e; d9e54: $siteDeleter = null; goto dd09b; f431e: return $siteDeleter; goto fa4f9; f65c4: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto b25b3; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto b25b3; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto b25b3; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto b25b3; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto b25b3; } goto Ada5f; fa4f9: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto b49b8; A82da: $siteType = $site->getType(); goto E283b; Ec27f: return $siteUpdater; goto Dd6cb; B2cc7: a1c4c: goto bee51; b49b8: $siteUpdater = null; goto A82da; E283b: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto B4ab8; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto B4ab8; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto B4ab8; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto B4ab8; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto B4ab8; } goto B2cc7; bee51: B4ab8: goto Ec27f; Dd6cb: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x75\163\145\x72", "\163\x69\x74\x65\125\x73\145\162", $constraints); $this->changePropertyPath("\165\x73\x65\x72\120\x61\163\x73\167\157\162\x64", "\163\x69\164\145\x55\163\x65\162\x50\141\163\163\167\x6f\x72\x64", $constraints); } }
