<?php
 namespace App\Controller\Admin; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\Form\Form; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Connection as DatabaseConnection; use App\Entity\Manager\ConfigManager; use App\Entity\Certificate as CertificateEntity; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Security\Admin\CustomDomain as AdminCustomDomain; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\Certificate; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\Util\Openssl; class SettingsController extends Controller { private ConfigManager $configManager; private DatabaseServerEntityManager $databaseServerEntityManager; public function __construct(ConfigManager $configManager, DatabaseServerEntityManager $databaseServerEntityManager, TranslatorInterface $translator, Logger $logger) { goto dfb85; dfb85: $this->configManager = $configManager; goto a28d2; a28d2: $this->databaseServerEntityManager = $databaseServerEntityManager; goto a6cd6; a6cd6: parent::__construct($translator, $logger); goto c5b75; c5b75: } public function settings(Request $request) : Response { goto A6c3e; Ff789: return $response; goto Ddac0; C9a6f: $response = $this->handleCustomDomainForm($request, $customDomainForm); goto a0fe4; fbf0a: $customDomainForm->handleRequest($request); goto Bff07; De068: return $response; goto D6949; A6c3e: $customDomainName = $this->configManager->get("\143\x75\163\x74\x6f\155\x5f\x64\x6f\x6d\x61\x69\156"); goto B8071; a0fe4: if (!(false === is_null($response))) { goto bab91; } goto Ff789; D3d94: $response = $this->render("\101\144\155\151\x6e\x2f\x53\145\x74\x74\151\x6e\147\163\x2f\x69\x6e\x64\145\x78\56\150\164\155\x6c\56\x74\x77\151\x67", ["\143\165\163\164\157\x6d\x44\x6f\x6d\x61\151\x6e\106\x6f\x72\x6d" => $customDomainForm->createView(), "\146\x6f\x72\155\105\162\162\157\162\x73" => $this->formErrors]); goto De068; C318a: $customDomainForm = $this->createCustomDomainForm($customDomainData); goto a3b9b; b78dd: d8f61: goto D3d94; a3b9b: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto d8f61; } goto fbf0a; B8071: $customDomainData = ["\x64\157\x6d\x61\x69\x6e\x4e\141\155\145" => false === is_null($customDomainName) ? $customDomainName : '']; goto C318a; Ddac0: bab91: goto D1a8f; Bff07: if (!(true === $customDomainForm->isSubmitted())) { goto ce5f3; } goto C9a6f; D1a8f: ce5f3: goto b78dd; D6949: } private function createCustomDomainForm(array $data) : Form { goto cb3bc; b21dd: return $form; goto a8bce; cb3bc: $form = $this->createForm("\101\160\x70\x5c\x46\157\162\155\x5c\101\x64\155\151\156\x43\x75\x73\x74\x6f\155\x44\x6f\155\141\x69\156\123\x65\x74\164\x69\x6e\147\x73\124\171\160\145", $data, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\143\154\160\x5f\x61\x64\155\x69\x6e\x5f\x73\x65\x74\164\x69\156\x67\x73"), "\155\145\x74\x68\x6f\144" => "\x50\x4f\x53\x54", "\x61\164\x74\x72" => []]); goto Fdd7c; Fdd7c: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\x6c\x61\x73\x73" => "\142\x74\156\40\x62\164\156\x2d\x62\x6c\x75\x65\40\142\164\156\x2d\154\147"], "\154\141\x62\x65\x6c" => "\x53\141\166\145"]); goto b21dd; a8bce: } private function handleCustomDomainForm(Request $request, Form $form) { goto c72a9; D8043: E4dba: goto c3ceb; D8ba8: goto E4dba; goto af302; c72a9: if (true === $form->isValid()) { goto d8a8c; } goto a1d0d; c5950: try { goto D9fb5; d6b85: $adminCustomDomain->createLetsEncryptChallengeFiles($certificateOrder); goto b015f; Dfd86: $this->configManager->set("\143\x75\163\x74\x6f\155\137\x64\x6f\x6d\141\151\x6e", $domainName); goto ce448; Afa5b: $domains = [$domainName]; goto C8cb1; Ab197: $vhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\56\57\56\56\x2f\56\x2e\57\x72\x65\163\x6f\x75\162\x63\x65\163\x2f\x6e\147\x69\x6e\x78\57\166\x68\157\x73\x74\137\164\145\155\160\x6c\141\x74\145\x2f\143\165\163\x74\157\x6d\x2d\x64\x6f\x6d\141\151\156"); goto Bdb16; eb687: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_ENABLE, $user, $eventData, $request); goto D162f; Be4fa: $adminCustomDomain->reloadNginx(); goto Dfd86; Cc8aa: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto E8e34; E768c: $adminCustomDomain = new AdminCustomDomain(); goto Dca1f; Af858: $commonName = array_shift($distinguishedNameDomains); goto c1c31; c1c31: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto D6967; c3aa7: $letsEncryptClient->registerAccount(); goto bb681; E8e34: if (true === empty($validationErrors)) { goto B69e8; } goto B69fa; C5801: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\x43\x6c\157\x75\144\120\141\x6e\145\x6c\x20\x43\165\x73\x74\x6f\155\40\104\x6f\x6d\x61\x69\x6e\x20\150\141\163\x20\x62\145\x65\156\x20\x73\141\166\145\144\x2e")); goto b6548; D07d2: $csr = $csrGenerator->generate(); goto d0e44; D9fb5: $user = $this->getUser(); goto F9feb; ba85d: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_DISABLE, $user, [], $request); goto C5801; aee4c: $certificate->setPrivateKey($privateKey->getPEM()); goto f8e66; D2fe6: goto d6329; goto F8e34; E87d6: $distinguishedNameDomains = $domains; goto Af858; ce448: $eventData = ["\x64\x6f\x6d\141\151\156\116\141\155\145" => $domainName]; goto eb687; e0113: $adminCustomDomain->writeMotdFile($domainName); goto Be4fa; Ed9fd: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto b0c20; b6548: $response = $this->redirect($this->generateUrl("\x63\154\160\137\141\144\x6d\151\x6e\x5f\163\x65\x74\164\x69\x6e\147\x73")); goto cf40f; f068c: E8dba: goto C2177; d053a: $certificate = new Certificate(); goto aee4c; C7bfb: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto F96ef; e1423: $adminCustomDomain->deleteLetsEncryptChallengeFiles(); goto d6b85; Dca1f: if (false === empty($domainName)) { goto Ad58e; } goto dcf60; dcf60: $adminCustomDomain = new AdminCustomDomain(); goto a5021; d0e44: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto d053a; F8e34: B69e8: goto Ed9fd; B69fa: $adminCustomDomain = new AdminCustomDomain(); goto ada48; A3606: e15ae: goto E1061; B8fd8: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto e108b; a76dc: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto b589a; D162f: $session->getFlashBag()->set("\163\165\x63\x63\x65\163\163", $this->translator->trans("\x43\x6c\157\165\144\120\141\x6e\x65\x6c\x20\x43\x75\x73\164\157\155\40\x44\x6f\155\141\151\156\x20\150\141\163\x20\142\x65\145\156\x20\x73\x61\x76\145\144\x2e")); goto F0fd4; bb681: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Ab197; C8cb1: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\160\162\151\x76\x61\164\145\137\153\145\x79"); goto C7bfb; d15bd: goto e15ae; goto b9610; b015f: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto a76dc; C2177: $this->formErrors = $this->getErrorMessages($form); goto D2fe6; caa58: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\72\40\45\x73", $domain, $validationErrorMessage))); e3185: } goto f068c; cf40f: return $response; goto d15bd; a5751: d6329: goto A3606; F96ef: $letsEncryptClient = new LetsEncryptClient($privateKey); goto c3aa7; a5a58: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto e0113; a5021: $adminCustomDomain->delete(); goto e4c92; f8e66: $certificate->setCertificate($selfSignedCertificate); goto e1423; F0fd4: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\141\x64\x6d\151\x6e\x5f\x73\145\164\164\151\156\x67\x73")); goto d0def; e4c92: $this->configManager->delete("\143\165\163\x74\x6f\x6d\x5f\144\x6f\155\141\151\156"); goto ba85d; b589a: $adminCustomDomain->reloadNginx(); goto Cc8aa; b9610: Ad58e: goto Afa5b; D6967: $rsaKeyGenerator = new RsaKeyGenerator(); goto B8fd8; E789f: $domainName = $form->get("\144\x6f\x6d\141\x69\x6e\x4e\x61\155\145")->getData(); goto E768c; e108b: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto D07d2; b0c20: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto a5a58; Bdb16: $vhostTemplate = file_get_contents($vhostTemplateFile); goto E87d6; ada48: $adminCustomDomain->delete(); goto caa58; d0def: return $response; goto a5751; F9feb: $session = $request->getSession(); goto E789f; E1061: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\x41\156\40\x65\x72\162\157\x72\40\150\141\163\40\157\143\143\165\x72\162\145\144\x2c\x20\145\x72\162\x6f\162\x20\x6d\x65\x73\x73\141\x67\x65\72\40\45\x65\162\x72\157\162\115\145\163\163\x61\147\145\45", ["\45\x65\x72\162\x6f\x72\115\x65\x73\x73\141\x67\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($adminCustomDomain))) { goto d6f3c; } $adminCustomDomain->deleteLetsEncryptChallengeFiles(); d6f3c: } goto D8043; af302: d8a8c: goto c5950; a1d0d: $this->formErrors = $this->getErrorMessages($form); goto D8ba8; c3ceb: } public function databaseServers(Request $request) : Response { goto Fe444; d2c9f: return $response; goto Fdaca; A89d6: $response = $this->render("\x41\x64\x6d\x69\156\x2f\123\x65\164\x74\x69\x6e\x67\x73\57\104\141\x74\141\x62\141\163\x65\55\x53\145\x72\166\x65\162\163\x2f\x69\x6e\144\145\170\56\x68\164\x6d\154\x2e\x74\x77\151\x67", ["\144\x61\164\x61\x62\141\x73\x65\x53\x65\162\166\x65\162\163" => $databaseServers]); goto d2c9f; Fe444: $databaseServers = $this->databaseServerEntityManager->findAll([], ["\150\157\x73\x74" => "\x41\x53\103"]); goto A89d6; Fdaca: } public function addDatabaseServer(Request $request) : Response { goto D1392; abafd: $response = $this->handleDatabaseServerForm($request, $form); goto Ef676; a177e: return $response; goto A6df0; cf92a: $response = $this->render("\101\144\155\x69\x6e\57\123\x65\x74\164\151\x6e\x67\163\x2f\x44\x61\164\141\142\141\x73\145\x2d\x53\145\162\x76\x65\162\x73\57\141\x64\x64\x2e\150\x74\155\154\56\164\x77\151\x67", ["\146\157\x72\x6d" => $form->createView(), "\x66\x6f\162\x6d\x45\x72\x72\x6f\162\x73" => $this->formErrors]); goto a177e; Beb26: $form = $this->createDatabaseServerForm($databaseServerEntity); goto Ee75d; Ee75d: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto Dae71; } goto a93d5; c8b5a: return $response; goto E8b7f; c6532: e973c: goto c3929; Ef676: if (!(false === is_null($response))) { goto B00e7; } goto c8b5a; c3929: Dae71: goto cf92a; D1392: $databaseServerEntity = $this->databaseServerEntityManager->createEntity(); goto Beb26; E8b7f: B00e7: goto c6532; cd47d: if (!(true === $form->isSubmitted())) { goto e973c; } goto abafd; a93d5: $form->handleRequest($request); goto cd47d; A6df0: } private function createDatabaseServerForm(DatabaseServerEntity $databaseServerEntity) : Form { goto f2fad; ceb43: $form->add("\x73\165\142\x6d\151\x74", SubmitType::class, ["\x61\164\164\x72" => ["\x63\154\x61\163\x73" => "\x62\164\156\40\142\164\156\x2d\x62\154\165\145\40\142\164\156\55\154\147"], "\x6c\x61\142\x65\154" => "\x41\x64\144\40\104\x61\x74\x61\x62\x61\163\x65\40\123\145\162\x76\145\162"]); goto b24a0; b24a0: return $form; goto F0b81; f2fad: $form = $this->createForm("\x41\160\x70\x5c\106\157\x72\x6d\134\x41\x64\155\151\156\x44\141\x74\141\142\141\x73\x65\123\x65\x72\166\x65\162\x54\171\x70\x65", $databaseServerEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\154\160\137\141\x64\x6d\151\156\137\144\141\164\141\x62\141\x73\x65\137\x73\x65\x72\x76\x65\162\x5f\141\x64\x64"), "\155\145\164\x68\x6f\x64" => "\x50\117\x53\124", "\x61\164\164\162" => []]); goto ceb43; F0b81: } private function handleDatabaseServerForm(Request $request, Form $form) { goto E93f1; Da502: A800c: goto Aad74; da589: try { goto cb116; b9a89: $databaseServerEntity->setVersion($version); goto Bebbd; C490b: $eventData = ["\x68\x6f\163\x74" => $databaseServerEntity->getHost(), "\165\x73\145\162\x4e\141\x6d\x65" => $databaseServerEntity->getUserName(), "\160\x6f\x72\x74" => $databaseServerEntity->getPort(), "\145\x6e\147\151\x6e\145" => $engine, "\x76\x65\x72\x73\x69\x6f\156" => $version]; goto bb595; Cf714: $databaseServerEntity->setEngine($engine); goto b9a89; c37d8: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x61\144\x6d\151\156\x5f\144\x61\x74\x61\142\x61\163\x65\137\163\145\162\x76\145\x72\x73")); goto Ebc2e; c7da6: $password = $databaseServerEntity->getPassword(); goto Ff815; Bebbd: $databaseServerEntity->setIsDefault(false); goto C490b; Aa81b: $session = $request->getSession(); goto b194a; b194a: $databaseServerEntity = $form->getData(); goto c7da6; Ebc2e: return $response; goto f7aa7; e7397: $engine = $databaseConnection->getEngine(); goto F0f24; bb595: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_ADD, $user, $eventData, $request); goto Ec1cc; Ff815: $encryptedPassword = Crypto::encrypt($password); goto E823a; F0f24: $version = $databaseConnection->getVersion(); goto Cf714; cb116: $user = $this->getUser(); goto Aa81b; E823a: $databaseServerEntity->setPassword($encryptedPassword); goto e4854; e4854: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto e7397; d97f8: $session->getFlashBag()->set("\163\x75\143\143\x65\163\x73", $this->translator->trans("\x44\141\x74\141\142\141\163\x65\40\x53\145\162\x76\x65\x72\40\x68\141\x73\40\142\x65\145\x6e\40\141\x64\144\145\144\x2e")); goto c37d8; Ec1cc: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto d97f8; f7aa7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\x6f\162\x20\x68\141\163\40\x6f\143\143\x75\x72\162\x65\144\x2c\x20\145\162\x72\157\162\40\x6d\145\163\x73\x61\147\145\72\40\45\x65\162\162\157\x72\x4d\x65\x73\163\x61\147\145\45", ["\x25\145\x72\162\157\x72\115\145\163\163\x61\147\x65\45" => $e->getMessage()])); } goto Da502; E93f1: if (true === $form->isValid()) { goto e2591; } goto e3056; e3056: $this->formErrors = $this->getErrorMessages($form); goto A08d5; A08d5: goto A800c; goto bb89e; bb89e: e2591: goto da589; Aad74: } public function editDatabaseServer(Request $request) : Response { goto Bf4f0; A520e: E2af1: goto Dfff7; A1492: $form = $this->createDatabaseServerEditForm($databaseServerEntity); goto B205a; c6ecd: $databaseServerEntity->setPassword(''); goto A1492; Bfa3d: if (!(true === $form->isSubmitted())) { goto E2af1; } goto C6f2d; b9291: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto Ff23d; Ff23d: if (true === is_null($databaseServerEntity)) { goto d0112; } goto c6ecd; C6f2d: $response = $this->handleDatabaseServerEditForm($request, $form); goto d7a07; d7a07: if (!(false === is_null($response))) { goto Cb629; } goto b06bf; a394d: $response = $this->render("\101\144\x6d\x69\x6e\57\123\145\164\x74\151\156\147\x73\x2f\x44\141\164\141\x62\141\x73\145\x2d\123\x65\x72\x76\145\x72\x73\x2f\145\144\151\164\56\x68\164\155\154\x2e\x74\167\151\147", ["\144\141\164\141\x62\141\x73\x65\x53\145\x72\x76\145\162" => $databaseServerEntity, "\146\x6f\x72\155" => $form->createView(), "\146\157\x72\x6d\x45\162\162\157\x72\163" => $this->formErrors]); goto bbd6d; c3e7e: $form->handleRequest($request); goto Bfa3d; b06bf: return $response; goto A226e; A226e: Cb629: goto A520e; B205a: if (!(true === $request->isMethod("\120\117\123\124"))) { goto B07b4; } goto c3e7e; ce94e: d2277: goto e4058; b12fc: d0112: goto B39d1; ad2de: return $response; goto ce94e; B39d1: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x61\x64\x6d\x69\x6e\x5f\x64\x61\x74\141\142\141\163\145\x5f\163\145\x72\166\145\162\x73")); goto ad2de; bbd6d: return $response; goto A7fe5; A7fe5: goto d2277; goto b12fc; Bf4f0: $id = (int) $request->get("\151\144"); goto b9291; Dfff7: B07b4: goto a394d; e4058: } private function createDatabaseServerEditForm(DatabaseServerEntity $databaseServerEntity) : Form { goto b6f59; b6f59: $form = $this->createForm("\101\160\160\134\x46\x6f\162\155\134\101\144\x6d\151\156\x44\x61\164\x61\x62\x61\163\x65\123\145\162\166\x65\162\105\x64\x69\164\x54\171\160\x65", $databaseServerEntity, ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\141\144\x6d\x69\x6e\137\x64\x61\x74\x61\x62\x61\163\x65\x5f\x73\145\162\x76\145\162\x5f\145\144\x69\x74", ["\151\144" => $databaseServerEntity->getId()]), "\155\x65\x74\150\157\x64" => "\120\x4f\x53\x54", "\141\x74\x74\x72" => []]); goto Eb786; ddb99: return $form; goto b0a08; Eb786: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\141\x73\163" => "\142\164\x6e\40\x62\164\156\x2d\x62\154\165\x65\40\142\x74\x6e\x2d\154\x67"], "\x6c\141\x62\x65\154" => "\x53\141\x76\x65"]); goto ddb99; b0a08: } private function handleDatabaseServerEditForm(Request $request, Form $form) { goto bee62; eefcd: B22ab: goto e965b; bee62: if (true === $form->isValid()) { goto Bb3c0; } goto c7e91; C29a1: try { goto e9d1d; bf0e7: $engine = $databaseConnection->getEngine(); goto e8593; e0b32: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_EDIT, $user, $eventData, $request); goto B2f39; E439d: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\163", $this->translator->trans("\x44\x61\x74\x61\142\141\163\x65\x20\123\145\162\166\x65\162\40\150\x61\x73\x20\x62\145\145\156\40\165\160\x64\141\x74\x65\x64\x2e")); goto ea6a5; a3e7b: $databaseServerEntity->setVersion($version); goto F2f2f; e8593: $version = $databaseConnection->getVersion(); goto cf6a7; a636c: $session = $request->getSession(); goto Ae044; a9442: return $response; goto C38e6; Df832: $password = $databaseServerEntity->getPassword(); goto c9a8f; Fe9f0: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto bf0e7; Ae044: $databaseServerEntity = $form->getData(); goto Df832; c9a8f: $encryptedPassword = Crypto::encrypt($password); goto Ae9fa; F2f2f: $databaseServerEntity->setIsDefault(false); goto D846f; e9d1d: $user = $this->getUser(); goto a636c; cf6a7: $databaseServerEntity->setEngine($engine); goto a3e7b; ea6a5: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x61\x64\155\x69\x6e\137\144\141\x74\141\x62\141\163\145\137\x73\x65\x72\166\145\x72\163")); goto a9442; B2f39: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto E439d; D846f: $eventData = ["\x68\157\163\164" => $databaseServerEntity->getHost(), "\x75\x73\145\x72\x4e\141\155\x65" => $databaseServerEntity->getUserName(), "\x70\x6f\x72\x74" => $databaseServerEntity->getPort(), "\145\x6e\x67\x69\x6e\x65" => $engine, "\166\x65\x72\163\x69\x6f\x6e" => $version]; goto e0b32; Ae9fa: $databaseServerEntity->setPassword($encryptedPassword); goto Fe9f0; C38e6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\x41\156\40\145\x72\162\x6f\x72\x20\150\141\x73\40\x6f\x63\x63\165\162\162\145\144\54\40\145\162\162\x6f\162\40\155\145\163\163\x61\x67\x65\72\x20\x25\x65\162\162\x6f\x72\x4d\x65\x73\163\141\x67\145\45", ["\x25\145\162\162\x6f\x72\x4d\x65\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto eefcd; c7e91: $this->formErrors = $this->getErrorMessages($form); goto A3e69; Fad7b: Bb3c0: goto C29a1; A3e69: goto B22ab; goto Fad7b; e965b: } public function setDatabaseServerActive(Request $request) : Response { goto bc8e7; d4b90: if (!(false === is_null($databaseServerEntity))) { goto be6bb; } goto f397d; b3d55: be6bb: goto B76c9; f91ba: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto d4b90; B76c9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x61\x64\155\151\x6e\x5f\x64\141\164\x61\142\141\163\145\x5f\163\145\x72\x76\145\162\163")); goto eebf0; bc8e7: $id = (int) $request->get("\x69\x64"); goto f91ba; c3486: F3b0e: goto b3d55; Bb70e: if (!($databaseServerEntity->getId() != $activeDatabaseServerEntity->getId())) { goto F3b0e; } goto F5b7d; eebf0: return $response; goto b9af4; F5b7d: try { goto Eee47; Eee47: $user = $this->getUser(); goto b21bd; A9f95: $this->databaseServerEntityManager->updateEntity($activeDatabaseServerEntity); goto ba48f; E8c61: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto A9f95; ba48f: $eventData = ["\157\154\x64\x48\157\x73\164" => $activeDatabaseServerEntity->getHost(), "\157\154\x64\125\163\145\x72\x4e\141\x6d\145" => $activeDatabaseServerEntity->getUserName(), "\x6e\x65\x77\x48\x6f\x73\164" => $databaseServerEntity->getHost(), "\x6e\145\x77\125\x73\145\x72\x4e\x61\155\145" => $databaseServerEntity->getUserName()]; goto F961a; F961a: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_CHANGE, $user, $eventData, $request); goto Bf93b; b21bd: $session = $request->getSession(); goto E6b95; Bf93b: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\104\141\x74\x61\142\x61\163\x65\x20\x53\x65\x72\166\x65\162\x20\150\x61\x73\x20\x62\145\145\156\x20\143\x68\x61\x6e\x67\x65\x64\x2e")); goto A1365; E6b95: $databaseServerEntity->setIsActive(true); goto fb8fc; fb8fc: $activeDatabaseServerEntity->setIsActive(false); goto E8c61; A1365: } catch (\Exception $e) { $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\104\141\x74\x61\x62\x61\163\x65\40\x53\145\x72\x76\145\162\x20\x63\162\x65\x64\145\156\164\x69\141\x6c\163\40\x61\162\x65\x20\x6e\157\164\x20\x76\141\154\x69\x64\56")); } goto c3486; f397d: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Bb70e; b9af4: } public function deleteDatabaseServer(Request $request) : Response { goto ea88e; ea88e: $id = (int) $request->get("\x69\x64"); goto Aa5dc; Bffd8: return $response; goto Fd3d6; c193c: try { goto b0de1; Cefd3: $eventData = ["\x68\157\x73\164" => $databaseServerEntity->getHost(), "\165\163\145\x72\116\x61\155\145" => $databaseServerEntity->getUserName()]; goto B55f1; a4e5b: $session = $request->getSession(); goto Bba4c; B55f1: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_DELETE, $user, $eventData, $request); goto E62e8; Bba4c: $this->databaseServerEntityManager->deleteEntity($databaseServerEntity); goto Cefd3; b0de1: $user = $this->getUser(); goto a4e5b; E62e8: $session->getFlashBag()->set("\163\x75\x63\143\x65\163\x73", $this->translator->trans("\104\x61\164\141\142\x61\x73\x65\x20\x53\145\162\x76\145\162\x20\x68\x61\x73\x20\142\145\145\x6e\40\x64\145\x6c\x65\164\x65\x64\x2e")); goto fbe50; fbe50: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\x41\156\40\145\162\x72\157\162\x20\150\141\163\x20\x6f\143\143\x75\x72\x72\145\144\54\40\145\x72\162\x6f\162\40\x6d\x65\x73\163\141\x67\x65\72\x20\x25\145\x72\x72\x6f\162\x4d\145\x73\163\141\x67\145\x25", ["\45\145\x72\162\x6f\x72\x4d\x65\x73\x73\141\x67\x65\x25" => $e->getMessage()])); } goto Be70d; Be70d: ccecd: goto B4bcc; Ba9e7: if (!(false === is_null($databaseServerEntity) && false === $databaseServerEntity->isDefault() && false === $databaseServerEntity->isActive())) { goto ccecd; } goto c193c; Aa5dc: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto Ba9e7; B4bcc: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x61\144\155\x69\x6e\x5f\144\141\164\141\x62\141\163\145\x5f\x73\145\x72\166\x65\x72\x73")); goto Bffd8; Fd3d6: } }
