<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto D9030; dfa7e: $this->timezoneEntityManager = $timezoneEntityManager; goto ceadf; D9030: $this->userEntityManager = $userEntityManager; goto Ff683; ceadf: parent::__construct($translator, $logger); goto b8f0e; Ff683: $this->siteEntityManager = $siteEntityManager; goto dfa7e; b8f0e: } public function index(Request $request) : Response { goto F547c; fa4c5: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto a8704; Ef74a: return $response; goto Ce759; F547c: $currentUser = $this->getUser(); goto Aa1d2; Aa1d2: $users = $this->userEntityManager->findAll([], ["\165\x73\x65\x72\116\x61\x6d\x65" => "\141\x73\143"]); goto fa4c5; a8704: $response = $this->render("\101\x64\155\151\x6e\57\125\163\x65\x72\57\x69\x6e\x64\145\170\56\x68\164\x6d\154\x2e\164\x77\151\x67", ["\165\163\145\x72\x73" => $users]); goto Ef74a; Ce759: } public function new(Request $request) : Response { goto bfd17; b10aa: c6efd: goto Abd3f; e3490: $form = $this->createUserForm($userEntity); goto aaf42; e31d6: if (!(false === is_null($response))) { goto Ea61a; } goto b7564; Abd3f: $response = $this->render("\101\144\x6d\x69\x6e\57\125\x73\x65\162\x2f\x6e\x65\x77\56\x68\x74\x6d\x6c\x2e\164\x77\x69\x67", ["\165\163\x65\x72" => $userEntity, "\x73\151\164\x65\x73" => $sites, "\146\157\x72\x6d" => $form->createView(), "\146\157\x72\155\x45\162\x72\x6f\162\163" => $this->formErrors]); goto B8b60; Cc75b: $userEntity->setTimezone($defaultTimezone); goto e3490; E5462: Ae898: goto b10aa; aaf42: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto c6efd; } goto a7bfa; E46ea: Ea61a: goto E5462; bfd17: $userEntity = $this->userEntityManager->createEntity(); goto D9009; Fb734: $sites = $this->siteEntityManager->findAll([], ["\144\157\x6d\141\151\156\116\141\155\145" => "\101\123\103"]); goto Cc75b; D9009: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto Fb734; a7bfa: $form->handleRequest($request); goto d2fed; d2fed: if (!(true === $form->isSubmitted())) { goto Ae898; } goto f34a0; B8b60: return $response; goto Fb9a7; f34a0: $response = $this->handleUserForm($request, $form); goto e31d6; b7564: return $response; goto E46ea; Fb9a7: } private function createUserForm(UserEntity $userEntity) : Form { goto Efaa3; Efaa3: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\x72\x6d\134\101\144\155\x69\x6e\125\163\145\162\x54\x79\160\145", $userEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\143\x6c\x70\x5f\141\144\155\x69\x6e\137\165\163\145\162\137\156\x65\167"), "\x6d\145\164\150\x6f\144" => "\120\117\123\124", "\x61\164\164\162" => []]); goto ca187; ca187: $form->add("\163\x75\142\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\x6c\141\x73\x73" => "\142\x74\x6e\40\142\164\156\55\142\x6c\x75\145\x20\x62\164\156\55\x6c\147"], "\x6c\x61\142\x65\154" => "\x41\x64\144\x20\125\163\145\x72"]); goto cca7c; cca7c: return $form; goto D0a73; D0a73: } private function handleUserForm(Request $request, Form $form) { goto e0025; a2dba: f79fa: goto A5c41; Ee312: goto f79fa; goto C9bfb; C9bfb: Dfa9f: goto c9793; c9793: try { goto A0a80; e6b93: $userEntity = $form->getData(); goto af699; d23c6: $domainNames = []; goto ef99c; Ae4c2: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\x55\x73\x65\162\x20\150\141\163\x20\142\145\145\156\x20\x61\144\x64\145\144\x2e")); goto Ca194; ef99c: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto A7215; } goto Aae74; Aae74: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); a1563: } goto e2432; af699: $sites = $userEntity->getSites(); goto d23c6; b1780: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto Ae4c2; A0a80: $currentUser = $this->getUser(); goto C7bd5; C7bd5: $session = $request->getSession(); goto e6b93; f083a: $this->userEntityManager->updateUser($userEntity); goto B0f6a; B0f6a: $eventData = ["\165\163\145\x72\116\x61\x6d\145" => $userEntity->getUserName(), "\x66\151\162\163\x74\116\141\155\145" => $userEntity->getFirstName(), "\x6c\141\x73\x74\x4e\x61\x6d\x65" => $userEntity->getLastName(), "\x65\155\141\151\154" => $userEntity->getEMail(), "\162\157\154\145" => $userEntity->getRole(), "\163\151\x74\145\163" => implode("\54\x20", $domainNames)]; goto b1780; Ca194: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\141\x64\155\151\x6e\x5f\165\x73\x65\162\x73")); goto bd411; bd411: return $response; goto ac941; Fea05: sort($domainNames); goto f083a; e2432: C7d92: goto ca010; ca010: A7215: goto Fea05; ac941: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\101\156\40\x65\162\x72\157\162\x20\x68\x61\x73\40\x6f\143\x63\x75\x72\162\x65\x64\x2c\x20\145\162\x72\x6f\x72\40\x6d\x65\x73\163\x61\x67\x65\72\40\45\x65\162\x72\157\162\115\x65\x73\163\141\147\x65\x25", ["\45\145\x72\162\x6f\162\115\x65\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto a2dba; E6f7f: $this->formErrors = $this->getErrorMessages($form); goto Ee312; e0025: if (true === $form->isValid()) { goto Dfa9f; } goto E6f7f; A5c41: } public function edit(Request $request) : Response { goto C5756; Eadf3: return $response; goto c5cf0; Ffce5: if (!(false === is_null($response))) { goto b9d55; } goto D1110; D61f6: goto ca057; goto ffe01; A55a1: $sites = $this->siteEntityManager->findAll([], ["\144\157\155\x61\x69\x6e\x4e\141\155\x65" => "\x41\123\103"]); goto cf243; B3dc4: if (!(true === $form->isSubmitted())) { goto d626f; } goto d9901; A5a96: $response = $this->render("\x41\x64\x6d\x69\x6e\x2f\125\x73\x65\162\57\x65\x64\x69\164\56\x68\x74\155\x6c\x2e\x74\x77\151\x67", ["\165\163\x65\162" => $userEntity, "\x73\151\x74\145\163" => $sites, "\146\157\x72\155" => $form->createView(), "\146\x6f\x72\155\105\162\162\157\x72\163" => $this->formErrors]); goto F4644; C5756: $id = (int) $request->get("\151\x64"); goto A566f; fec8e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\141\144\155\151\x6e\x5f\x75\163\x65\162\163")); goto D61f6; ffe01: B14fc: goto A55a1; ab1a0: $form->handleRequest($request); goto B3dc4; B55d0: d626f: goto e72b3; F0273: b9d55: goto B55d0; e72b3: a5607: goto A5a96; d9901: $response = $this->handleUserEditForm($request, $form); goto Ffce5; D1110: return $response; goto F0273; cf243: $form = $this->createUserEditForm($userEntity); goto E61fe; F4644: ca057: goto Eadf3; E61fe: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto a5607; } goto ab1a0; A566f: $userEntity = $this->userEntityManager->findOneById($id); goto f2539; f2539: if (false === is_null($userEntity)) { goto B14fc; } goto fec8e; c5cf0: } private function createUserEditForm(UserEntity $userEntity) : Form { goto d7981; d044e: return $form; goto ca77b; db50b: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\x61\x73\163" => "\x62\164\x6e\40\x62\x74\156\x2d\142\x6c\x75\145\x20\142\x74\156\55\x6c\147"], "\x6c\x61\x62\x65\154" => "\123\x61\x76\x65"]); goto d044e; d7981: $form = $this->createForm("\x41\160\160\x5c\x46\157\162\x6d\134\101\x64\155\x69\156\125\163\145\162\x45\x64\151\164\124\x79\x70\x65", $userEntity, ["\141\x63\x74\x69\157\156" => $this->generateUrl("\143\x6c\x70\137\x61\x64\155\x69\x6e\137\x75\x73\x65\x72\x5f\145\x64\151\164", ["\151\144" => $userEntity->getId()]), "\155\145\164\x68\157\x64" => "\x50\x4f\123\x54", "\x61\164\164\162" => []]); goto db50b; ca77b: } private function handleUserEditForm(Request $request, Form $form) { goto Fc30c; b19ad: bc35d: goto C8e09; C6577: $this->formErrors = $this->getErrorMessages($form); goto D0370; Cd3b1: E97c3: goto f6516; D0370: goto E97c3; goto b19ad; Fc30c: if (true === $form->isValid()) { goto bc35d; } goto C6577; C8e09: try { goto d7863; B2b08: if (false === empty($plainPassword)) { goto B5d36; } goto F4899; E1a92: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); B932c: } goto f9280; ca67f: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto Ae180; } goto E1a92; e2d67: goto ccba6; goto C2eea; bebc6: $session = $request->getSession(); goto af464; D6ab1: $this->userEntityManager->updateUser($userEntity, true, true); goto E3201; F4899: $this->userEntityManager->updateUser($userEntity); goto e2d67; d7863: $currentUser = $this->getUser(); goto bebc6; A77bf: return $response; goto A4ca8; Beb85: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\x73", $this->translator->trans("\125\x73\x65\x72\40\x68\141\x73\x20\x62\x65\145\x6e\x20\x75\x70\x64\x61\164\145\x64\56")); goto Dc6cd; af868: $eventData = ["\165\163\145\x72\116\x61\155\x65" => $userEntity->getUserName(), "\x66\151\162\x73\164\116\141\155\x65" => $userEntity->getFirstName(), "\x6c\141\163\x74\116\x61\155\145" => $userEntity->getLastName(), "\145\x6d\x61\151\x6c" => $userEntity->getEMail(), "\162\x6f\154\145" => $userEntity->getRole(), "\x73\x74\141\164\165\163" => (int) $userEntity->getStatus(), "\x73\151\x74\145\x73" => implode("\54\40", $domainNames)]; goto e9d45; E3201: ccba6: goto af868; B1469: sort($domainNames); goto B2b08; C2eea: B5d36: goto D6ab1; f9280: D45a9: goto B3cdd; fd5ac: $plainPassword = $userEntity->getPlainPassword(); goto ae12d; aca62: $domainNames = []; goto ca67f; ae12d: $sites = $userEntity->getSites(); goto aca62; e9d45: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto Beb85; af464: $userEntity = $form->getData(); goto fd5ac; Dc6cd: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\141\144\x6d\151\156\x5f\165\x73\145\x72\x5f\x65\x64\x69\x74", ["\x69\144" => $userEntity->getId()])); goto A77bf; B3cdd: Ae180: goto B1469; A4ca8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\101\x6e\40\145\x72\162\157\162\40\x68\x61\x73\40\157\x63\143\165\162\162\145\144\54\x20\145\162\162\x6f\162\40\155\x65\163\163\141\x67\x65\x3a\40\x25\145\162\162\157\162\115\145\163\163\x61\x67\x65\45", ["\45\x65\162\162\157\x72\x4d\145\163\163\141\x67\145\x25" => $e->getMessage()])); } goto Cd3b1; f6516: } public function delete(Request $request) : Response { goto Bcf6b; F88d2: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\141\144\x6d\151\x6e\137\165\x73\145\x72\163")); goto aabe2; b5a65: A5f2e: goto F88d2; F5a34: $eventData = ["\x75\x73\x65\x72\x4e\x61\155\x65" => $userEntity->getUserName(), "\146\x69\162\163\x74\x4e\x61\x6d\145" => $userEntity->getFirstName(), "\x6c\141\x73\164\x4e\141\155\145" => $userEntity->getLastName(), "\x65\x6d\x61\x69\x6c" => $userEntity->getEMail(), "\162\x6f\154\145" => $userEntity->getRole()]; goto fefd2; fefd2: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto D0661; F617b: $userEntity = $this->userEntityManager->findOneById($id); goto bdff2; D0661: $this->userEntityManager->deleteUser($userEntity); goto B5c5a; Bfac3: $id = (int) $request->get("\151\144"); goto d6797; B5c5a: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\163", $this->translator->trans("\x55\x73\x65\x72\40\x68\141\163\x20\142\x65\x65\x6e\x20\x64\145\154\145\164\145\x64\56")); goto d49eb; d6797: $this->checkCsrfToken($request, "\144\145\154\x65\x74\145\55\x75\x73\x65\162"); goto fa14b; d49eb: ec62b: goto b5a65; fa14b: if (!(true === isset($id) && $id != $currentUser->getId())) { goto A5f2e; } goto F617b; bdff2: if (!(false === is_null($userEntity))) { goto ec62b; } goto De6ca; Bcf6b: $currentUser = $this->getUser(); goto Bfac3; aabe2: return $response; goto C0f97; De6ca: $session = $request->getSession(); goto F5a34; C0f97: } }
