<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto F4d63; dba66: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto bc631; Ca6a6: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto dba66; C5794: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto Ca6a6; bc631: parent::__construct($translator, $logger); goto e0b18; F4d63: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto C5794; e0b18: } public function index(Request $request) : Response { goto fa204; f35de: $totalMemory = ''; goto B5272; B5272: $numberOfProcessorCores = 0; goto e0fc5; B4a9a: $diskData = [["\156\141\x6d\145" => sprintf("\57\40\x28\x25\x73\51", $rootDiskSize), "\143\157\x6c\x6f\162" => "\43\x37\63\142\x66\64\143", "\x64\x61\164\141" => $diskData["\x72\157\157\164"] ?: []]]; goto Da26a; Af235: $memoryChart = new Chart("\x4d\145\155\x6f\x72\x79\x20\x55\163\141\147\x65"); goto Ffd66; Af1c1: if ($homeDiskSize != $rootDiskSize) { goto B2f6e; } goto B4a9a; ef126: $cpuChart = new Chart("\x43\x50\x55\x20\125\x73\141\147\x65"); goto a6a84; Abb52: Ba010: goto F4585; ee5f6: $loadAverageChart->setInformation($loadAverageChartInformation); goto D86ed; F44da: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\102", 0); goto e1d97; fa204: $user = $this->getUser(); goto E1950; C7355: E5743: goto B8215; bb1ec: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto F44da; Ea3b0: $timeRange = $request->get("\164\151\x6d\145\x52\x61\x6e\x67\x65"); goto fd153; B8716: $diskChart->setCategories($categories); goto F20d5; Da26a: goto Ba010; goto ba5bd; F2264: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto Cc09f; F20d5: $loadAverageChartInformation = sprintf("\45\163\40\x25\163", $numberOfProcessorCores, $this->translator->trans("\x43\120\x55")); goto E65e1; F3e4c: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto F2264; bd23a: $loadAverageChart->setCategories($categories); goto b85dc; Efe0e: $memoryChart->setCategories($categories); goto ba2d4; D86ed: $loadAverageChart->setData($loadAverageData); goto bd23a; dbdf2: $cloud = $environment->getCloudProvider(); goto Ea3b0; e0fc5: try { goto Afe11; C002d: $memoryInformationCommand = new MemoryInformationCommand(); goto E4724; C1647: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto Cdc16; C0fd4: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto B7a58; E4724: $commandExecutor->execute($memoryInformationCommand); goto C0fd4; Afe11: $commandExecutor = new CommandExecutor(); goto C002d; A69e5: $commandExecutor->execute($processorCoresCommand); goto C1647; Ef260: $processorCoresCommand = new ProcessorCoresCommand(); goto A69e5; B7a58: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\x42", 0); goto Ef260; Cdc16: } catch (\Exception $e) { $this->logger->exception($e); } goto fde42; E65e1: $loadAverageChart = new LoadAverageChart("\114\x6f\x61\144\x20\101\166\145\x72\141\147\145"); goto ee5f6; Ff5f2: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto c355c; a2f16: goto E5743; goto a5bdc; c355c: $minuteInterval = 5; goto c5861; c5861: $startTime = (clone $endTime)->modify("\x2d\x33\x30\x20\155\x69\x6e\x75\164\x65\x73"); goto a2f16; a5bdc: case self::TIME_RANGE_LAST_HOUR: goto F299a; E5f06: $startTime = (clone $endTime)->modify("\x2d\x31\x20\150\x6f\x75\x72"); goto ef14c; F299a: $minuteInterval = 10; goto E5f06; ef14c: goto E5743; goto ebf7e; ebf7e: case self::TIME_RANGE_LAST_THREE_HOURS: goto D0814; E349b: $startTime = (clone $dateTime)->modify("\x2d\63\x20\150\157\165\162\x73"); goto acfee; acfee: goto E5743; goto fe2ae; D0814: $minuteInterval = 30; goto E349b; fe2ae: case self::TIME_RANGE_LAST_SIX_HOURS: goto F9e2f; E15ad: $startTime = (clone $dateTime)->modify("\55\x36\40\150\x6f\165\x72\163"); goto c7043; F9e2f: $minuteInterval = 60; goto E15ad; c7043: goto E5743; goto cd999; cd999: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto D9e14; C4aaf: $startTime = (clone $dateTime)->modify("\x2d\61\62\x20\150\157\165\x72\x73"); goto D0c6f; D0c6f: goto E5743; goto Bad81; D9e14: $minuteInterval = 120; goto C4aaf; Bad81: } goto Cea7a; fc31e: $diskData = [["\156\141\155\145" => sprintf("\x2f\40\x28\45\x73\x29", $rootDiskSize), "\143\157\154\x6f\162" => "\43\x37\x33\x62\146\64\x63", "\144\141\x74\141" => $diskData["\162\x6f\157\x74"] ?: []], ["\x6e\x61\155\145" => sprintf("\57\150\x6f\155\145\x20\x28\x25\x73\51", $homeDiskSize), "\143\x6f\x6c\157\x72" => "\x23\x66\x33\142\146\60\x30", "\144\x61\164\x61" => $diskData["\150\x6f\155\x65"] ?: []]]; goto Abb52; D662f: return $response; goto Eca66; E1950: $instance = $request->attributes->get("\x69\x6e\x73\x74\x61\x6e\143\x65"); goto A790c; F1517: $diskChart->setData($diskData); goto B8716; Ffd66: $memoryChart->setInformation($totalMemory); goto e7bb7; fde42: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto Bd7ac; F4585: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto d02a3; e1d97: $dateTime = new \DateTime(); goto D59b2; Cea7a: cef10: goto C7355; ba5bd: B2f6e: goto fc31e; A790c: $environment = $instance->getEnvironment(); goto dbdf2; B8215: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto F3e4c; e7bb7: $memoryChart->setData($memoryData); goto Efe0e; Cc09f: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Af1c1; a051a: $cpuChart->setData($cpuData); goto d7e09; d02a3: $loadAverageData = [["\156\141\155\x65" => $this->translator->trans("\x31\x20\115\x69\156\165\x74\x65"), "\143\x6f\154\x6f\x72" => "\x23\67\x37\64\x61\x61\x34", "\144\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\x6e\x61\x6d\x65" => $this->translator->trans("\65\40\115\151\x6e\x75\x74\x65\x73"), "\x63\157\x6c\x6f\x72" => "\x23\x65\142\65\70\x36\143", "\x64\x61\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\x6e\x61\155\x65" => $this->translator->trans("\x31\x35\40\115\x69\x6e\x75\x74\x65\x73"), "\x63\157\154\x6f\x72" => "\x23\x30\x30\x37\70\x64\x34", "\x64\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto Bc23e; D59b2: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto Ff5f2; b85dc: $response = $this->render("\x46\x72\157\x6e\x74\145\156\144\x2f\x44\x61\x73\150\x62\157\141\x72\144\x2f\x69\156\x64\145\170\56\x68\164\155\x6c\56\164\x77\151\147", ["\143\x6c\x6f\x75\x64" => $cloud, "\x69\156\x73\164\141\x6e\x63\x65" => $instance, "\165\163\145\x72" => $user, "\x74\x69\x6d\145\122\141\x6e\147\145" => $timeRange, "\x63\160\165\103\x68\141\162\164" => $cpuChart, "\155\x65\x6d\157\x72\x79\x43\x68\x61\x72\x74" => $memoryChart, "\144\151\x73\x6b\103\x68\141\x72\x74" => $diskChart, "\154\157\141\x64\x41\x76\x65\162\x61\x67\145\103\150\141\162\x74" => $loadAverageChart]); goto D662f; Bd7ac: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\102", 0); goto bb1ec; fd153: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto f35de; Bc23e: $cpuInformation = sprintf("\45\163\x20\x25\x73", $numberOfProcessorCores, $this->translator->trans("\x43\120\x55")); goto ef126; ba2d4: $diskChart = new Chart("\x44\151\x73\153\40\125\163\x61\147\x65"); goto F1517; a6a84: $cpuChart->setInformation($cpuInformation); goto a051a; d7e09: $cpuChart->setCategories($categories); goto Af235; Eca66: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto c121f; Dfeab: efadc: goto e35bb; ef509: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\65\144\40\x6d\151\156\165\x74\145\163", $minuteInterval)); goto f28e0; A1a9a: $categories[] = $categoryDateTime->format("\110\x3a\151"); goto b4c3a; Ea2cc: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto A1a9a; ac194: goto Ba8dd; goto Dfeab; c121f: $categories = []; goto ef509; f28e0: $endDataDate = clone $startTime; goto C9102; e35bb: return $categories; goto E168c; F91e4: if (!($endDataDate <= $endTime)) { goto efadc; } goto e6220; b4c3a: $startDataDate->modify(sprintf("\53\x25\60\65\144\x20\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto b9285; e6220: $categoryDateTime = clone $endDataDate; goto Ea2cc; b9285: $endDataDate->modify(sprintf("\x2b\45\x30\65\144\x20\155\x69\x6e\165\164\x65\x73", $minuteInterval)); goto ac194; C9102: Ba8dd: goto F91e4; E168c: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto E44f3; daad8: $startDataDate->modify(sprintf("\53\x25\x30\x35\x64\40\x6d\x69\156\165\164\145\x73", $minuteInterval)); goto C22ec; F7a19: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto bc967; f53da: D68b4: goto Ccd0e; C6786: return $cpuData; goto Bafe3; F9266: goto D68b4; goto Aa239; A2a47: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\x35\x64\40\x6d\x69\x6e\x75\164\x65\x73", $minuteInterval)); goto Ae34b; bc967: $cpuData[] = $averageCpuValue; goto daad8; Ae34b: $endDataDate = clone $startTime; goto f53da; C22ec: $endDataDate->modify(sprintf("\x2b\x25\60\65\x64\40\155\151\156\x75\x74\145\x73", $minuteInterval)); goto F9266; E44f3: $cpuData = []; goto A2a47; Aa239: A7dda: goto C6786; Ccd0e: if (!($endDataDate <= $endTime)) { goto A7dda; } goto F7a19; Bafe3: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Ca3d3; e78c0: $endDataDate = clone $startTime; goto F6025; c22e4: if (!($endDataDate <= $endTime)) { goto C3eb7; } goto a28ad; Ebcd8: return $memoryData; goto Da019; a28ad: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto F34c2; b90ed: $endDataDate->modify(sprintf("\53\x25\x30\x35\144\x20\155\x69\156\165\164\145\163", $minuteInterval)); goto D5e50; Ca3d3: $memoryData = []; goto fdc6c; F6025: f1bda: goto c22e4; F34c2: $memoryData[] = (int) $averageMemoryValue; goto D3fc3; D5e50: goto f1bda; goto a9a9a; a9a9a: C3eb7: goto Ebcd8; fdc6c: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\x35\x64\40\x6d\151\x6e\x75\164\x65\x73", $minuteInterval)); goto e78c0; D3fc3: $startDataDate->modify(sprintf("\x2b\45\60\65\x64\x20\155\x69\156\x75\x74\x65\163", $minuteInterval)); goto b90ed; Da019: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Babd2; B8845: goto A0b85; goto f611d; C342e: $endDataDate = clone $startTime; goto B845d; Effd9: $endDataDate->modify(sprintf("\x2b\45\x30\65\144\x20\155\x69\156\165\x74\x65\x73", $minuteInterval)); goto B8845; Dbce8: return $diskData; goto D8db5; f611d: Aadb5: goto Dbce8; B845d: A0b85: goto bce89; bce89: if (!($endDataDate <= $endTime)) { goto Aadb5; } goto C01ef; Dcd93: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\144\x20\x6d\x69\156\165\164\145\x73", $minuteInterval)); goto Effd9; Bd37c: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\x30\x35\144\x20\x6d\x69\156\165\164\x65\163", $minuteInterval)); goto C342e; c9d36: ca8dc: goto Dcd93; C01ef: foreach (["\x2f", "\x2f\x68\x6f\155\145"] as $disk) { goto d7b1e; d1e4c: Bcac7: goto bcde8; bcde8: $diskData["\x72\x6f\x6f\x74"][] = (int) $averageDiskSizeValue; goto Cb93b; C0183: if ("\x2f" == $disk) { goto Bcac7; } goto a8901; a8901: $diskData["\x68\x6f\x6d\145"][] = (int) $averageDiskSizeValue; goto aafd5; d7b1e: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto C0183; bd025: b5f3b: goto df216; Cb93b: Ae9b5: goto bd025; aafd5: goto Ae9b5; goto d1e4c; df216: } goto c9d36; Babd2: $diskData = []; goto Bd37c; D8db5: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Aec20; Cabae: B96fb: goto e49a8; a9cd1: $endDataDate->modify(sprintf("\53\x25\x30\x35\x64\40\x6d\151\156\165\x74\x65\163", $minuteInterval)); goto e317f; Aec20: $loadAverageData = []; goto Efa74; e317f: goto c91a9; goto a33ec; a33ec: e0032: goto ef5cb; C9429: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto B7594; C167d: $loadAverageData[$period][] = round($loadAverageValue, 2); goto bd7bd; bd7bd: C8e57: goto B43b4; B7594: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto C167d; B43b4: } goto Cabae; e49a8: $startDataDate->modify(sprintf("\53\x25\x30\x35\x64\x20\155\151\x6e\165\x74\x65\x73", $minuteInterval)); goto a9cd1; F821f: c91a9: goto ab6c3; ef5cb: return $loadAverageData; goto Cfe05; Efa74: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\60\x35\144\x20\155\151\156\x75\164\x65\x73", $minuteInterval)); goto ecfd7; ab6c3: if (!($endDataDate <= $endTime)) { goto e0032; } goto C9429; ecfd7: $endDataDate = clone $startTime; goto F821f; Cfe05: } }
