<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto Be58d; de963: $this->databaseEntityManager = $databaseEntityManager; goto c286d; Be58d: $this->configManager = $configManager; goto Bdaeb; A2bce: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Ef586; f7b15: $this->sshUserEntityManager = $sshUserEntityManager; goto D9125; E5d16: $this->ftpUserEntityManager = $ftpUserEntityManager; goto f7b15; D9125: $this->domainNameParser = $domainNameParser; goto D23d0; b2b48: $this->certificateEntityManager = $certificateEntityManager; goto Ce0f5; c286d: $this->databaseUserEntityManager = $databaseUserEntityManager; goto fbc37; bb20e: $this->blockedBotEntityManager = $blockedBotEntityManager; goto b2b48; Ce0f5: $this->cronJobEntityManager = $cronJobEntityManager; goto de963; Bdaeb: $this->siteEntityManager = $siteEntityManager; goto A2bce; Ef586: $this->blockedIpEntityManager = $blockedIpEntityManager; goto bb20e; fbc37: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Bfa33; D23d0: parent::__construct($translator, $logger); goto afec7; Bfa33: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto E5d16; afec7: } public function index(Request $request) : Response { goto e8d08; Cd63d: $response = $this->render("\x46\x72\157\156\x74\145\x6e\144\x2f\123\x69\164\x65\x2f\x69\x6e\x64\x65\170\x2e\x68\x74\x6d\x6c\56\164\167\151\147", ["\x75\163\x65\162" => $user, "\163\151\x74\145\163" => $sites]); goto a439c; a439c: return $response; goto fd185; e8d08: $user = $this->getUser(); goto d365f; d365f: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\157\155\x61\151\156\116\x61\x6d\145" => "\141\x73\143"]); goto Cd63d; fd185: } public function fileManager(Request $request) : Response { goto e66a1; D7b49: df17d: goto fe900; b3bfb: $response = $this->render("\106\x72\157\156\164\x65\156\144\57\x53\x69\x74\x65\x2f\146\151\154\145\55\x6d\x61\x6e\x61\x67\145\x72\x2e\150\x74\155\154\x2e\164\167\x69\147", ["\163\151\x74\145" => $site, "\146\x69\154\x65\x4d\x61\156\x61\147\x65\162\125\162\x6c" => $fileManagerUrl, "\x66\x6f\x72\155\x45\x72\x72\157\162\163" => $this->formErrors]); goto D7b49; db61a: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\163")); goto Baa87; b7142: $session->set("\143\x6c\160\x2d\x66\151\154\145\55\x6d\x61\x6e\x61\147\x65\162", $data); goto A77ad; de49e: $locale = $request->getLocale(); goto B4dee; Cd391: $siteUser = $site->getUser(); goto f2bc7; Fb9c0: ec03b: goto Cd391; A77ad: $fileManagerUrl = sprintf("\45\163\x2f\x66\x69\154\x65\55\x6d\x61\156\141\147\145\162\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto b3bfb; F03b2: $data = ["\x75\x73\x65\162" => $siteUser, "\154\x6f\143\x61\x6c\145" => $locale]; goto b7142; Baa87: goto df17d; goto Fb9c0; eea64: if (false === is_null($site)) { goto ec03b; } goto db61a; fe900: return $response; goto a3857; E1d6b: $cookieExpirationDate->modify(sprintf("\53\45\163\40\x68\157\165\x72\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto F03b2; B4dee: $cookieExpirationDate = new \DateTime("\156\157\x77"); goto E1d6b; f2bc7: $session = $request->getSession(); goto de49e; e66a1: $site = $this->getSite($request); goto eea64; a3857: } public function view(Request $request) : Response { goto a61db; Fc5b8: return $response; goto F917f; a4be0: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x5f\163\145\x74\x74\151\x6e\147\x73", ["\144\x6f\x6d\141\151\156\x4e\141\x6d\145" => $domainName])); goto Fc5b8; a61db: $domainName = $request->get("\144\x6f\155\x61\151\x6e\116\141\x6d\x65"); goto a4be0; F917f: } public function logs(Request $request) : Response { goto f3348; a3a57: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto c8b3c; b05d7: goto fd235; goto bfc17; b7636: if (false === is_null($site)) { goto A2159; } goto B392c; ed564: $response = $this->render("\x46\162\x6f\x6e\164\145\x6e\x64\x2f\x53\x69\164\x65\57\x6c\x6f\147\x73\56\x68\164\155\x6c\x2e\164\x77\151\x67", ["\163\x69\x74\145" => $site, "\146\x6f\162\x6d\105\x72\162\x6f\162\163" => $this->formErrors, "\146\157\162\155" => $form->createView()]); goto da5fb; bfc17: A2159: goto a3a57; ff927: return $response; goto Eec56; da5fb: fd235: goto ff927; f3348: $site = $this->getSite($request); goto b7636; c8b3c: $form = $this->createLogsForm($siteEntity); goto ed564; B392c: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\x65\163")); goto b05d7; Eec56: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto c2800; fdcd6: $form->add("\165\160\x64\141\x74\145", ButtonType::class, ["\141\x74\x74\x72" => ["\143\x6c\x61\x73\163" => "\142\x74\x6e\x20\x62\164\x6e\x2d\x6c\147\40\x62\164\x6e\55\x62\x6c\165\145\x20\x62\164\156\55\165\x70\144\141\164\145"], "\154\141\x62\x65\x6c" => "\x55\x70\144\x61\164\x65"]); goto Bf31c; Bf31c: return $form; goto f6c7b; c2800: $form = $this->createForm("\101\x70\x70\x5c\106\157\x72\x6d\134\x53\151\x74\145\x4c\157\x67\x73\x54\171\160\x65", [], ["\141\x63\x74\151\x6f\156" => $this->generateUrl("\x63\154\x70\137\x73\151\164\x65\x5f\154\x6f\x67\x73", ["\144\157\x6d\x61\x69\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\x50\117\123\x54", "\x61\x74\x74\x72" => []]); goto fdcd6; f6c7b: } public function logFileContent(Request $request, Twig $twig) : Response { goto D0ab7; C1e5e: F194e: goto e3fee; B90d1: if (!(false === is_null($site))) { goto abf59; } goto e032d; e032d: $service = trim($request->get("\163\x65\x72\x76\x69\x63\145")); goto Be5c4; E5d6e: $numberOfLines = (int) $request->get("\156\x75\155\x62\x65\162\117\146\114\x69\x6e\x65\x73"); goto C845e; D0ab7: $data = []; goto A4de9; A4de9: $site = $this->getSite($request); goto B90d1; a7602: return $response; goto cafcb; Be5c4: $logfileName = trim($request->get("\154\x6f\147\106\151\154\x65")); goto E5d6e; ba033: $response = $this->json($data); goto a7602; df3e1: try { goto e593b; E5e78: $logMessages = $nginxAccessLogParser->parse(); goto b80c1; aea56: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto Bb61f; B4d37: if ("\141\x63\x63\145\x73\163\56\154\157\147" == substr($logfileName, 0, 10)) { goto caccb; } goto aea56; b80c1: $logMessagesHtml = $twig->render("\106\162\x6f\156\164\145\156\144\x2f\x53\x69\164\x65\57\x4c\x6f\x67\x73\57\x6e\147\151\x6e\170\x2d\x61\x63\x63\145\x73\x73\x2d\x6c\x6f\147\55\155\x65\163\x73\141\x67\x65\163\56\150\164\x6d\154\x2e\164\167\151\x67", ["\x6c\x6f\147\x4d\145\163\x73\141\x67\145\x73" => $logMessages]); goto a233c; E00ed: $logMessages = $phpFpmErrorLogParser->parse(); goto cb726; Eb2b7: $logfile = sprintf("\x2f\150\x6f\155\x65\57\x25\x73\x2f\154\x6f\x67\163\57\45\x73\x2f\45\x73", $site->getUser(), $service, $logfileName); goto B5991; f5ece: $data["\x6c\x6f\x67\115\x65\163\x73\x61\147\x65\x73\110\164\x6d\x6c"] = $logMessagesHtml; goto e8329; e593b: $service = basename($service); goto Eb2b7; B7191: $userTimezone = $user->getTimezone(); goto B4d37; Bb61f: $logMessages = $nginxErrorLogParser->parse(); goto E06fc; B5991: $logfileReader = new LogfileReader($logfile); goto D0fc0; C3adf: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto E5e78; Ed0b9: caccb: goto B4124; Ed6e3: a6bca: goto a8ba3; B4124: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto C3adf; b60ae: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto E00ed; a8ba3: if (!("\160\x68\x70" == $service)) { goto Eceb4; } goto b60ae; a5c44: if (!("\x6e\147\151\156\170" == $service)) { goto a6bca; } goto B7191; cb726: $logMessagesHtml = $twig->render("\x46\162\157\x6e\164\x65\156\144\x2f\123\151\x74\x65\57\x4c\157\147\163\57\x70\x68\160\x2d\x66\160\155\x2d\145\162\162\x6f\162\55\154\x6f\x67\55\155\145\163\x73\141\x67\145\163\x2e\150\x74\155\x6c\x2e\164\x77\151\147", ["\x6c\157\x67\115\145\163\x73\141\147\x65\163" => $logMessages]); goto E62da; Df118: $logMessagesHtml = ''; goto E2fd5; F33bb: goto ea822; goto Ed0b9; a233c: ea822: goto Ed6e3; D0fc0: $logLines = $logfileReader->getLines($numberOfLines); goto Df118; E2fd5: $user = $this->getUser(); goto a5c44; E62da: Eceb4: goto f5ece; E06fc: $logMessagesHtml = $twig->render("\106\162\x6f\156\164\x65\x6e\x64\x2f\x53\151\x74\145\x2f\114\x6f\147\163\x2f\156\x67\x69\156\170\x2d\145\x72\x72\157\162\x2d\x6c\x6f\x67\55\x6d\145\x73\x73\x61\147\145\x73\x2e\150\164\155\x6c\56\x74\167\151\147", ["\154\157\147\x4d\x65\163\x73\141\147\x65\163" => $logMessages]); goto F33bb; e8329: } catch (\Exception $e) { $this->logger->exception($e); } goto C1e5e; e3fee: abf59: goto ba033; C845e: if (!(false === empty($service) && false === empty($logfileName))) { goto F194e; } goto df3e1; cafcb: } public function loadLogfilesForService(Request $request) : Response { goto dab58; Bb55d: $response = $this->json($data); goto Bea83; Bea83: return $response; goto eb4ab; Bc30c: if (!(false === is_null($site))) { goto e7a95; } goto cc039; E663e: fe2f8: goto Cf2dc; a5baf: try { goto Bddd1; Fed45: if (!(false === empty($logfiles))) { goto A383d; } goto f9d5e; Ec01e: $logfiles = $logsFinder->getLogfiles(); goto Fed45; Bddd1: $service = basename($service); goto a02eb; D0d08: A383d: goto Ef013; a02eb: $logfilesDirectory = sprintf("\57\150\x6f\155\x65\57\45\x73\x2f\x6c\157\147\x73\x2f\45\163\x2f", $site->getUser(), $service); goto Ea268; f9d5e: $data["\x6c\157\147\146\x69\154\145\163"] = $logfiles; goto D0d08; Ea268: $logsFinder = new LogsFinder($logfilesDirectory); goto Ec01e; Ef013: } catch (\Exception $e) { $this->logger->exception($e); } goto E663e; Cf2dc: e7a95: goto Bb55d; cc039: $service = trim($request->get("\163\x65\162\x76\x69\x63\145")); goto Edd08; Cfd6f: $site = $this->getSite($request); goto Bc30c; Edd08: if (!(false === empty($service))) { goto fe2f8; } goto a5baf; dab58: $data = []; goto Cfd6f; eb4ab: } public function cronJobs(Request $request) : Response { goto f65e7; edee8: if (false === is_null($site)) { goto Bc299; } goto c0f17; Cf8f8: A9637: goto C60ff; f818f: $response = $this->render("\106\x72\x6f\156\x74\145\156\x64\57\x53\x69\x74\145\x2f\x63\x72\157\156\55\x6a\157\x62\x73\x2e\x68\x74\x6d\154\x2e\x74\x77\x69\x67", ["\x73\x69\x74\145" => $site, "\146\x6f\162\x6d\105\162\x72\157\x72\163" => $this->formErrors]); goto Cf8f8; da4df: goto A9637; goto E5b1e; C60ff: return $response; goto C7807; E5b1e: Bc299: goto f818f; f65e7: $site = $this->getSite($request); goto edee8; c0f17: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\163")); goto da4df; C7807: } public function newCronJob(Request $request) : Response { goto Ec96b; ebb14: a8b98: goto A5592; bb8f0: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto C1278; } goto Bbee1; f9342: $form = $this->createCronJobForm($cronJobEntity); goto bb8f0; e5a38: return $response; goto B0b25; Bbee1: $form->handleRequest($request); goto E78a4; dae68: $response = $this->handleCronJobForm($request, $form, $site); goto e529f; Ec96b: $site = $this->getSite($request); goto Fad5c; Fbb33: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto Bd3bd; Cdab1: ba318: goto Bf127; Bf127: b9293: goto d2379; A5592: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Fbb33; E78a4: if (!(true === $form->isSubmitted())) { goto b9293; } goto dae68; d2379: C1278: goto b1e05; b1e05: $response = $this->render("\x46\x72\x6f\x6e\164\x65\x6e\144\x2f\x53\151\164\x65\x2f\x6e\x65\x77\x2d\143\162\157\156\x2d\152\x6f\142\56\150\x74\155\x6c\x2e\164\x77\151\147", ["\x73\151\164\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\146\157\162\x6d\105\162\x72\x6f\162\x73" => $this->formErrors]); goto A95e6; c8c7a: goto e053d; goto ebb14; Bd3bd: $cronJobEntity->setSite($siteEntity); goto f9342; de91e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\163")); goto c8c7a; Fad5c: if (false === is_null($site)) { goto a8b98; } goto de91e; A95e6: e053d: goto e5a38; e529f: if (!(false === is_null($response))) { goto ba318; } goto df97d; df97d: return $response; goto Cdab1; B0b25: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto d6e6d; d9d62: $form = $this->createForm("\x41\160\160\x5c\106\x6f\x72\155\x5c\x53\x69\x74\x65\103\162\157\x6e\x4a\157\142\x54\x79\160\145", $cronJobEntity, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\160\137\x73\151\164\x65\x5f\143\x72\x6f\x6e\x5f\152\x6f\142\x5f\x6e\x65\x77", ["\144\x6f\x6d\x61\x69\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\164\x68\157\144" => "\x50\117\x53\124", "\141\164\x74\162" => []]); goto bf6a2; bf6a2: $form->add("\163\165\x62\x6d\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\x61\x73\x73" => "\142\x74\156\x20\x62\164\x6e\x2d\x62\x6c\x75\x65\x20\142\164\156\x2d\x6c\x67"], "\154\x61\x62\145\x6c" => "\x41\144\x64\40\103\x72\157\x6e\x20\x4a\157\x62"]); goto Aa264; Aa264: return $form; goto c521d; d6e6d: $siteEntity = $cronJobEntity->getSite(); goto d9d62; c521d: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto b4573; Eb994: $this->formErrors = $this->getErrorMessages($form); goto d6933; Af58d: b562f: goto D07b3; e6eee: C5c6d: goto C1733; d6933: goto b562f; goto e6eee; b4573: if (true === $form->isValid()) { goto C5c6d; } goto Eb994; C1733: try { goto d809c; F4224: $eventData = ["\163\151\x74\x65" => $domainName, "\x63\x72\157\156\164\x61\142\105\170\160\162\x65\x73\163\151\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto be363; c9662: return $response; goto Dd343; b09de: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\x65\163")); goto E7545; d809c: $session = $request->getSession(); goto Cfd28; f1994: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\145\x5f\143\162\x6f\156\137\x6a\x6f\142\x73", ["\x64\157\155\141\151\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto Ae879; be363: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto dea46; Db234: $siteUpdater = $this->getSiteUpdater($site); goto F9dce; dea46: $session->getFlashBag()->set("\163\165\143\143\145\x73\x73", $this->translator->trans("\x43\162\157\156\x20\x4a\x6f\x62\x20\x68\x61\x73\x20\x62\145\x65\x6e\x20\x61\144\x64\145\x64\56")); goto f1994; e9dc9: $site->setCronJobs($siteEntity->getCronJobs()); goto f6609; E7545: goto F774a; goto b20b4; D6835: $cronJobEntity = $form->getData(); goto C5222; F9dce: $siteUpdater->updateUserCrontab(); goto F4224; f6609: $this->siteEntityManager->updateEntity($siteEntity); goto Db234; b20b4: df45e: goto Cc15e; Cfd28: $domainName = $site->getDomainName(); goto b0a56; C5222: $siteEntity->addCronJob($cronJobEntity); goto e9dc9; b0a56: $siteEntity = $this->getSiteEntity($domainName); goto Edac4; Edac4: if (false === is_null($siteEntity)) { goto df45e; } goto b09de; Ae879: F774a: goto c9662; Cc15e: $user = $this->getUser(); goto D6835; Dd343: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\101\156\x20\145\162\x72\x6f\162\40\x68\141\163\40\157\143\x63\x75\x72\x72\x65\144\x2c\40\x65\x72\x72\x6f\x72\40\155\145\163\x73\x61\x67\145\72\40\45\x65\x72\162\157\162\115\x65\163\x73\141\x67\x65\45", ["\x25\145\162\162\157\162\x4d\x65\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto Af58d; D07b3: } public function deleteCronJob(Request $request) : Response { goto Aed53; e1cd9: return $response; goto E1262; Aed53: $site = $this->getSite($request); goto F994c; C3ac0: Cafc0: goto De453; bcab4: if (!(false === is_null($site))) { goto Cafc0; } goto e41fe; e41fe: try { goto A22f6; e5f48: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto b339d; } goto Ff73d; B37d3: $session->getFlashBag()->set("\163\165\x63\143\x65\163\163", $this->translator->trans("\103\162\157\x6e\x20\x4a\157\142\x20\150\x61\163\40\x62\x65\x65\156\x20\x64\x65\154\x65\x74\145\x64\56")); goto cbdd6; ed1dd: $siteUpdater = $this->getSiteUpdater($site); goto A1f39; db909: $site->setCronJobs($siteEntity->getCronJobs()); goto Ce34b; Ad894: $user = $this->getUser(); goto F6cf5; cbdd6: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\137\143\x72\157\156\x5f\152\x6f\142\163", ["\144\157\155\x61\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto cd9e7; bb4c2: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto Cd9c7; } goto Ad894; Ce34b: $this->siteEntityManager->updateEntity($siteEntity); goto ed1dd; cd9e7: return $response; goto A8523; D4bf8: $evenData = ["\163\x69\164\x65" => $domainName, "\x63\x6f\x6d\x6d\x61\x6e\x64" => $cronJobEntity->getCommand()]; goto C2d15; Ff73d: $cronJobSiteEntity = $cronJobEntity->getSite(); goto bb4c2; F6cf5: $siteEntity->removeCronJob($cronJobEntity); goto db909; a7ecb: $id = (int) $request->get("\151\144"); goto aff7a; A8523: Cd9c7: goto d9d02; A1f39: $siteUpdater->updateUserCrontab(); goto D4bf8; bf393: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto e5f48; d9d02: b339d: goto A44ed; A22f6: $session = $request->getSession(); goto a7ecb; C2d15: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto B37d3; b1961: $siteEntity = $this->getSiteEntity($domainName); goto bf393; aff7a: $domainName = $site->getDomainName(); goto b1961; A44ed: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\101\156\40\145\x72\x72\x6f\162\x20\150\141\163\x20\157\x63\x63\165\162\x72\145\x64\54\40\x65\x72\162\157\162\x20\x6d\145\163\x73\141\x67\x65\72\x20\45\x65\162\162\157\x72\x4d\x65\x73\163\141\147\145\45", ["\45\145\162\162\x6f\162\115\145\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto C3ac0; De453: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\163")); goto e1cd9; F994c: $this->checkCsrfToken($request, "\x63\162\157\156\x6a\x6f\142\x2d\144\x65\154\x65\x74\145"); goto bcab4; E1262: } public function editCronJob(Request $request) : Response { goto F8205; fd685: e5e32: goto E13a7; D77e6: f4d01: goto D33d2; Cde75: b8f1a: goto ce5d5; E13a7: $form = $this->createCronJobEditForm($cronJobEntity); goto ef4a9; c67c0: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto e5e32; } goto a1f75; F0ddf: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto c67c0; a1f75: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\x65\x73")); goto c9855; c9855: goto f4d01; goto fd685; f108d: return $response; goto D2853; Dd969: $response = $this->handleCronJobEditForm($request, $form, $site); goto C6fd9; F8205: $id = (int) $request->get("\151\x64"); goto b08b2; C6fd9: if (!(false === is_null($response))) { goto dd35e; } goto f108d; ceb7f: $response = $this->render("\106\x72\x6f\x6e\x74\145\156\x64\57\123\x69\164\x65\57\145\144\x69\x74\55\x63\x72\157\x6e\55\152\157\x62\x2e\x68\164\x6d\x6c\56\164\x77\151\147", ["\163\151\x74\145" => $site, "\x66\157\x72\155" => $form->createView(), "\x66\157\162\155\x45\x72\162\157\162\x73" => $this->formErrors]); goto D77e6; D33d2: return $response; goto Ee5cc; ce5d5: f2306: goto ceb7f; b08b2: $site = $this->getSite($request); goto F0ddf; ccfa1: if (!(true === $form->isSubmitted())) { goto b8f1a; } goto Dd969; D2853: dd35e: goto Cde75; f9831: $form->handleRequest($request); goto ccfa1; ef4a9: if (!(true === $request->isMethod("\120\117\123\124"))) { goto f2306; } goto f9831; Ee5cc: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto E737f; E737f: $siteEntity = $cronJobEntity->getSite(); goto B2532; B2532: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\x6d\134\123\x69\x74\x65\103\162\157\156\x4a\x6f\x62\x45\x64\151\164\x54\x79\160\x65", $cronJobEntity, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\137\143\162\157\156\137\x6a\157\142\x5f\x65\144\x69\x74", ["\144\157\x6d\141\x69\156\116\x61\x6d\145" => $siteEntity->getDomainName(), "\151\x64" => $cronJobEntity->getId()]), "\155\145\x74\x68\x6f\144" => "\120\117\x53\124", "\x61\x74\x74\162" => []]); goto Cfef5; af4be: return $form; goto E8f89; Cfef5: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\141\x73\x73" => "\x62\164\x6e\x20\x62\x74\x6e\x2d\x62\154\x75\145\x20\x62\x74\156\55\154\147"], "\x6c\x61\142\x65\154" => "\x53\141\166\x65"]); goto af4be; E8f89: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto bf7da; Bb3a4: goto e2de8; goto B00ec; a8d05: try { goto f99ba; Ab892: $site->setCronJobs($siteEntity->getCronJobs()); goto B16fe; Cfad0: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\x65\x5f\x63\162\157\156\137\152\x6f\x62\x73", ["\144\157\x6d\141\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto ac4e1; f407c: $cronJobEntity = $form->getData(); goto de571; Dcddf: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\163", $this->translator->trans("\103\x72\157\x6e\x20\112\x6f\x62\x20\x68\x61\163\40\142\x65\145\156\x20\x73\141\166\145\144\56")); goto Cfad0; B786f: $siteUpdater->updateUserCrontab(); goto Bc9c3; e4401: d357d: goto D70e2; de571: $siteEntity->addCronJob($cronJobEntity); goto Ab892; F9c46: goto d5b80; goto e4401; Aaf7a: if (false === is_null($siteEntity)) { goto d357d; } goto Dd907; ac4e1: d5b80: goto ed063; Efe2a: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto Dcddf; Bc9c3: $eventData = ["\x73\x69\x74\145" => $domainName, "\143\162\x6f\156\164\x61\x62\105\x78\x70\162\145\x73\x73\151\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto Efe2a; Dd907: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\x73")); goto F9c46; f99ba: $session = $request->getSession(); goto Ec759; B16fe: $this->siteEntityManager->updateEntity($siteEntity); goto d7ad6; D70e2: $user = $this->getUser(); goto f407c; d7ad6: $siteUpdater = $this->getSiteUpdater($site); goto B786f; Ec759: $domainName = $site->getDomainName(); goto f3e88; f3e88: $siteEntity = $this->getSiteEntity($domainName); goto Aaf7a; ed063: return $response; goto A845c; A845c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\101\x6e\x20\x65\x72\162\157\162\x20\x68\x61\163\x20\157\143\143\165\162\x72\145\144\x2c\40\145\162\162\x6f\162\40\x6d\x65\163\163\x61\x67\x65\72\x20\x25\x65\x72\162\157\x72\115\x65\x73\163\141\147\x65\x25", ["\45\145\x72\162\157\162\115\145\163\163\x61\x67\145\x25" => $e->getMessage()])); } goto c0b5e; bf7da: if (true === $form->isValid()) { goto Dde08; } goto E5996; B00ec: Dde08: goto a8d05; E5996: $this->formErrors = $this->getErrorMessages($form); goto Bb3a4; c0b5e: e2de8: goto D231c; D231c: } public function users(Request $request) : Response { goto Cf32d; d7963: $response = $this->render("\x46\162\157\156\x74\x65\156\x64\x2f\123\x69\x74\145\x2f\165\163\145\x72\x73\56\150\x74\x6d\154\x2e\164\167\151\x67", ["\163\x69\164\x65" => $site, "\146\x6f\x72\x6d\105\162\x72\157\162\x73" => $this->formErrors]); goto Ad2c9; Cd77f: goto e232c; goto e3c58; Cf32d: $site = $this->getSite($request); goto Cb6b7; Ad2c9: e232c: goto a2d27; a2d27: return $response; goto b3a76; e3c58: E02a4: goto d7963; C5c76: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\x65\x73")); goto Cd77f; Cb6b7: if (false === is_null($site)) { goto E02a4; } goto C5c76; b3a76: } public function newFtpUser(Request $request) : Response { goto C84e9; b19c3: if (false === is_null($site)) { goto a4c37; } goto Be5e7; B6376: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B6b3f; d1564: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto dc678; } goto b45c4; B5ac1: $response = $this->handleFtpUserForm($request, $form, $site); goto f2718; C49a0: $form = $this->createFtpUserForm($ftpUserEntity); goto d1564; Aefdb: return $response; goto Fb94b; D9906: if (!(true === $form->isSubmitted())) { goto a9900; } goto B5ac1; Be5e7: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\x65\x73")); goto F53f2; Dd11b: a4c37: goto B6376; ab387: a9900: goto b4ddc; Fa9b5: return $response; goto Fedf4; f2718: if (!(false === is_null($response))) { goto efc50; } goto Fa9b5; Ed498: $ftpUserEntity->setSite($siteEntity); goto C49a0; Fedf4: efc50: goto ab387; B7a67: afc47: goto Aefdb; b45c4: $form->handleRequest($request); goto D9906; Dcb73: $response = $this->render("\x46\x72\157\x6e\164\145\156\144\x2f\x53\151\164\x65\57\x6e\145\x77\55\146\164\160\x2d\165\x73\145\x72\56\150\x74\155\154\x2e\x74\167\x69\147", ["\163\x69\x74\x65" => $site, "\146\157\162\155" => $form->createView(), "\x66\x6f\162\x6d\x45\162\162\x6f\x72\163" => $this->formErrors]); goto B7a67; F53f2: goto afc47; goto Dd11b; B6b3f: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto Ed498; b4ddc: dc678: goto Dcb73; C84e9: $site = $this->getSite($request); goto b19c3; Fb94b: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto eb316; Adb75: $form = $this->createForm("\101\160\x70\134\x46\157\x72\x6d\134\123\151\x74\145\x46\164\x70\125\x73\x65\x72\x54\x79\160\145", $ftpUserEntity, ["\x61\x63\x74\x69\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\x5f\x66\x74\x70\137\x75\163\x65\162\137\x6e\145\x77", ["\144\x6f\x6d\141\x69\x6e\116\141\155\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\120\117\123\124", "\141\164\164\x72" => []]); goto b1a72; eb316: $siteEntity = $ftpUserEntity->getSite(); goto Adb75; Ea723: return $form; goto cfb21; b1a72: $form->add("\x73\x75\142\x6d\151\164", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\x6c\141\x73\163" => "\142\x74\156\x20\x62\x74\x6e\55\x62\154\x75\x65\40\142\164\x6e\55\x6c\147"], "\x6c\x61\x62\145\154" => "\x41\x64\x64\40\125\x73\x65\162"]); goto Ea723; cfb21: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto f5a4c; f5a4c: if (true === $form->isValid()) { goto Fbd3d; } goto fb73a; D8815: Fbd3d: goto A5b7a; c4f90: goto Cea9c; goto D8815; fb73a: $this->formErrors = $this->getErrorMessages($form); goto c4f90; A5b7a: try { goto F3d07; f0d35: $ftpUserEntity->setPassword($ftpUserPassword); goto Cb226; c7cc2: if (false === is_null($siteEntity)) { goto b1a42; } goto A7796; E7971: $session->getFlashBag()->set("\x73\165\x63\143\145\163\163", $this->translator->trans("\x55\163\145\162\40\150\141\163\40\x62\x65\x65\x6e\40\141\x64\144\x65\144\56")); goto e54b0; D3555: $ftpUserEntity = $form->getData(); goto cf3d9; F3d07: $session = $request->getSession(); goto Ccd0b; A7796: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\x73")); goto d0de7; Cb226: $siteEntity->addFtpUser($ftpUserEntity); goto D4a03; e54b0: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\137\x75\x73\x65\162\163", ["\x64\x6f\x6d\141\151\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto a4a24; e0334: $siteEntity = $this->getSiteEntity($domainName); goto c7cc2; c298d: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto E7971; b7677: b1a42: goto e7e60; D4a03: $this->siteEntityManager->updateEntity($siteEntity); goto F7b82; cf3d9: $ftpUserName = $ftpUserEntity->getUserName(); goto Fa8ee; D7759: $eventData = ["\163\151\164\x65" => $domainName, "\165\163\145\162\x4e\x61\x6d\x65" => $ftpUserName, "\x68\x6f\x6d\x65\x44\x69\x72\x65\x63\164\157\162\171" => $ftpUserEntity->getHomeDirectory()]; goto c298d; e7e60: $user = $this->getUser(); goto D3555; E112c: return $response; goto b37c2; a4a24: B1003: goto E112c; d0de7: goto B1003; goto b7677; Ccd0b: $domainName = $site->getDomainName(); goto e0334; Fe5ba: $siteUpdater->createFtpUser($ftpUserEntity); goto D7759; Fa8ee: $ftpUserPassword = $form->get("\x70\x61\x73\163\x77\157\162\x64")->getData(); goto f0d35; F7b82: $siteUpdater = $this->getSiteUpdater($site); goto Fe5ba; b37c2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\145\x72", $this->translator->trans("\101\x6e\x20\x65\162\x72\157\162\40\x68\x61\163\x20\157\x63\143\165\162\162\145\x64\x2c\x20\145\x72\162\157\162\40\155\x65\x73\x73\x61\x67\x65\72\x20\45\x65\162\x72\157\x72\x4d\145\x73\x73\x61\147\x65\x25", ["\45\145\162\162\x6f\162\115\x65\x73\x73\141\x67\x65\x25" => $e->getMessage()])); } goto F29e9; F29e9: Cea9c: goto a53de; a53de: } public function editFtpUser(Request $request) : Response { goto E7750; b8cc2: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\163")); goto E4948; Ee791: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Ddeaf; cc8c7: $site = $this->getSite($request); goto Ee791; A5b44: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto C47cf; } goto E9e52; e630b: if (!(true === $form->isSubmitted())) { goto Eb604; } goto aa0ba; E4948: goto c83bf; goto eefc1; e3f26: $form = $this->createFtpUserEditForm($ftpUserEntity); goto A5b44; Ddeaf: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto daa21; } goto b8cc2; eefc1: daa21: goto e3f26; e52c2: Eb604: goto e571f; f992d: return $response; goto De4a7; aa0ba: $response = $this->handleFtpUserEditForm($request, $form, $site); goto A4da2; dd58c: C6a93: goto e52c2; F7dc8: $response = $this->render("\106\x72\x6f\x6e\164\x65\156\144\57\123\151\x74\x65\x2f\145\144\151\164\55\x66\164\x70\x2d\165\163\145\x72\56\x68\164\155\x6c\x2e\x74\167\151\x67", ["\x73\x69\164\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\x66\157\x72\155\105\x72\162\157\162\163" => $this->formErrors]); goto Ac9b5; Ac9b5: c83bf: goto f992d; e617e: return $response; goto dd58c; e571f: C47cf: goto F7dc8; E7750: $userName = $request->get("\x75\x73\x65\x72\116\x61\155\145"); goto cc8c7; E9e52: $form->handleRequest($request); goto e630b; A4da2: if (!(false === is_null($response))) { goto C6a93; } goto e617e; De4a7: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto c5828; Ddde7: return $form; goto b5ed3; ac849: $form = $this->createForm("\x41\x70\x70\x5c\106\157\162\x6d\134\x53\x69\x74\145\x46\164\160\125\x73\145\x72\x45\144\151\164\124\171\x70\145", $ftpUserEntity, ["\141\x63\164\x69\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\x5f\146\164\x70\x5f\x75\x73\145\162\137\145\144\x69\x74", ["\144\x6f\x6d\141\x69\156\116\141\155\145" => $siteEntity->getDomainName(), "\165\x73\145\162\x4e\141\155\x65" => $ftpUserEntity->getUserName()]), "\x6d\145\x74\150\x6f\x64" => "\120\117\123\124", "\x61\164\x74\162" => []]); goto c1a4b; c5828: $siteEntity = $ftpUserEntity->getSite(); goto ac849; c1a4b: $form->add("\163\x75\142\x6d\x69\x74", SubmitType::class, ["\141\164\164\162" => ["\x63\x6c\x61\x73\x73" => "\x62\164\156\40\x62\164\x6e\55\142\x6c\x75\145\x20\x62\x74\156\x2d\154\147"], "\x6c\141\142\145\x6c" => "\123\x61\x76\145"]); goto Ddde7; b5ed3: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto E7855; C17f1: goto Cb288; goto f3a26; Af705: try { goto A1523; D7e7d: if (!(false === empty($ftpUserPassword))) { goto F4938; } goto F6570; decf3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\x5f\x75\163\145\x72\163", ["\144\157\155\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto C82c2; C62bc: $ftpUserEntity = $form->getData(); goto A2cbd; C082d: $domainName = $site->getDomainName(); goto E3233; C36a9: $siteUpdater = $this->getSiteUpdater($site); goto B7492; E0e3c: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\145\163")); goto ecedd; E3233: $siteEntity = $this->getSiteEntity($domainName); goto A92a5; F6570: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto fb567; ecedd: goto Eb40c; goto a2baf; A92a5: if (false === is_null($siteEntity)) { goto d4991; } goto E0e3c; b7c18: $ftpUserPassword = $form->get("\160\x61\x73\x73\x77\x6f\x72\144")->getData(); goto ea6bc; a2baf: d4991: goto Bb7a6; Bea3b: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\125\x73\x65\x72\40\150\x61\163\40\x62\x65\x65\156\40\x73\x61\166\x65\x64\x2e")); goto decf3; C82c2: Eb40c: goto Ecc33; Beb12: $eventData = ["\x73\151\164\145" => $domainName, "\x75\163\x65\x72\x4e\141\155\145" => $ftpUserName, "\x68\157\x6d\x65\x44\151\162\x65\x63\x74\157\x72\171" => $ftpUserHomeDirectory]; goto b06f3; B7492: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto D7e7d; A1523: $session = $request->getSession(); goto C082d; b06f3: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto Bea3b; b373a: $this->siteEntityManager->updateEntity($siteEntity); goto C36a9; fb567: F4938: goto Beb12; A2cbd: $ftpUserName = $ftpUserEntity->getUserName(); goto b7c18; Bb7a6: $user = $this->getUser(); goto C62bc; ea6bc: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto b373a; Ecc33: return $response; goto E6d5e; E6d5e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\156\40\145\x72\162\x6f\162\x20\150\141\163\40\x6f\x63\143\x75\x72\162\x65\x64\x2c\x20\x65\x72\162\157\162\x20\155\x65\163\x73\141\x67\x65\x3a\x20\45\x65\x72\x72\157\x72\115\x65\163\x73\x61\147\x65\x25", ["\x25\x65\x72\x72\x6f\x72\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto D0468; A80ad: $this->formErrors = $this->getErrorMessages($form); goto C17f1; D0468: Cb288: goto a6ec1; f3a26: E694b: goto Af705; E7855: if (true === $form->isValid()) { goto E694b; } goto A80ad; a6ec1: } public function deleteFtpUser(Request $request) : Response { goto B52d5; D2683: df050: goto ead1e; da4d9: $this->checkCsrfToken($request, "\x75\163\145\162\55\144\145\154\x65\164\x65"); goto fa903; fa903: if (!(false === is_null($site))) { goto df050; } goto E85e7; B52d5: $site = $this->getSite($request); goto da4d9; fbe33: return $response; goto f9654; E85e7: try { goto C71e5; fbd08: $userName = $request->get("\x75\163\145\x72\x4e\141\155\x65"); goto a9805; c6f4e: $user = $this->getUser(); goto A178b; f1871: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto dd5a8; } goto c6f4e; E2e55: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\x73", $this->translator->trans("\125\x73\145\162\40\150\141\x73\x20\x62\145\x65\156\x20\x64\145\x6c\145\x74\145\144\x2e")); goto b6fc7; A9fad: $siteEntity = $this->getSiteEntity($domainName); goto ab1a3; b6fc7: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\x5f\165\x73\x65\x72\x73", ["\144\157\x6d\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto c306b; fec8f: f4602: goto b1b53; D3a7e: $siteUpdater->deleteUser($userName, false); goto d9aff; ab1a3: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto C7fbb; B4afa: $siteEntity->removeFtpUser($ftpUserEntity); goto C1b75; A178b: $userName = $ftpUserEntity->getUserName(); goto B4afa; C7fbb: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto f4602; } goto D855d; C1b75: $this->siteEntityManager->updateEntity($siteEntity); goto ef084; c306b: return $response; goto be03d; be03d: dd5a8: goto fec8f; ef084: $siteUpdater = $this->getSiteUpdater($site); goto D3a7e; a9805: $domainName = $site->getDomainName(); goto A9fad; D855d: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto f1871; d604a: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto E2e55; C71e5: $session = $request->getSession(); goto fbd08; d9aff: $evenData = ["\x73\151\164\x65" => $domainName, "\x75\163\145\162\x4e\141\x6d\145" => $userName]; goto d604a; b1b53: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\157\x72\x20\150\141\x73\40\x6f\x63\x63\165\162\x72\x65\x64\x2c\40\x65\162\162\x6f\162\x20\x6d\145\x73\163\x61\147\x65\x3a\40\x25\145\162\x72\157\x72\x4d\x65\163\x73\141\x67\x65\x25", ["\45\x65\x72\x72\157\162\x4d\x65\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto D2683; ead1e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\x73")); goto fbe33; f9654: } public function newSshUser(Request $request) : Response { goto b86c2; b64d7: cf259: goto fddb5; fe127: if (false === is_null($site)) { goto cf259; } goto e4037; Ac286: $response = $this->render("\x46\x72\157\x6e\164\145\x6e\x64\57\123\x69\164\145\57\x6e\x65\167\55\x73\163\x68\x2d\x75\163\145\x72\56\150\164\155\x6c\56\x74\x77\151\x67", ["\x73\151\x74\145" => $site, "\146\157\162\155" => $form->createView(), "\146\x6f\162\x6d\x45\162\162\x6f\162\163" => $this->formErrors]); goto Db821; e4037: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\x65\x73")); goto D81cd; fddb5: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a6190; B07ca: return $response; goto Dc30e; a6190: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto Ca24f; d42c0: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto a4a47; } goto Ee789; Dc8ee: a4a47: goto Ac286; D81cd: goto B7776; goto b64d7; D42f9: if (!(true === $form->isSubmitted())) { goto F7797; } goto a4f3b; b86c2: $site = $this->getSite($request); goto fe127; E4806: return $response; goto Bd581; Dc30e: D673e: goto f605d; a4f3b: $response = $this->handleSshUserForm($request, $form, $site); goto ddb1b; Db821: B7776: goto E4806; f605d: F7797: goto Dc8ee; Ee789: $form->handleRequest($request); goto D42f9; ddb1b: if (!(false === is_null($response))) { goto D673e; } goto B07ca; Ca24f: $sshUserEntity->setSite($siteEntity); goto a242e; a242e: $form = $this->createSshUserForm($sshUserEntity); goto d42c0; Bd581: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto Dbd07; Dbd07: $siteEntity = $sshUserEntity->getSite(); goto F8522; F8522: $form = $this->createForm("\x41\160\x70\134\106\x6f\x72\155\134\x53\x69\x74\x65\x53\163\150\125\163\145\x72\x54\171\160\145", $sshUserEntity, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\143\154\160\137\x73\151\x74\145\137\x73\163\x68\x5f\165\x73\x65\x72\x5f\x6e\145\x77", ["\x64\x6f\155\x61\x69\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\x6f\144" => "\x50\117\123\124", "\141\x74\164\x72" => []]); goto C595c; C595c: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\154\141\x73\163" => "\142\x74\156\x20\142\x74\156\x2d\142\154\x75\145\40\x62\164\156\x2d\154\x67"], "\x6c\141\x62\145\154" => "\101\x64\144\40\x55\x73\145\162"]); goto f016d; f016d: return $form; goto b344c; b344c: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto E2705; e30e0: dcd9f: goto a23b5; cb7ef: goto dcd9f; goto a57ea; a57ea: e372d: goto ab7ad; B1b85: $this->formErrors = $this->getErrorMessages($form); goto cb7ef; ab7ad: try { goto Dd6c6; c64a7: B47fa: goto ed4e0; Ceae8: $eventData = ["\163\x69\x74\145" => $domainName, "\x75\x73\x65\x72\116\x61\155\145" => $sshUserName, "\x73\x73\x68\x4b\x65\x79\x73" => $sshKeys]; goto baff4; A10df: $sshKeys = $sshUserEntity->getSshKeys(); goto A5625; C2590: $this->siteEntityManager->updateEntity($siteEntity); goto Dfa94; Dfa94: $siteUpdater = $this->getSiteUpdater($site); goto E6fb5; D1b17: $sshUserName = $sshUserEntity->getUserName(); goto B0d16; D5fc0: A5ca2: goto a7202; E3607: $sshUserEntity = $form->getData(); goto D1b17; Bd35b: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\x65\137\x75\163\x65\x72\163", ["\x64\157\155\141\151\x6e\116\141\155\145" => $site->getDomainName()])); goto c64a7; ece24: goto B47fa; goto D5fc0; af772: $siteEntity = $this->getSiteEntity($domainName); goto fd53d; a7202: $user = $this->getUser(); goto E3607; E4f4b: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\145\163")); goto ece24; ed4e0: return $response; goto Edd51; e5601: $domainName = $site->getDomainName(); goto af772; Dd6c6: $session = $request->getSession(); goto e5601; e668f: $sshUserEntity->setPassword($sshUserPassword); goto A10df; fd53d: if (false === is_null($siteEntity)) { goto A5ca2; } goto E4f4b; a8e11: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\163", $this->translator->trans("\x55\x73\x65\x72\x20\x68\141\163\x20\x62\x65\145\x6e\40\x61\144\x64\x65\x64\x2e")); goto Bd35b; ad08e: if (!(false === empty($sshKeys))) { goto bd828; } goto Cf6f6; Cf6f6: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto Ae68b; E6fb5: $siteUpdater->createSshUser($sshUserEntity); goto ad08e; Ae68b: bd828: goto Ceae8; baff4: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto a8e11; A5625: $siteEntity->addSshUser($sshUserEntity); goto C2590; B0d16: $sshUserPassword = $form->get("\x70\141\x73\x73\x77\x6f\x72\144")->getData(); goto e668f; Edd51: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\x72\162\157\162\x20\x68\141\163\40\x6f\x63\143\165\x72\162\145\144\x2c\40\145\x72\162\x6f\162\x20\x6d\145\163\x73\x61\147\x65\x3a\40\45\145\x72\x72\157\x72\115\145\163\163\141\147\x65\x25", ["\x25\x65\162\x72\x6f\x72\115\145\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto e30e0; E2705: if (true === $form->isValid()) { goto e372d; } goto B1b85; a23b5: } public function editSshUser(Request $request) : Response { goto a0502; dfafb: f8be9: goto Fb12f; Ebb70: return $response; goto E934b; B6566: return $response; goto a84fc; a881f: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto e81a1; Adfe0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\145\x73")); goto f31bb; Fb12f: $form = $this->createSshUserEditForm($sshUserEntity); goto a1509; c255e: fd2a2: goto F0cf5; a1509: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto fd2a2; } goto b1da5; Dc2aa: a8ff3: goto Ebb70; a84fc: a203f: goto ff671; f1e3b: if (!(false === is_null($response))) { goto a203f; } goto B6566; ff671: db665: goto c255e; e81a1: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto f8be9; } goto Adfe0; F0cf5: $response = $this->render("\x46\162\157\156\x74\145\x6e\144\57\123\x69\x74\x65\57\145\x64\151\164\55\x73\x73\x68\55\x75\x73\145\162\x2e\x68\x74\155\x6c\56\164\167\x69\x67", ["\163\151\x74\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\x66\157\x72\155\x45\x72\x72\x6f\x72\163" => $this->formErrors]); goto Dc2aa; a0502: $userName = $request->get("\165\x73\x65\x72\116\x61\155\x65"); goto A857f; D40a2: if (!(true === $form->isSubmitted())) { goto db665; } goto E4cb2; b1da5: $form->handleRequest($request); goto D40a2; A857f: $site = $this->getSite($request); goto a881f; E4cb2: $response = $this->handleSshUserEditForm($request, $form, $site); goto f1e3b; f31bb: goto a8ff3; goto dfafb; E934b: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto e9e23; c7150: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\x61\163\x73" => "\x62\164\156\x20\142\x74\x6e\x2d\142\x6c\x75\x65\40\x62\x74\156\x2d\x6c\x67"], "\x6c\x61\142\x65\154" => "\123\141\x76\145"]); goto b704f; b704f: return $form; goto D99bc; bbbc0: $form = $this->createForm("\x41\x70\x70\134\x46\157\162\155\134\x53\x69\164\x65\x53\x73\150\125\163\x65\x72\x45\x64\x69\x74\x54\171\x70\145", $sshUserEntity, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\137\x73\163\x68\x5f\x75\163\x65\x72\x5f\145\x64\x69\164", ["\x64\157\155\141\151\x6e\116\141\155\145" => $siteEntity->getDomainName(), "\x75\x73\145\x72\116\x61\155\x65" => $sshUserEntity->getUserName()]), "\x6d\x65\x74\x68\x6f\144" => "\x50\117\123\124", "\x61\164\x74\x72" => []]); goto c7150; e9e23: $siteEntity = $sshUserEntity->getSite(); goto bbbc0; D99bc: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto Eb599; A95b0: goto Db85c; goto A3cf4; Eb599: if (true === $form->isValid()) { goto D1283; } goto e130e; E939b: try { goto ef514; E4838: $siteUpdater = $this->getSiteUpdater($site); goto d12c9; b859e: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto ac0b9; ebb1b: D95e3: goto c595c; f1865: if (false === is_null($siteEntity)) { goto D95e3; } goto d9325; B22ed: $domainName = $site->getDomainName(); goto f3ca2; f3ca2: $siteEntity = $this->getSiteEntity($domainName); goto f1865; d9325: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\164\145\163")); goto F86f1; bef7a: $sshUserName = $sshUserEntity->getUserName(); goto b87f3; ba3db: $this->siteEntityManager->updateEntity($siteEntity); goto E4838; d3c11: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto bf564; b87f3: $sshUserPassword = $form->get("\x70\x61\163\163\167\x6f\162\144")->getData(); goto F26a0; F26a0: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto ba3db; c595c: $user = $this->getUser(); goto f29e8; ef514: $session = $request->getSession(); goto B22ed; F86f1: goto e3c14; goto ebb1b; bf564: $session->getFlashBag()->set("\163\165\143\x63\145\163\163", $this->translator->trans("\x55\163\x65\162\40\x68\141\163\x20\x62\x65\x65\x6e\x20\163\x61\166\x65\144\56")); goto cc108; ed895: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto E09aa; cc108: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\137\165\x73\145\x72\163", ["\144\x6f\155\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto c7d96; d12c9: if (!(false === empty($sshUserPassword))) { goto a2a2c; } goto b859e; f29e8: $sshUserEntity = $form->getData(); goto bef7a; E09aa: $eventData = ["\163\151\164\145" => $domainName, "\x75\163\145\x72\116\x61\x6d\145" => $sshUserName, "\x73\163\x68\x4b\145\171\163" => $sshKeys]; goto d3c11; ac0b9: a2a2c: goto ed895; Dba9f: return $response; goto C3a6c; c7d96: e3c14: goto Dba9f; C3a6c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\156\40\x65\162\x72\157\x72\40\150\141\x73\40\157\x63\x63\x75\x72\162\145\144\x2c\x20\x65\162\x72\x6f\x72\40\155\x65\x73\163\x61\147\x65\72\40\45\145\x72\x72\x6f\x72\115\x65\x73\163\141\x67\x65\x25", ["\x25\145\162\x72\157\162\115\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto C69b9; C69b9: Db85c: goto b6cb3; e130e: $this->formErrors = $this->getErrorMessages($form); goto A95b0; A3cf4: D1283: goto E939b; b6cb3: } public function deleteSshUser(Request $request) : Response { goto b028c; d4fb7: if (!(false === is_null($site))) { goto b21d5; } goto D2e41; D6b6e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\x65\x73")); goto A8a53; b028c: $site = $this->getSite($request); goto b1dc6; e43a8: b21d5: goto D6b6e; b1dc6: $this->checkCsrfToken($request, "\x75\163\145\162\55\144\145\x6c\145\x74\145"); goto d4fb7; A8a53: return $response; goto Fc7a5; D2e41: try { goto F2bfd; Ecaa0: A79dc: goto Eed0d; E748a: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\x73", $this->translator->trans("\125\x73\x65\x72\x20\x68\x61\x73\40\142\145\x65\156\x20\x64\x65\x6c\x65\164\x65\x64\x2e")); goto Cbaad; a869e: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto B8a50; F2bfd: $session = $request->getSession(); goto adf2c; f3e83: $siteEntity->removeSshUser($sshUserEntity); goto e7af8; F9fd0: $domainName = $site->getDomainName(); goto Cc780; B2db9: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto C354f; } goto e0824; db3ba: C354f: goto Ecaa0; Cbaad: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\x65\x5f\165\x73\x65\162\163", ["\144\x6f\155\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto cfe5e; e7af8: $this->siteEntityManager->updateEntity($siteEntity); goto B9130; adf2c: $userName = $request->get("\165\x73\145\162\x4e\x61\155\x65"); goto F9fd0; c8be1: $sshUserSiteEntity = $sshUserEntity->getSite(); goto B2db9; cfe5e: return $response; goto db3ba; c52a8: $userName = $sshUserEntity->getUserName(); goto f3e83; Cc780: $siteEntity = $this->getSiteEntity($domainName); goto a869e; B9130: $siteUpdater = $this->getSiteUpdater($site); goto c9352; acaed: $evenData = ["\x73\151\164\145" => $domainName, "\x75\x73\x65\x72\x4e\141\x6d\145" => $userName]; goto B11cd; e0824: $user = $this->getUser(); goto c52a8; B11cd: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto E748a; B8a50: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto A79dc; } goto c8be1; c9352: $siteUpdater->deleteUser($userName, true); goto acaed; Eed0d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\x41\x6e\40\145\x72\x72\157\162\x20\150\x61\x73\x20\x6f\x63\143\x75\x72\162\145\x64\54\x20\145\162\162\157\x72\x20\x6d\x65\163\x73\x61\x67\x65\x3a\40\x25\x65\x72\162\x6f\x72\x4d\145\x73\163\x61\147\145\x25", ["\x25\145\x72\x72\157\x72\x4d\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto e43a8; Fc7a5: } public function security(Request $request) : Response { goto d4b7b; d4b7b: $site = $this->getSite($request); goto Eae3d; e0ce4: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto f5f40; f3bc2: ddd28: goto A778e; E9f77: $blockedIps = $site->getBlockedIps(); goto adf85; f41d1: return $response; goto E4b7e; C370f: goto Ea53f; goto ec03e; C992e: $basicAuthForm->handleRequest($request); goto Bc179; a351e: $basicAuthEntity->setSite($siteEntity); goto Ad5f4; ccebf: if (!(true === is_null($basicAuthEntity))) { goto f068d; } goto b73a3; f5f40: $cloudflareData = ["\x61\x6c\x6c\157\167\x54\162\141\x66\x66\x69\x63\106\162\157\155\x43\x6c\157\165\x64\146\154\x61\162\x65\117\x6e\154\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto Fafad; Eae3d: if (false === is_null($site)) { goto fd854; } goto e4684; A1858: if (!(false === is_null($response))) { goto B56ee; } goto f41d1; f00ee: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto cf20b; Fafad: $blockedBots = $site->getBlockedBots(); goto E9f77; D6e8a: E030e: goto e0dd1; Fb34c: ce5a1: goto Dacc3; a82d8: f068d: goto a351e; Ad5f4: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto f00ee; adf85: $basicAuthEntity = $site->getBasicAuth(); goto ccebf; E4b7e: B56ee: goto D6e8a; Bc179: $cloudflareForm->handleRequest($request); goto abfe7; Bf613: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto A1858; b1f21: return $response; goto Fb34c; e0dd1: if (!(true === $cloudflareForm->isSubmitted())) { goto E0456; } goto cc4ad; Dacc3: E0456: goto f3bc2; abfe7: if (!(true === $basicAuthForm->isSubmitted())) { goto E030e; } goto Bf613; e4684: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\163")); goto C370f; b73a3: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto a82d8; cc4ad: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto A8f15; ec03e: fd854: goto e0ce4; Bfb23: Ea53f: goto a69f0; A778e: $response = $this->render("\x46\162\x6f\156\164\x65\x6e\144\x2f\x53\151\x74\145\57\163\145\x63\165\x72\x69\x74\x79\56\150\x74\155\154\56\x74\x77\x69\x67", ["\163\151\164\145" => $site, "\x62\154\157\x63\153\x65\x64\111\x70\163" => $blockedIps, "\x62\x6c\157\x63\x6b\145\x64\x42\157\x74\x73" => $blockedBots, "\142\141\163\151\143\x41\165\x74\150\x46\157\162\x6d" => $basicAuthForm->createView(), "\143\154\x6f\x75\x64\x66\x6c\x61\162\x65\106\x6f\x72\155" => $cloudflareForm->createView(), "\146\x6f\162\x6d\105\162\x72\157\162\x73" => $this->formErrors]); goto Bfb23; A8f15: if (!(false === is_null($response))) { goto ce5a1; } goto b1f21; cf20b: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto ddd28; } goto C992e; a69f0: return $response; goto efcf7; efcf7: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto Aa07e; Aa07e: $form = $this->createForm("\101\160\160\134\106\x6f\x72\155\134\123\x69\164\x65\103\x6c\157\x75\x64\146\154\x61\162\x65\124\171\x70\145", $data, ["\x61\143\x74\151\157\156" => $this->generateUrl("\x63\x6c\160\137\x73\151\164\145\x5f\x73\145\x63\x75\x72\x69\164\x79", ["\x64\x6f\x6d\x61\151\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\157\144" => "\x50\117\x53\124", "\141\164\164\162" => []]); goto c283b; c283b: $form->add("\x73\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\141\x73\x73" => "\142\x74\156\x20\x62\x74\x6e\55\142\x6c\165\x65\x20\142\x74\156\55\x6c\147"], "\x6c\141\x62\145\x6c" => "\123\x61\x76\145"]); goto c0be4; c0be4: return $form; goto Abe4f; Abe4f: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto D3333; D3333: $siteEntity = $basicAuthEntity->getSite(); goto e59e1; cdcbb: return $form; goto Fed75; e59e1: $form = $this->createForm("\x41\160\160\134\106\x6f\162\155\x5c\123\151\x74\x65\x42\x61\x73\151\143\101\x75\x74\150\x54\x79\160\145", $basicAuthEntity, ["\141\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\160\137\x73\x69\164\145\x5f\x73\x65\143\x75\162\151\164\x79", ["\x64\x6f\x6d\141\151\x6e\x4e\141\155\145" => $siteEntity->getDomainName()]), "\155\145\x74\x68\157\144" => "\x50\117\123\124", "\141\x74\164\x72" => []]); goto Bda68; Bda68: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\143\154\x61\163\x73" => "\x62\x74\x6e\40\142\164\156\55\142\154\x75\x65\x20\x62\x74\156\55\154\x67"], "\x6c\x61\142\145\x6c" => "\x53\141\x76\x65"]); goto cdcbb; Fed75: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto F9671; C94c8: fbe26: goto Bf1ea; ff8e5: A0bd4: goto be46f; F9671: if (true === $form->isValid()) { goto A0bd4; } goto e7a69; dbadd: goto fbe26; goto ff8e5; e7a69: $this->formErrors = $this->getErrorMessages($form); goto dbadd; be46f: try { goto a283d; D1e42: d045e: goto e15db; Dc62e: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto E72c9; E72c9: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\x73", $this->translator->trans("\102\141\163\151\x63\x20\101\x75\164\x68\145\x6e\164\151\143\x61\164\151\x6f\156\40\x73\x65\x74\164\x69\x6e\x67\x73\40\x68\x61\x76\x65\x20\x62\145\x65\156\x20\163\x61\166\145\144\x2e")); goto b74c6; e15db: return $response; goto ac406; B2461: $basicAuthEntity = $form->getData(); goto B1a4d; A68db: $this->siteEntityManager->updateEntity($siteEntity); goto d8f0e; Bac5c: $siteUpdater->reloadNginxService(); goto d11ac; B1a4d: $siteEntity->setBasicAuth($basicAuthEntity); goto Dac49; d8f0e: $siteUpdater = $this->getSiteUpdater($site); goto Cff88; Cff88: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto e5076; F0739: $user = $this->getUser(); goto B2461; C3007: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\x73")); goto B2bc5; a283d: $session = $request->getSession(); goto d6962; fef5e: if (false === is_null($siteEntity)) { goto ecd7b; } goto C3007; e5076: $siteUpdater->updateNginxVhost(); goto Bac5c; Dac49: $site->setBasicAuth($basicAuthEntity); goto A68db; B2bc5: goto d045e; goto C39a5; d11ac: $eventData = ["\x73\x69\164\x65" => $domainName, "\141\x63\x74\x69\166\x65" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\60", "\x75\x73\x65\162\116\141\x6d\145" => $basicAuthEntity->getUserName(), "\x77\x68\151\x74\145\154\151\x73\164\x65\144\x49\x70\x73" => $basicAuthEntity->getWhitelistedIps()]; goto Dc62e; d6962: $domainName = $site->getDomainName(); goto Eb748; b74c6: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\x5f\163\145\143\x75\x72\151\164\171", ["\x64\157\155\141\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto D1e42; Eb748: $siteEntity = $this->getSiteEntity($domainName); goto fef5e; C39a5: ecd7b: goto F0739; ac406: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\156\40\x65\x72\162\157\162\x20\x68\x61\163\x20\157\143\143\165\162\x72\145\x64\x2c\40\145\x72\x72\x6f\162\x20\155\145\x73\x73\141\x67\145\x3a\x20\x25\145\162\162\x6f\x72\115\x65\x73\x73\x61\x67\x65\x25", ["\x25\145\162\x72\157\162\x4d\x65\163\x73\141\x67\145\45" => $e->getMessage()])); } goto C94c8; Bf1ea: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto D1f01; b6a0c: goto Fa99c; goto Cb691; D1f01: if (true === $form->isValid()) { goto Fdaea; } goto C7ff2; c71f3: Fa99c: goto f9fdf; C7ff2: $this->formErrors = $this->getErrorMessages($form); goto b6a0c; F5e1c: try { goto ca313; ef355: if (false === is_null($siteEntity)) { goto e739b; } goto D968a; Efee0: $siteEntity = $this->getSiteEntity($domainName); goto ef355; f0009: $siteUpdater->updateNginxVhost(); goto a4275; D968a: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x73")); goto F6b84; dd742: $eventData = ["\x73\151\x74\x65" => $domainName, "\141\154\154\x6f\x77\x54\162\x61\146\x66\151\143\106\x72\x6f\155\x43\154\157\165\x64\x66\154\x61\x72\145\117\x6e\x6c\x79" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\x30"]; goto B0deb; A3961: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto Bd31a; a4275: $siteUpdater->reloadNginxService(); goto dd742; Bd31a: $this->siteEntityManager->updateEntity($siteEntity); goto f28e1; Ff6cd: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto A3961; E638d: $allowTrafficFromCloudflareOnly = $form->get("\141\x6c\x6c\157\167\124\162\141\x66\146\x69\143\x46\x72\157\155\103\154\157\165\x64\146\154\x61\x72\x65\117\x6e\154\171")->getData(); goto Ff6cd; B0deb: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto c236e; F6b84: goto B6151; goto Dbd06; e5d84: $domainName = $site->getDomainName(); goto Efee0; D7fd5: return $response; goto c4962; Afbe6: B6151: goto D7fd5; dec38: $user = $this->getUser(); goto E638d; f28e1: $siteUpdater = $this->getSiteUpdater($site); goto f0009; Dbd06: e739b: goto dec38; c236e: $session->getFlashBag()->set("\163\165\x63\143\145\x73\x73", $this->translator->trans("\x43\x6c\x6f\x75\x64\146\154\x61\x72\145\x20\x73\145\x74\x74\151\156\147\x73\x20\x68\141\166\145\40\x62\145\x65\x6e\40\x73\141\x76\145\x64\56")); goto E89b6; E89b6: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\x5f\x73\x65\143\x75\162\x69\x74\171", ["\144\157\x6d\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto Afbe6; ca313: $session = $request->getSession(); goto e5d84; c4962: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\101\156\x20\x65\162\162\x6f\x72\40\x68\x61\163\x20\157\x63\143\x75\162\162\145\144\x2c\40\x65\x72\162\157\x72\x20\155\145\x73\163\141\147\145\x3a\x20\x25\x65\162\162\157\162\x4d\145\163\x73\x61\x67\145\45", ["\x25\x65\162\162\157\162\115\145\163\163\141\x67\145\x25" => $e->getMessage()])); } goto c71f3; Cb691: Fdaea: goto F5e1c; f9fdf: } public function newBlockedIp(Request $request) : Response { goto F083e; e7ccc: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\x73")); goto D18d5; a5b37: return $response; goto c9a28; cb30b: a6cae: goto a5b37; Efcfd: Fe672: goto db4d2; D18d5: goto a6cae; goto D6f7a; db4d2: cd478: goto B4a25; a1368: if (!(true === $form->isSubmitted())) { goto Fe672; } goto b1a71; f9924: $form->handleRequest($request); goto a1368; dbe4a: if (!(false === is_null($response))) { goto Ff2b8; } goto Bef1f; Bbdba: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto bb8a0; Bef1f: return $response; goto E546e; a2b5d: $form = $this->createBlockedIpForm($blockedIpEntity); goto B3f63; b1a71: $response = $this->handleBlockedIpForm($request, $form, $site); goto dbe4a; F083e: $site = $this->getSite($request); goto f1ef5; B3f63: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto cd478; } goto f9924; D6f7a: Ee4bf: goto Bbdba; B4a25: $response = $this->render("\x46\x72\x6f\156\x74\x65\x6e\x64\57\123\151\164\145\x2f\x6e\x65\x77\55\142\154\x6f\x63\x6b\x65\x64\x2d\151\160\56\150\x74\155\x6c\56\x74\x77\x69\147", ["\163\x69\164\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\146\x6f\x72\x6d\105\162\x72\157\x72\163" => $this->formErrors]); goto cb30b; E546e: Ff2b8: goto Efcfd; b86b7: $blockedIpEntity->setSite($siteEntity); goto a2b5d; bb8a0: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto b86b7; f1ef5: if (false === is_null($site)) { goto Ee4bf; } goto e7ccc; c9a28: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto a4149; d7d92: $form = $this->createForm("\x41\x70\x70\x5c\x46\157\162\x6d\134\123\151\164\145\102\x6c\x6f\143\153\x65\x64\111\120\124\x79\160\x65", $blockedIpEntity, ["\x61\143\x74\151\157\x6e" => $this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\137\x73\x65\x63\165\162\151\x74\171\137\x62\x6c\157\143\153\145\x64\137\x69\x70\x5f\156\145\167", ["\144\157\155\141\151\x6e\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\145\164\x68\x6f\x64" => "\120\x4f\123\x54", "\141\x74\164\x72" => []]); goto cdf1f; C8f66: return $form; goto F2915; a4149: $siteEntity = $blockedIpEntity->getSite(); goto d7d92; cdf1f: $form->add("\163\165\142\155\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\154\x61\163\163" => "\x62\164\x6e\x20\x62\x74\156\55\142\154\165\145\40\142\x74\x6e\55\154\x67"], "\154\x61\142\145\154" => "\101\144\144\40\111\120"]); goto C8f66; F2915: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto A9553; Afe98: A0eaa: goto bbf60; Ddf43: $this->formErrors = $this->getErrorMessages($form); goto Af0fa; B4e8a: C1257: goto cc84d; A9553: if (true === $form->isValid()) { goto A0eaa; } goto Ddf43; Af0fa: goto C1257; goto Afe98; bbf60: try { goto Fc18d; fae6d: $eventData = ["\x73\151\164\x65" => $domainName, "\151\x70" => $blockedIp->getIp()]; goto a1f1c; F792b: return $response; goto ba764; C4fef: $siteUpdater = $this->getSiteUpdater($site); goto Df51c; a3add: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\x5f\x73\x65\143\165\x72\x69\164\x79", ["\x64\157\x6d\141\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto F38e9; Fa94f: $siteEntity = $this->getSiteEntity($domainName); goto abf99; F4867: goto A9c66; goto bc0b4; Df51c: $siteUpdater->updateNginxVhost(); goto Fd5d6; abf99: if (false === is_null($siteEntity)) { goto d1eef; } goto f36f3; d5371: $siteEntity->addBlockedIp($blockedIp); goto f0869; f36f3: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\x73")); goto F4867; Fc18d: $session = $request->getSession(); goto E9a63; f0869: $this->siteEntityManager->updateEntity($siteEntity); goto C4fef; E9a63: $domainName = $site->getDomainName(); goto Fa94f; Fd5d6: $siteUpdater->reloadNginxService(); goto fae6d; F38e9: A9c66: goto F792b; a1f1c: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto ffa22; ffa22: $session->getFlashBag()->set("\163\x75\143\143\145\163\x73", $this->translator->trans("\x49\120\x20\150\141\x73\40\142\145\x65\156\x20\x61\x64\x64\x65\144\56")); goto a3add; C6b3a: $user = $this->getUser(); goto c0c88; c0c88: $blockedIp = $form->getData(); goto d5371; bc0b4: d1eef: goto C6b3a; ba764: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\101\x6e\x20\145\162\162\x6f\x72\x20\x68\x61\x73\x20\157\x63\x63\x75\x72\x72\x65\144\54\x20\145\162\x72\x6f\162\40\155\x65\x73\163\x61\147\145\72\x20\45\x65\162\162\x6f\162\115\145\163\x73\x61\x67\145\x25", ["\45\x65\162\x72\157\162\x4d\145\163\x73\141\147\145\45" => $e->getMessage()])); } goto B4e8a; cc84d: } public function deleteBlockedIp(Request $request) : Response { goto ec2f5; Dcdc1: return $response; goto f34c1; Ce698: try { goto da754; ac649: $siteUpdater->reloadNginxService(); goto E1e55; fd8fc: $siteEntity->removeBlockedIp($blockedIpEntity); goto A57c2; b6e53: return $response; goto Bf096; Af69d: $domainName = $site->getDomainName(); goto e0ac4; Dc453: $id = (int) $request->get("\151\144"); goto Af69d; Dea36: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\x49\120\40\150\x61\x73\x20\142\145\x65\156\40\144\x65\154\x65\x74\145\144\x2e")); goto d7cec; f5be2: $siteUpdater->updateNginxVhost(); goto ac649; e0ac4: $siteEntity = $this->getSiteEntity($domainName); goto f36a0; d7cec: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\x65\x5f\x73\145\x63\165\162\151\x74\x79", ["\144\157\155\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto b6e53; da754: $session = $request->getSession(); goto Dc453; e0b81: $user = $this->getUser(); goto fd8fc; f36a0: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto A695f; dc305: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto Dea36; A57c2: $this->siteEntityManager->updateEntity($siteEntity); goto D327a; E1e55: $eventData = ["\x73\x69\x74\145" => $domainName, "\151\x70" => $blockedIpEntity->getIp()]; goto dc305; Bf096: a42b3: goto ceb3d; D327a: $siteUpdater = $this->getSiteUpdater($site); goto f5be2; A695f: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto a42b3; } goto e0b81; ceb3d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\162\x6f\x72\x20\x68\x61\163\x20\157\143\x63\165\162\162\145\x64\54\x20\145\162\162\157\x72\40\x6d\145\x73\163\x61\x67\145\72\40\x25\145\162\x72\157\162\115\x65\x73\163\141\x67\145\x25", ["\x25\x65\x72\x72\x6f\x72\115\145\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto E147c; F71cf: if (!(false === is_null($site))) { goto c20a9; } goto Ce698; ddcce: $this->checkCsrfToken($request, "\x69\160\x2d\x64\145\x6c\145\164\145"); goto F71cf; f48d8: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\163")); goto Dcdc1; E147c: c20a9: goto f48d8; ec2f5: $site = $this->getSite($request); goto ddcce; f34c1: } public function newBlockedBot(Request $request) : Response { goto D5fb8; b9373: a0420: goto Be565; F1d93: $response = $this->handleBlockedBotForm($request, $form, $site); goto Be82b; Aacbe: $response = $this->render("\106\x72\157\156\164\x65\156\144\57\x53\x69\x74\145\57\x6e\145\167\55\142\x6c\157\x63\153\145\144\x2d\x62\157\164\56\x68\164\155\154\x2e\x74\x77\151\147", ["\x73\151\164\145" => $site, "\x66\x6f\162\x6d" => $form->createView(), "\146\157\162\155\x45\162\162\x6f\x72\163" => $this->formErrors]); goto cf879; ffb27: $form = $this->createBlockedBotForm($blockedBotEntity); goto d0163; Be565: e99dc: goto Aacbe; aac70: cd5b0: goto D3b2c; cf879: d7506: goto a1648; Bf8ac: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\x73")); goto dc644; a1648: return $response; goto a592c; F7389: $blockedBotEntity->setSite($siteEntity); goto ffb27; D3b2c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A9298; D5fb8: $site = $this->getSite($request); goto c0b21; c0b21: if (false === is_null($site)) { goto cd5b0; } goto Bf8ac; dc644: goto d7506; goto aac70; d9306: abc4b: goto b9373; C5a31: return $response; goto d9306; A562e: $form->handleRequest($request); goto Eb693; A9298: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto F7389; Eb693: if (!(true === $form->isSubmitted())) { goto a0420; } goto F1d93; Be82b: if (!(false === is_null($response))) { goto abc4b; } goto C5a31; d0163: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto e99dc; } goto A562e; a592c: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto Dfc43; E7dfb: return $form; goto e0767; Fd566: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\x61\x74\164\162" => ["\x63\x6c\x61\163\163" => "\142\164\156\x20\x62\164\156\x2d\x62\x6c\x75\x65\x20\142\x74\156\x2d\x6c\x67"], "\154\141\142\145\x6c" => "\101\x64\x64\x20\102\157\x74"]); goto E7dfb; Dfc43: $siteEntity = $blockedBotEntity->getSite(); goto B5b19; B5b19: $form = $this->createForm("\101\x70\160\x5c\106\157\x72\x6d\134\x53\x69\x74\145\x42\154\x6f\143\x6b\x65\x64\x42\x6f\164\124\x79\x70\x65", $blockedBotEntity, ["\141\143\164\x69\157\156" => $this->generateUrl("\x63\x6c\x70\x5f\163\151\164\x65\137\x73\145\143\x75\x72\151\164\x79\137\142\154\157\x63\x6b\145\144\137\142\157\x74\x5f\156\145\167", ["\x64\x6f\155\x61\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\164\x68\x6f\144" => "\x50\x4f\123\x54", "\141\x74\164\x72" => []]); goto Fd566; e0767: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto D9730; cb29d: c3e29: goto C863e; C863e: try { goto C054f; d5fc2: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\x65\x73")); goto Bd74c; Ed1fc: return $response; goto Ab284; Edd96: $blockedBot = $form->getData(); goto bc129; F7fe7: if (false === is_null($siteEntity)) { goto ebc14; } goto d5fc2; E09c1: $siteEntity = $this->getSiteEntity($domainName); goto F7fe7; Bd74c: goto D25fd; goto F09c7; b098b: $siteUpdater->reloadNginxService(); goto b7a97; f6aa5: D25fd: goto Ed1fc; F09c7: ebc14: goto Bffec; Bffec: $user = $this->getUser(); goto Edd96; e33dc: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\137\x73\x65\x63\x75\x72\x69\164\x79", ["\x64\x6f\x6d\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto f6aa5; f05f3: $siteUpdater = $this->getSiteUpdater($site); goto e1fc8; a8aa8: $this->siteEntityManager->updateEntity($siteEntity); goto f05f3; e1fc8: $siteUpdater->updateNginxVhost(); goto b098b; C054f: $session = $request->getSession(); goto Eac44; D4782: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto D3bca; bc129: $siteEntity->addBlockedBot($blockedBot); goto a8aa8; b7a97: $eventData = ["\163\x69\164\145" => $domainName, "\x6e\141\x6d\x65" => $blockedBot->getName()]; goto D4782; D3bca: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\102\x6f\164\40\x68\141\x73\40\x62\x65\x65\156\40\141\144\144\145\x64\x2e")); goto e33dc; Eac44: $domainName = $site->getDomainName(); goto E09c1; Ab284: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\162\x20\x68\141\163\40\x6f\143\x63\x75\162\162\145\x64\x2c\40\x65\x72\x72\157\x72\40\155\x65\163\163\x61\147\x65\x3a\x20\x25\145\x72\162\x6f\x72\x4d\x65\163\163\141\147\145\x25", ["\x25\145\162\x72\x6f\162\115\145\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto b12de; ef9ac: $this->formErrors = $this->getErrorMessages($form); goto be293; D9730: if (true === $form->isValid()) { goto c3e29; } goto ef9ac; b12de: A25a0: goto B6e58; be293: goto A25a0; goto cb29d; B6e58: } public function deleteBlockedBot(Request $request) : Response { goto Eddd6; Fa836: return $response; goto cb1d6; Eddd6: $site = $this->getSite($request); goto bba5c; bba5c: $this->checkCsrfToken($request, "\x62\x6f\x74\x2d\x64\x65\x6c\x65\164\x65"); goto d0d36; Be94c: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\x74\145\163")); goto Fa836; d0d36: if (!(false === is_null($site))) { goto Cc1cf; } goto Ef561; Ef561: try { goto c163c; bae66: $user = $this->getUser(); goto Ffc7e; f2e20: $siteUpdater->updateNginxVhost(); goto d61e1; f5b71: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto e6410; } goto bae66; C2049: $id = (int) $request->get("\x69\144"); goto dd159; d61e1: $siteUpdater->reloadNginxService(); goto B3bf5; Ffc7e: $siteEntity->removeBlockedBot($blockedBotEntity); goto Aa941; fbcc5: $siteUpdater = $this->getSiteUpdater($site); goto f2e20; B3bf5: $eventData = ["\x73\151\x74\x65" => $domainName, "\156\x61\155\145" => $blockedBotEntity->getName()]; goto d26e3; dd159: $domainName = $site->getDomainName(); goto ee2ef; d26e3: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto Aae3a; a4ba6: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\137\x73\145\x63\165\162\151\x74\x79", ["\x64\x6f\x6d\141\151\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto ec2ff; Aa941: $this->siteEntityManager->updateEntity($siteEntity); goto fbcc5; eb354: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto f5b71; ec2ff: return $response; goto C08da; Aae3a: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\x42\x6f\x74\40\150\141\x73\40\142\x65\145\156\x20\144\x65\154\145\164\145\144\x2e")); goto a4ba6; C08da: e6410: goto B76c5; c163c: $session = $request->getSession(); goto C2049; ee2ef: $siteEntity = $this->getSiteEntity($domainName); goto eb354; B76c5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x41\156\x20\145\162\162\157\x72\x20\x68\x61\163\40\157\x63\143\x75\162\x72\145\x64\54\x20\x65\162\162\157\162\x20\x6d\145\x73\163\141\x67\145\72\x20\45\145\162\162\x6f\x72\115\145\163\x73\x61\x67\145\45", ["\45\x65\x72\162\x6f\x72\x4d\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto F3e0c; F3e0c: Cc1cf: goto Be94c; cb1d6: } public function certificates(Request $request) : Response { goto c2d43; Dc8fb: A1703: goto E2279; c2d43: $site = $this->getSite($request); goto db264; B3b38: $response = $this->render("\106\x72\157\156\164\x65\x6e\144\57\x53\x69\164\145\57\x63\145\162\164\x69\146\x69\143\x61\x74\145\163\x2e\150\164\x6d\x6c\56\164\167\151\x67", ["\163\151\164\145" => $site, "\x69\156\163\x74\x61\x6c\154\145\144\103\145\162\164\x69\146\151\x63\141\x74\x65" => $installedCertificate, "\x63\x65\162\x74\x69\x66\151\x63\141\164\145\163" => $certificates]); goto Dc8fb; db264: if (false === is_null($site)) { goto ebfbf; } goto D2063; D29a2: $certificates = $site->getCertificates(); goto B3b38; E2279: return $response; goto f06c6; F5e27: ebfbf: goto f439a; D2063: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\x65\x73")); goto C0848; C0848: goto A1703; goto F5e27; f439a: $installedCertificate = $site->getCertificate(); goto D29a2; f06c6: } public function importCertificate(Request $request) : Response { goto e4bde; f621c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto df02f; a5083: goto f2e01; goto d67c1; cd73d: f2e01: goto d5026; df02f: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A3627; C21e5: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\x73")); goto a5083; F2d9d: D5505: goto Dcb86; B4eaa: return $response; goto F724d; E7ce0: $response = $this->render("\106\x72\157\x6e\x74\145\156\x64\57\123\x69\164\145\x2f\x69\x6d\160\x6f\162\164\55\x63\145\x72\x74\151\146\151\143\x61\x74\145\x2e\150\x74\155\x6c\x2e\164\x77\151\x67", ["\163\151\164\145" => $site, "\x66\157\x72\155" => $form->createView(), "\146\157\162\155\105\162\x72\x6f\162\x73" => $this->formErrors]); goto cd73d; a2a61: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto f14eb; } goto Cedd4; Dcb86: f14eb: goto E7ce0; A45ca: if (false === is_null($site)) { goto c640e; } goto C21e5; Ea704: $response = $this->handleImportCertificateForm($request, $form, $site); goto E1fdb; d67c1: c640e: goto f621c; F724d: ed51a: goto F2d9d; E1fdb: if (!(false === is_null($response))) { goto ed51a; } goto B4eaa; e4bde: $site = $this->getSite($request); goto A45ca; bef51: $certificateEntity->setSite($siteEntity); goto ecf0f; d5026: return $response; goto e28c2; A3627: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto bef51; ecf0f: $form = $this->createImportCertificateForm($certificateEntity); goto a2a61; Cedd4: $form->handleRequest($request); goto aa2ef; aa2ef: if (!(true === $form->isSubmitted())) { goto D5505; } goto Ea704; e28c2: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto aff02; aff02: $siteEntity = $certificateEntity->getSite(); goto ca34a; e3523: $form->add("\x73\165\142\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\141\163\163" => "\142\x74\x6e\40\x62\x74\x6e\x2d\x62\x6c\165\145\x20\142\164\156\55\154\x67"], "\154\x61\142\145\154" => "\111\155\160\x6f\162\x74\40\x61\x6e\x64\40\x49\156\x73\x74\x61\x6c\154"]); goto acba5; acba5: return $form; goto B966a; ca34a: $form = $this->createForm("\x41\160\x70\134\106\x6f\162\x6d\x5c\123\x69\x74\145\111\155\160\x6f\162\x74\x43\145\162\164\151\x66\x69\143\141\164\145\x54\171\160\x65", $certificateEntity, ["\x61\143\164\151\x6f\156" => $this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\137\143\x65\x72\x74\x69\146\151\x63\141\x74\145\x5f\x69\155\x70\157\162\164", ["\144\x6f\x6d\141\x69\x6e\116\141\x6d\145" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\x6f\x64" => "\120\117\x53\124", "\141\164\164\162" => []]); goto e3523; B966a: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto f6a78; D595f: $this->formErrors = $this->getErrorMessages($form); goto e3c41; Abe83: Be6b1: goto Ba577; e3c41: goto d819d; goto Abe83; f6a78: if (true === $form->isValid()) { goto Be6b1; } goto D595f; Ba577: try { goto f7c7c; c6230: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\145\137\143\145\x72\x74\x69\x66\151\143\x61\x74\145\x73", ["\x64\157\155\141\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto E1d44; E1d44: d1618: goto aa775; e91c3: $siteEntity->setCertificate($certificateEntity); goto C73c4; f7c7c: $session = $request->getSession(); goto d6628; d0d2e: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\145\x73")); goto Efbcf; Efbcf: goto d1618; goto e8311; e1b23: $siteUpdater->installCertificate($certificateEntity); goto e91c3; e8311: e3849: goto Bd44b; C73c4: $siteEntity->addCertificate($certificateEntity); goto De858; Bd44b: $user = $this->getUser(); goto ebb43; aa775: return $response; goto Ac886; C8c40: $siteEntity = $this->getSiteEntity($domainName); goto d2d46; c3e34: $siteUpdater = $this->getSiteUpdater($site); goto e1b23; ebb43: $certificateEntity = $form->getData(); goto c3e34; ac546: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto B7495; d2d46: if (false === is_null($siteEntity)) { goto e3849; } goto d0d2e; De858: $this->siteEntityManager->updateEntity($siteEntity); goto d0003; d6628: $domainName = $site->getDomainName(); goto C8c40; B7495: $session->getFlashBag()->set("\163\x75\x63\143\145\163\x73", $this->translator->trans("\103\145\x72\164\151\x66\x69\x63\x61\164\145\x20\x68\x61\x73\40\142\145\145\x6e\40\151\x6e\163\x74\x61\154\x6c\145\x64\56")); goto c6230; d0003: $evenData = ["\x73\151\164\x65" => $domainName]; goto ac546; Ac886: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\x41\156\x20\x65\162\162\157\162\x20\150\x61\163\x20\157\x63\x63\165\162\x72\x65\x64\x2c\x20\x65\x72\162\x6f\x72\x20\155\145\x73\x73\x61\147\x65\x3a\x20\45\x65\x72\162\157\162\x4d\x65\163\x73\141\147\145\x25", ["\x25\x65\162\x72\157\162\x4d\145\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto f65ba; f65ba: d819d: goto Aa821; Aa821: } public function newLetsEncryptCertificate(Request $request) : Response { goto Ac8ce; e55e3: c22f5: goto F49ea; d68aa: ce4c0: goto F8019; cbc66: $subdomain = $resolvedDomainName->subDomain()->toString(); goto c7bad; ccaf3: d6d25: goto Ea5c1; B207b: $response = $this->render("\106\162\157\x6e\x74\x65\156\144\57\123\151\x74\145\57\156\x65\167\55\x6c\x65\x74\x73\x2d\x65\x6e\143\162\x79\x70\164\55\143\x65\162\x74\151\x66\151\x63\141\x74\145\56\x68\164\x6d\x6c\56\x74\x77\151\147", ["\x73\151\164\x65" => $site, "\144\x6f\155\141\x69\156\163" => $domains, "\146\x6f\x72\155" => $form->createView(), "\x66\x6f\162\x6d\x45\x72\x72\157\162\163" => $this->formErrors]); goto e55e3; F0349: $form = $this->createLetsEncryptCertificateForm($domainName); goto de5dd; a208a: if (!(false === is_null($response))) { goto ce4c0; } goto b8646; e1794: if (!(true === $form->isSubmitted())) { goto e787e; } goto Da5a6; Ac8ce: $site = $this->getSite($request); goto a0e80; a0f46: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto E5058; d34dd: B9fe6: goto B207b; Da5a6: $domains = (array) $request->get("\x64\x6f\155\x61\151\156\x73"); goto f70d4; ecefb: if (true === is_null($subdomain) || "\167\x77\x77" == $subdomain) { goto da371; } goto D723b; c7bad: $subdomain = false === empty($subdomain) ? $subdomain : null; goto ecefb; de5dd: $domains = []; goto a0af7; C339c: da371: goto a3494; F3e01: $domainName = $site->getDomainName(); goto F0349; E67ef: goto F4caf; goto C339c; c146b: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\x65\x73")); goto ead03; ba71d: F4caf: goto Bf725; Bc1da: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto a208a; da9c3: $domains = array_map("\164\162\151\155", $domains); goto fff62; ead03: goto c22f5; goto d8d80; E5058: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto cbc66; a0af7: if (true === $request->isMethod("\x50\117\x53\x54")) { goto d6d25; } goto a0f46; a3494: $domains = [$registrableDomain, sprintf("\x77\x77\167\56\45\163", $registrableDomain)]; goto ba71d; fff62: $domains = array_unique($domains); goto Bc1da; Bf725: goto B9fe6; goto ccaf3; f70d4: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto da9c3; F49ea: return $response; goto Dc202; a0e80: if (false === is_null($site)) { goto fffbb; } goto c146b; Ea5c1: $form->handleRequest($request); goto e1794; d8d80: fffbb: goto F3e01; b8646: return $response; goto d68aa; F8019: e787e: goto d34dd; D723b: $domains = [$domainName]; goto E67ef; Dc202: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto De1d3; E0860: return $form; goto e4cae; ca5c6: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\x6c\x61\163\x73" => "\142\164\x6e\x20\142\164\156\55\142\154\165\x65\x20\142\164\156\x2d\154\x67"], "\x6c\x61\142\145\154" => "\103\162\x65\141\x74\x65\x20\141\156\x64\40\111\x6e\163\x74\x61\154\154"]); goto E0860; De1d3: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\x72\x6d\x5c\123\x69\164\145\x4c\145\164\163\105\156\x63\x72\171\x70\x74\x43\x65\162\164\151\x66\x69\x63\x61\164\x65\x54\x79\x70\x65", [], ["\x61\143\164\151\157\156" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\137\x6c\x65\x74\163\137\145\x6e\x63\162\171\x70\164\137\x63\x65\162\x74\151\x66\x69\x63\x61\164\145\137\156\145\x77", ["\144\157\x6d\x61\x69\x6e\x4e\141\x6d\145" => $domainName]), "\155\x65\164\x68\157\144" => "\120\x4f\123\124", "\x61\x74\x74\162" => ["\151\144" => "\143\x72\x65\141\x74\145\55\x6c\x65\x74\x73\55\145\x6e\x63\162\171\x70\x74\55\x63\x65\162\x74\x69\x66\x69\143\141\x74\145\55\x66\157\162\155"]]); goto ca5c6; e4cae: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto d8473; c8faf: f864a: goto F5617; bfe0a: try { goto a5754; f80b1: $letsEncryptClient->registerAccount(); goto df0be; Eaa7a: $evenData = ["\x73\x69\x74\145" => $domainName]; goto Cf2af; F5c05: $distinguishedNameDomains = $domains; goto b1d1e; deaf0: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto C3873; f9b0c: if (!(true === empty($validationErrors))) { goto Bfc70; } goto C29bd; E5215: $letsEncryptClient = new LetsEncryptClient($privateKey); goto f700a; a5754: $session = $request->getSession(); goto ffcd8; Cf2af: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto d4191; b7388: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\x73\72\40\45\163", $domain, $validationErrorMessage))); ffac1: } goto E7839; c49b8: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto A3093; cfe55: $letsEncryptClient->registerAccount(); goto Fde98; fbee6: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto bdba4; a48c5: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto cb44f; c48ac: if (false === is_null($siteEntity)) { goto E6909; } goto acef6; b1d1e: $commonName = array_shift($distinguishedNameDomains); goto a48c5; A3093: $certificateEntity->setSite($siteEntity); goto d5046; C3873: Bfc70: goto B363f; f1ff6: $csr = $csrGenerator->generate(); goto a4757; bdba4: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto f1ff6; E7839: D5351: goto Fcc52; Fc706: Aaf35: goto D5aca; F6bb1: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto f9b0c; Affd8: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\x65\x5f\x63\x65\x72\x74\151\146\151\x63\141\164\x65\163", ["\x64\157\x6d\x61\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto a06d8; ffcd8: $domainName = $site->getDomainName(); goto ad106; df0be: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto c53e8; Fcc52: goto Aaf35; goto F8819; Cb60b: E6909: goto d4ba7; Daf92: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto E8b18; Fde98: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto C2ba0; Db3f2: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto F6bb1; F8819: fec97: goto F5c05; a4757: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto f2228; d4ba7: $user = $this->getUser(); goto fe4b4; Df5f7: $siteEntity->setCertificate($certificateEntity); goto b5e0f; C29bd: $letsEncryptClient = new LetsEncryptClient($privateKey); goto cfe55; acef6: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\145\x73")); goto bb185; B49b5: goto Dc834; goto Cb60b; a06d8: return $response; goto Fc706; bb185: return $response; goto B49b5; E5b74: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto bd348; d7573: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto c27bc; E09d3: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto E5215; fe4b4: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\160\x72\x69\166\141\x74\145\137\153\145\171"); goto E09d3; d5046: $certificateEntity->setCsr($certificate->getCsr()); goto d7573; cb44f: $rsaKeyGenerator = new RsaKeyGenerator(); goto fbee6; ad106: $siteEntity = $this->getSiteEntity($domainName); goto c48ac; dc47c: $siteUpdater->installCertificate($certificateEntity); goto Df5f7; C2ba0: $siteUpdater = $this->getSiteUpdater($site); goto Daf92; bd348: $siteUpdater = $this->getSiteUpdater($site); goto dc47c; c27bc: $certificateEntity->setCertificate($certificate->getCertificate()); goto E5b74; c7225: $this->siteEntityManager->updateEntity($siteEntity); goto Eaa7a; B363f: if (true === empty($validationErrors)) { goto fec97; } goto b7388; f700a: $letsEncryptClient->setDryRun(true); goto f80b1; E8b18: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto deaf0; b5e0f: $siteEntity->addCertificate($certificateEntity); goto c7225; c53e8: $siteUpdater = $this->getSiteUpdater($site); goto b32ef; b32ef: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Db3f2; D5aca: Dc834: goto fc3de; d4191: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\x73", $this->translator->trans("\103\145\x72\x74\151\146\151\x63\x61\164\x65\x20\150\x61\163\40\142\x65\x65\156\x20\x69\x6e\x73\x74\x61\x6c\x6c\145\x64\x2e")); goto Affd8; f2228: $certificateEntity = $this->certificateEntityManager->createEntity(); goto c49b8; fc3de: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\156\x20\145\162\162\157\x72\x20\x68\x61\x73\x20\x6f\x63\143\165\162\162\x65\x64\54\x20\x65\162\x72\x6f\x72\x20\155\x65\163\x73\x61\147\145\72\40\45\x65\162\x72\x6f\162\x4d\x65\x73\x73\141\x67\x65\x25", ["\x25\x65\162\162\157\x72\x4d\x65\x73\163\141\147\145\45" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto F12cb; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); F12cb: } goto c8faf; d8473: if (!(true === $form->isValid())) { goto f864a; } goto bfe0a; F5617: $this->formErrors = $this->getErrorMessages($form); goto Ce2ed; Ce2ed: } public function installCertificate(Request $request) : Response { goto Cfd72; B9aeb: try { goto E9a7f; E9a7f: $session = $request->getSession(); goto Aadac; a110f: $siteUpdater->installCertificate($certificateEntity); goto D1976; ff728: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto ef15f; C6bf2: $siteEntity = $this->getSiteEntity($domainName); goto Ce8cb; b53ef: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto Ccb2f; } goto b565e; ef15f: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\163", $this->translator->trans("\x43\x65\162\x74\x69\146\151\x63\141\164\x65\x20\x68\x61\163\x20\142\145\x65\156\x20\x69\156\163\x74\141\154\154\145\144\56")); goto Dc487; B859c: $evenData = ["\x73\151\164\x65" => $domainName]; goto ff728; b565e: $certificateSiteEntity = $certificateEntity->getSite(); goto e0fa3; D1976: $siteEntity->setCertificate($certificateEntity); goto E59dd; E59dd: $this->siteEntityManager->updateEntity($siteEntity); goto B859c; a52ab: $siteUpdater = $this->getSiteUpdater($site); goto a110f; E3f8f: return $response; goto D9e05; Dc487: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\x65\x5f\x63\145\x72\164\151\x66\x69\143\141\164\x65\x73", ["\x64\157\155\141\x69\156\116\141\155\x65" => $site->getDomainName()])); goto E3f8f; D9e05: af558: goto Bb4e9; e0fa3: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto af558; } goto dd2c4; Aadac: $uid = $request->get("\165\151\144"); goto Fff9c; Bb4e9: Ccb2f: goto F5f93; Fff9c: $domainName = $site->getDomainName(); goto C6bf2; dd2c4: $user = $this->getUser(); goto a52ab; Ce8cb: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto b53ef; F5f93: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\145\x72\x72\157\162\40\x68\141\163\40\157\143\x63\x75\162\x72\x65\x64\x2c\x20\x65\x72\x72\157\x72\x20\x6d\145\163\163\141\x67\145\x3a\x20\x25\145\x72\x72\157\x72\x4d\x65\163\163\141\x67\x65\45", ["\x25\x65\162\162\x6f\162\x4d\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } goto b5ff9; b5ff9: de009: goto D32bf; Cfd72: $site = $this->getSite($request); goto Ac4b8; Ac4b8: if (!(false === is_null($site))) { goto de009; } goto B9aeb; D32bf: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\x73")); goto f8d09; f8d09: return $response; goto bb985; bb985: } public function deleteCertificate(Request $request) : Response { goto B7ce8; B7ce8: $site = $this->getSite($request); goto A714e; f822f: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\x65\x73")); goto Ec01f; A714e: $this->checkCsrfToken($request, "\143\x65\x72\x74\x69\146\151\x63\x61\164\145\55\144\145\x6c\x65\x74\x65"); goto C40b0; b1b86: B08c8: goto f822f; Ec01f: return $response; goto c0b67; C40b0: if (!(false === is_null($site))) { goto B08c8; } goto fa8b4; fa8b4: try { goto a20e0; A7c0b: $evenData = ["\x73\151\x74\145" => $domainName]; goto A416b; F5134: $this->siteEntityManager->updateEntity($siteEntity); goto A7c0b; Ad0f8: fd4bd: goto cc391; c2bf0: $domainName = $site->getDomainName(); goto Cb24d; e0d4b: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto e1589; } goto c328a; c328a: $certificateSiteEntity = $certificateEntity->getSite(); goto fc0e2; A750c: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\x73", $this->translator->trans("\103\x65\x72\x74\151\146\151\143\141\164\145\40\x68\x61\163\x20\x62\145\x65\x6e\x20\x64\x65\x6c\145\164\x65\x64\56")); goto A7a9a; cc391: e1589: goto ba0f2; db386: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto e0d4b; Cb24d: $siteEntity = $this->getSiteEntity($domainName); goto db386; A07ae: return $response; goto Ad0f8; af865: $uid = $request->get("\165\x69\144"); goto c2bf0; a20e0: $session = $request->getSession(); goto af865; fc0e2: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto fd4bd; } goto e6b9c; A416b: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto A750c; e6b9c: $user = $this->getUser(); goto c6438; c6438: $siteEntity->removeCertificate($certificateEntity); goto F5134; A7a9a: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\x65\137\x63\145\162\x74\x69\146\x69\x63\x61\x74\145\163", ["\x64\x6f\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto A07ae; ba0f2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\x41\156\40\x65\x72\x72\157\162\x20\x68\x61\x73\40\157\143\143\x75\162\162\145\144\54\40\x65\162\x72\x6f\x72\x20\x6d\x65\163\x73\x61\x67\x65\x3a\x20\x25\145\162\x72\x6f\x72\115\145\x73\163\141\x67\145\x25", ["\x25\x65\162\x72\157\x72\x4d\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto b1b86; c0b67: } public function databases(Request $request) : Response { goto A8c10; c6171: return $response; goto fd883; Ab762: goto c7934; goto b2264; Ff79a: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); F88ba: } goto E9b02; c6ede: $databases = $site->getDatabases(); goto Ef9b1; Ab18f: $response = $this->render("\x46\x72\x6f\x6e\164\145\x6e\x64\57\123\x69\x74\x65\57\144\141\x74\141\x62\x61\x73\x65\x73\56\150\164\x6d\x6c\56\164\167\x69\147", ["\163\151\164\145" => $site, "\144\x61\164\141\142\141\163\x65\163" => $databases, "\156\165\x6d\142\145\162\117\x66\x44\x61\x74\141\x62\x61\x73\x65\x55\163\x65\x72\x73" => $numberOfDatabaseUsers, "\144\141\164\141\142\141\163\x65\123\x65\162\x76\145\x72" => $databaseServerEntity]); goto c4e76; E9b02: ee5fb: goto Ab18f; Ec13b: $numberOfDatabaseUsers = 0; goto Ff79a; E07ac: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\x65\x73")); goto Ab762; a6967: if (false === is_null($site)) { goto d6ffd; } goto E07ac; b2264: d6ffd: goto c6ede; c4e76: c7934: goto c6171; A8c10: $site = $this->getSite($request); goto a6967; Ef9b1: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ec13b; fd883: } public function newDatabase(Request $request) : Response { goto f65c7; Bbcd8: goto B6593; goto Cf1df; Cf1df: d0f70: goto e2103; f4738: Ca9bb: goto dbd7f; b3c92: if (!(true === $form->isSubmitted())) { goto Ca9bb; } goto c5efc; c154a: C1473: goto f4738; a0d6e: $response = $this->render("\x46\162\157\156\x74\x65\x6e\144\x2f\x53\x69\164\x65\57\x6e\145\x77\55\x64\141\164\141\142\x61\163\145\56\150\164\155\154\x2e\164\167\151\147", ["\x73\x69\x74\145" => $site, "\x66\157\x72\x6d" => $form->createView(), "\x66\157\x72\x6d\105\x72\x72\157\162\x73" => $this->formErrors]); goto e6c0c; ac812: return $response; goto c154a; c5efc: $response = $this->handleDatabaseForm($request, $form, $site); goto E6493; Ab23c: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto F7c74; } goto e7180; C8385: $databaseEntity->setSite($siteEntity); goto F8a01; dbd7f: F7c74: goto a0d6e; b62b8: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\163")); goto Bbcd8; E24c7: if (false === is_null($site)) { goto d0f70; } goto b62b8; E6493: if (!(false === is_null($response))) { goto C1473; } goto ac812; C9b24: return $response; goto Ba1f0; F8a01: $form = $this->createDatabaseForm($site, $databaseEntity); goto Ab23c; f65c7: $site = $this->getSite($request); goto E24c7; cac8b: $databaseEntity = $this->databaseEntityManager->createEntity(); goto C8385; e2103: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cac8b; e6c0c: B6593: goto C9b24; e7180: $form->handleRequest($request); goto b3c92; Ba1f0: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto Cd24f; D4162: return $form; goto Ae554; Cd24f: $form = $this->createForm("\x41\x70\x70\x5c\106\x6f\x72\155\x5c\123\x69\x74\145\x44\x61\x74\x61\x62\x61\163\x65\x54\x79\160\x65", $databaseEntity, ["\141\143\164\x69\157\156" => $this->generateUrl("\143\154\x70\x5f\163\151\164\145\137\144\x61\x74\141\x62\141\x73\145\137\x6e\145\x77", ["\144\x6f\x6d\141\151\156\x4e\141\155\145" => $site->getDomainName()]), "\155\145\164\x68\x6f\x64" => "\120\x4f\123\124", "\x61\164\164\162" => []]); goto a54dd; a54dd: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\141\163\163" => "\x62\164\156\x20\142\x74\156\x2d\142\x6c\x75\145\40\142\164\156\x2d\154\147"], "\x6c\x61\x62\145\154" => "\x41\x64\x64\40\x44\141\x74\141\142\141\x73\x65"]); goto D4162; Ae554: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto e0299; f99e0: goto F160f; goto c3c69; F5013: try { goto D2aa2; c71b6: $databaseEntity->addUser($databaseUserEntity); goto Bde40; e60dc: $session = $request->getSession(); goto fad59; A80a6: $databaseManager->createUser($databaseUserEntity); goto Efcf4; D961d: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto D2821; c28d3: $databaseManager->createDatabase($databaseEntity); goto A80a6; D2821: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto ffb0f; cc94a: $databaseUserEntity->setUserName($databaseUserName); goto D961d; ece3a: B8af2: goto ddef6; fad59: $domainName = $site->getDomainName(); goto c9125; Bde40: $siteEntity->addDatabase($databaseEntity); goto c28d3; f57b1: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto a7f85; c1079: $eventData = ["\163\x69\x74\145" => $domainName, "\x64\141\x74\x61\x62\141\163\x65" => $databaseEntity->getName(), "\144\141\164\141\x62\x61\x73\x65\x55\x73\145\x72\116\141\155\145" => $databaseUserEntity->getUserName()]; goto f57b1; Ad392: return $response; goto b0bf1; a7f85: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\163", $this->translator->trans("\104\x61\164\x61\x62\141\163\x65\40\x68\x61\163\40\x62\x65\145\x6e\40\141\144\144\x65\144\x2e")); goto F4c67; Cbf8a: Cdeb9: goto Ad392; ffb0f: $databaseUserEntity->setDatabase($databaseEntity); goto c71b6; F3985: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\145\137\144\x61\164\141\142\141\163\x65\137\156\x65\x77", ["\x64\x6f\x6d\x61\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto B8f8f; aa138: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto cc94a; A9af3: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e454a; B8f8f: goto Cdeb9; goto ece3a; c9125: $siteEntity = $this->getSiteEntity($domainName); goto a3a87; F4c67: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\145\x5f\x64\x61\164\x61\142\x61\163\145\163", ["\144\x6f\155\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto Cbf8a; Efcf4: $this->siteEntityManager->updateEntity($siteEntity); goto c1079; Ddc19: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Bb75b; Bb75b: $databaseEntity->setSite($siteEntity); goto Bc8ba; Bc8ba: $databaseUserName = $form->get("\x75\163\x65\x72\x4e\x61\155\145")->getData(); goto b0495; a3a87: if (false === is_null($siteEntity)) { goto B8af2; } goto F3985; D2aa2: $user = $this->getUser(); goto e60dc; ddef6: $databaseEntity = $form->getData(); goto A9af3; b0495: $databaseUserPassword = $form->get("\165\163\145\162\x50\x61\163\x73\x77\157\162\144")->getData(); goto aa138; e454a: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Ddc19; b0bf1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\x72\x20\x68\x61\x73\40\157\143\x63\x75\x72\x72\145\x64\54\40\145\162\x72\157\x72\x20\155\145\163\163\x61\147\x65\x3a\40\x25\145\162\162\157\x72\x4d\145\x73\x73\x61\147\x65\45", ["\45\x65\x72\162\x6f\x72\x4d\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto ea179; e0299: if (true === $form->isValid()) { goto Ca4ad; } goto D4ed3; c3c69: Ca4ad: goto F5013; D4ed3: $this->formErrors = $this->getErrorMessages($form); goto f99e0; ea179: F160f: goto f4469; f4469: } public function deleteDatabase(Request $request) : Response { goto b38ef; de7a1: return $response; goto ef0e9; Da430: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\x73")); goto d0a30; D908e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\x5f\144\x61\164\x61\142\141\163\145\x73", ["\144\x6f\155\x61\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto de7a1; F501e: if (!(false === is_null($site))) { goto E3059; } goto A80fc; b6ec0: $this->checkCsrfToken($request, "\x64\x61\164\x61\142\x61\x73\x65\x2d\x64\145\x6c\x65\164\x65"); goto F501e; d2ec6: try { goto F8b63; C7eba: $databaseManager = new DatabaseManager($databaseServerEntity); goto Aa7d8; aaa15: $session = $request->getSession(); goto B383a; B3004: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto De39f; B383a: $domainName = $site->getDomainName(); goto c46fb; De39f: $session->getFlashBag()->set("\163\165\143\x63\x65\163\163", $this->translator->trans("\104\x61\164\141\142\x61\x73\145\x20\x68\141\x73\x20\x62\x65\x65\156\x20\x64\145\x6c\x65\x74\145\144\x2e")); goto Adb71; c46fb: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C7eba; d4009: $siteEntity->removeDatabase($databaseEntity); goto be01b; Fe417: $eventData = ["\x73\151\x74\145" => $domainName, "\x64\x61\x74\141\142\x61\163\x65" => $databaseEntity->getName()]; goto B3004; be01b: $this->siteEntityManager->updateEntity($siteEntity); goto Fe417; F8b63: $user = $this->getUser(); goto aaa15; Aa7d8: $databaseManager->deleteDatabase($databaseEntity, true); goto d4009; Adb71: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\x72\40\x68\x61\163\40\157\143\143\165\x72\162\x65\144\x2c\40\145\x72\x72\157\x72\40\x6d\145\x73\163\x61\147\145\72\40\45\x65\162\x72\157\x72\x4d\x65\x73\163\x61\147\x65\45", ["\45\x65\x72\x72\157\162\x4d\145\163\163\141\x67\x65\45" => $e->getMessage()])); } goto D908e; b38ef: $site = $this->getSite($request); goto b6ec0; C34f5: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto dd87a; A80fc: $databaseName = $request->get("\x64\x61\164\141\142\141\x73\145\x4e\x61\x6d\145"); goto E9a87; E9a87: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto C34f5; dd87a: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto c4342; } goto d2ec6; E9c9c: E3059: goto Da430; ef0e9: c4342: goto E9c9c; d0a30: return $response; goto b60e8; b60e8: } public function phpMyAdmin(Request $request) : Response { goto D1663; a92b4: return $response; goto b2fc2; C707a: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\x65\163")); goto a92b4; Cb1d0: $response->headers->clearCookie("\x70\x6d\141\x41\165\x74\150\x2d\x31\x5f\150\164\x74\x70\x73"); goto E39de; e2e0a: goto d6d40; goto Feaef; Feaef: D0563: goto D98a7; d5ec6: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D8c5c; a65ea: f9f69: goto Eb445; d5a1b: if (!(false === is_null($site))) { goto c9965; } goto f17da; b0ef9: $response = new RedirectResponse($phpMyAdminUrl); goto d8fa4; A1810: $phpMyAdminUrl = sprintf("\150\164\x74\160\x73\x3a\57\x2f\x25\x73\72\45\x73\x2f\x70\150\160\x6d\171\x61\x64\155\x69\156\57\154\x6f\x67\x69\156\x2e\x70\x68\x70", $request->getHost(), $request->getPort()); goto d5a68; Ec0fc: d6d40: goto C707a; b1a29: Be35f: goto e2e0a; D8c5c: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto d01d4; } goto a960d; c3ea9: $session = $request->getSession(); goto F6385; d8fa4: $response->headers->clearCookie("\143\154\x70\x2d\160\x6d\141"); goto B6dde; Eb445: d01d4: goto A16de; F6385: if (false === is_null($domainName)) { goto D0563; } goto b2555; A16de: c9965: goto Ec0fc; f17da: $databaseUserName = $request->get("\x64\141\164\141\x62\x61\163\x65\x55\x73\145\x72\116\x61\155\x65"); goto D2414; a960d: $databaseEntity = $databaseUserEntity->getDatabase(); goto fade7; b2555: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Efdfa; D1663: $domainName = $request->get("\144\x6f\x6d\x61\151\x6e\116\141\x6d\145"); goto c3ea9; ecb7f: $data = ["\150\157\x73\x74" => $activeDatabaseServerEntity->getHost(), "\160\x6f\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto a4d08; b36da: $session->set("\x63\x6c\x70\x2d\x70\x6d\141", $data); goto d8210; B6dde: $response->headers->clearCookie("\x70\150\160\115\171\101\x64\x6d\151\x6e\x5f\150\x74\164\x70\x73"); goto Cb1d0; D2414: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto d5ec6; d8210: $response = new RedirectResponse($phpMyAdminUrl); goto A1cb7; Efdfa: if (!(false === is_null($activeDatabaseServerEntity))) { goto Be35f; } goto C668f; d5a68: $data = ["\150\157\163\x74" => $activeDatabaseServerEntity->getHost(), "\165\163\x65\162\116\x61\x6d\145" => $databaseUserEntity->getUserName(), "\x70\141\163\163\x77\x6f\x72\x64" => $databaseUserEntity->getDecryptedPassword(), "\160\157\x72\164" => $activeDatabaseServerEntity->getPort()]; goto b36da; E39de: $response->headers->clearCookie("\x53\x69\147\156\157\156\x53\x65\163\x73\x69\x6f\x6e"); goto Cbce2; C668f: $phpMyAdminUrl = sprintf("\x68\164\164\160\163\72\x2f\x2f\x25\163\x3a\45\163\x2f\x70\150\160\x6d\x79\x61\144\x6d\x69\x6e\x2f\x6c\157\x67\x69\156\56\160\x68\x70", $request->getHost(), $request->getPort()); goto ecb7f; fade7: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto f9f69; } goto A1810; A1cb7: return $response; goto a65ea; D98a7: $site = $this->getSite($request); goto d5a1b; a4d08: $session->set("\x63\x6c\x70\55\160\x6d\x61", $data); goto b0ef9; Cbce2: return $response; goto b1a29; b2fc2: } public function phpMyAdminLogout(Request $request) { goto e8dd2; e8dd2: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x73")); goto fad2d; fad2d: $response->headers->clearCookie("\x63\x6c\160\x2d\160\x6d\141"); goto cc455; cc455: $response->headers->clearCookie("\160\150\x70\115\x79\x41\x64\155\x69\x6e\x5f\150\164\x74\x70\163"); goto cc19c; f659c: $response->headers->clearCookie("\123\151\147\156\x6f\x6e\x53\145\x73\163\x69\x6f\x6e"); goto b909d; b909d: return $response; goto Df087; cc19c: $response->headers->clearCookie("\160\x6d\x61\101\165\x74\150\x2d\x31\137\x68\164\164\160\163"); goto f659c; Df087: } public function newDatabaseUser(Request $request) : Response { goto bd6a3; C30af: E2c59: goto F02d3; c0074: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto b2621; Fbd1d: if (count($databases) && false === is_null($siteEntity)) { goto E332d; } goto c01ae; F8a26: goto f0a5f; goto E275c; F02d3: f0a5f: goto b6c72; Cf2e0: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto d993a; } goto e8d06; e8d06: $form->handleRequest($request); goto F4428; ab1ab: E332d: goto c0074; E34fd: $siteEntity = $this->getSiteEntity($domainName); goto Fbd1d; F71eb: if (false === is_null($site)) { goto D762f; } goto C1f39; Cd7d8: return $response; goto Ff2a8; Ef2e5: $response = $this->render("\x46\162\x6f\x6e\x74\x65\156\144\x2f\123\151\x74\145\57\156\145\x77\55\x64\x61\164\141\142\x61\x73\x65\x2d\165\163\145\162\x2e\150\164\x6d\x6c\56\x74\x77\151\x67", ["\x73\x69\164\x65" => $site, "\x64\x61\164\141\x62\141\163\145\x55\163\145\x72" => $databaseUserEntity, "\x64\x61\x74\x61\142\x61\x73\x65\x73" => $databases, "\x66\x6f\x72\155" => $form->createView(), "\146\x6f\x72\x6d\x45\x72\x72\x6f\x72\x73" => $this->formErrors]); goto C30af; B5664: d993a: goto Ef2e5; bd6a3: $site = $this->getSite($request); goto F71eb; Fcfe2: $response = $this->handleDatabaseUserForm($request, $form, $site); goto C307b; C307b: if (!(false === is_null($response))) { goto f81f3; } goto Cd7d8; C1f39: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\x73")); goto F8a26; b6c72: return $response; goto f6337; b2621: $databaseUserEntity->setSite($siteEntity); goto c6eec; c7850: $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x4e\x6f\40\144\x61\164\x61\142\141\163\x65\x20\x66\x6f\165\156\x64\x3b\40\x63\162\145\x61\x74\145\x20\x61\x20\x64\x61\x74\141\142\x61\x73\145\40\x66\151\x72\x73\x74\56")); goto Da048; F0dc9: D3875: goto B5664; F03c0: goto E2c59; goto ab1ab; fd37b: $databases = $site->getDatabases(); goto E6e0f; Da048: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\x5f\144\141\164\141\142\141\163\145\x73", ["\x64\x6f\x6d\141\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto F03c0; E275c: D762f: goto fd37b; E6e0f: $domainName = $site->getDomainName(); goto E34fd; Ff2a8: f81f3: goto F0dc9; c01ae: $session = $request->getSession(); goto c7850; F4428: if (!(true === $form->isSubmitted())) { goto D3875; } goto Fcfe2; c6eec: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto Cf2e0; f6337: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto f293c; f293c: $form = $this->createForm("\x41\x70\160\134\x46\x6f\x72\155\x5c\x53\151\x74\145\104\x61\x74\x61\x62\141\x73\145\125\x73\145\162\x54\171\x70\145", $databaseUserEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\143\154\x70\137\163\x69\x74\x65\x5f\x64\x61\x74\141\142\x61\x73\145\137\165\163\145\x72\x5f\156\145\167", ["\144\x6f\155\x61\x69\x6e\116\x61\155\x65" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\x50\117\x53\124", "\141\x74\x74\x72" => []]); goto E6f00; Ac56f: return $form; goto a3ab2; E6f00: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\141\163\x73" => "\142\x74\156\40\142\164\x6e\55\x62\x6c\165\145\x20\142\164\156\x2d\x6c\x67"], "\x6c\141\x62\145\154" => "\101\x64\144\40\x44\x61\x74\x61\x62\141\x73\x65\40\125\163\145\x72"]); goto Ac56f; a3ab2: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto e8250; Dd538: Caa6e: goto a95d9; a9b4e: f882b: goto c1e05; e667d: $this->formErrors = $this->getErrorMessages($form); goto Ed798; e8250: if (true === $form->isValid()) { goto Caa6e; } goto e667d; a95d9: try { goto Ba8d8; A1245: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto E4682; F9b49: $siteEntity = $this->getSiteEntity($domainName); goto E9098; E9098: if (false === is_null($siteEntity)) { goto c4f52; } goto b73b1; Baa04: c4f52: goto Ac1df; a094b: $session = $request->getSession(); goto F6442; D0ce1: $databaseUserEntity->setPassword($encryptedPassword); goto F4cff; Ac1df: $databaseUserEntity = $form->getData(); goto F7c98; De193: b0595: goto Bd39e; F7c98: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto D0ce1; b7ca9: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto D319a; E4682: $databaseManager->createUser($databaseUserEntity); goto B5056; Afeb1: $databaseName = $databaseEntity->getName(); goto E3dd7; D319a: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\104\141\x74\141\x62\141\163\x65\40\x55\x73\145\162\x20\150\141\163\x20\x62\145\x65\156\40\x61\144\144\x65\144\56")); goto B8a8b; E82e1: $databaseEntity = $databaseUserEntity->getDatabase(); goto Afeb1; b73b1: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\x5f\x64\x61\164\x61\x62\141\x73\145\x5f\165\x73\145\162\137\x6e\145\167", ["\x64\x6f\155\141\151\x6e\116\141\155\145" => $site->getDomainName()])); goto C540c; B8a8b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\144\x61\164\x61\x62\141\163\145\163", ["\144\157\x6d\141\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto De193; F4cff: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A1245; F6442: $domainName = $site->getDomainName(); goto F9b49; B5056: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto E82e1; Ba8d8: $user = $this->getUser(); goto a094b; C540c: goto b0595; goto Baa04; E3dd7: $eventData = ["\163\151\164\x65" => $domainName, "\x64\x61\x74\x61\142\141\x73\x65\125\x73\x65\162\x4e\141\155\145" => $databaseUserEntity->getUserName(), "\160\145\162\x6d\151\163\163\151\x6f\x6e\163" => $databaseUserEntity->getPermissions(), "\144\141\164\141\x62\x61\x73\x65" => $databaseName]; goto b7ca9; Bd39e: return $response; goto c988b; c988b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\156\x20\x65\x72\162\157\x72\x20\150\141\x73\x20\157\143\143\x75\x72\x72\x65\x64\54\x20\145\x72\162\x6f\x72\40\155\x65\x73\x73\x61\x67\x65\x3a\x20\45\x65\x72\x72\x6f\x72\x4d\x65\163\163\x61\x67\x65\x25", ["\45\145\162\x72\157\162\x4d\x65\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto a9b4e; Ed798: goto f882b; goto Dd538; c1e05: } public function editDatabaseUser(Request $request) : Response { goto b4832; ea271: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto fbeba; D7b26: $siteEntity = $this->getSiteEntity($domainName); goto F320a; fbeba: if (!(false === is_null($response))) { goto f4cb8; } goto d99f8; C0d24: $databaseUserEntity->setPassword(''); goto eb221; caff3: f4cb8: goto dc62c; C9d47: if (false === is_null($site)) { goto dd2d1; } goto be66e; C3028: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\137\144\141\x74\141\x62\141\163\145\163", ["\x64\157\155\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto Cad7c; fdcd9: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto Cd986; A32d2: $session = $request->getSession(); goto B8d62; b7bb9: if (!(true === $form->isSubmitted())) { goto e57c4; } goto ea271; eb221: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto A0f7a; b4832: $site = $this->getSite($request); goto C9d47; aceac: ceff2: goto edda5; E5e14: a545f: goto aceac; F320a: if (count($databases) && false === is_null($siteEntity)) { goto bc48e; } goto A32d2; edda5: return $response; goto fc103; aff78: $domainName = $site->getDomainName(); goto D7b26; Ccbd7: $databaseUserName = $request->get("\144\x61\164\x61\x62\x61\163\145\x55\163\145\x72\116\x61\155\145"); goto fdcd9; Cad7c: goto a545f; goto f3ad7; dba48: $form->handleRequest($request); goto b7bb9; D2ddc: c7316: goto E5e14; B8d62: $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\x4e\157\x20\144\141\x74\x61\x62\141\x73\x65\40\146\x6f\165\156\144\73\40\143\x72\145\141\164\x65\x20\x61\x20\x64\x61\x74\x61\x62\x61\163\x65\x20\146\151\x72\x73\x74\56")); goto C3028; be66e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\x65\163")); goto eaef2; dc62c: e57c4: goto ea810; Edf0f: dd2d1: goto c4174; f3ad7: bc48e: goto Ccbd7; c4174: $databases = $site->getDatabases(); goto aff78; ea810: ddc6c: goto D0eae; D0eae: $response = $this->render("\106\162\x6f\x6e\x74\x65\156\x64\57\123\x69\x74\145\x2f\145\144\151\x74\55\144\x61\x74\141\142\x61\163\x65\55\165\163\x65\x72\x2e\x68\x74\x6d\154\x2e\164\167\151\147", ["\x73\151\x74\145" => $site, "\x64\141\164\141\142\141\163\x65\125\163\x65\x72" => $databaseUserEntity, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\157\162\x6d\105\x72\x72\157\162\x73" => $this->formErrors]); goto D2ddc; d99f8: return $response; goto caff3; eaef2: goto ceff2; goto Edf0f; Cd986: if (!(false === is_null($databaseUserEntity))) { goto c7316; } goto C0d24; A0f7a: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto ddc6c; } goto dba48; fc103: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto f652b; c2004: return $form; goto df5ba; f652b: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\x72\x6d\134\123\x69\164\145\x44\x61\x74\x61\x62\x61\163\x65\x55\163\145\162\x45\x64\151\164\124\x79\160\145", $databaseUserEntity, ["\x61\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\137\144\x61\x74\x61\x62\141\163\x65\137\x75\x73\x65\162\137\145\144\151\x74", ["\144\x6f\155\141\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName(), "\144\141\164\x61\x62\x61\163\x65\125\x73\x65\162\116\141\x6d\145" => $databaseUserEntity->getUserName()]), "\x6d\x65\x74\x68\157\144" => "\120\x4f\x53\x54", "\141\164\x74\162" => []]); goto Abffb; Abffb: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\154\141\x73\x73" => "\142\164\x6e\x20\142\x74\156\x2d\x62\154\165\145\40\142\164\x6e\x2d\154\147"], "\x6c\x61\142\x65\154" => "\123\141\166\x65"]); goto c2004; df5ba: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto A20f2; da113: F5c7a: goto c8222; Fc634: goto D8a04; goto da113; df002: $this->formErrors = $this->getErrorMessages($form); goto Fc634; Fefbc: D8a04: goto C2fa7; A20f2: if (true === $form->isValid()) { goto F5c7a; } goto df002; c8222: try { goto f486e; f4ba4: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\163", $this->translator->trans("\x44\x61\x74\141\142\141\163\145\40\125\x73\x65\162\x20\150\x61\163\x20\142\145\x65\x6e\40\x75\160\144\141\x74\x65\x64\56")); goto d4f66; C5643: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto C5f34; ae2d9: if (false === is_null($siteEntity)) { goto ef66f; } goto E720e; adb1f: ef66f: goto d06a8; E2e58: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto C57a6; C57a6: $databaseEntity = $databaseUserEntity->getDatabase(); goto Ec450; c1401: return $response; goto Ef8a9; C5f34: $databaseUserEntity->setPassword($encryptedPassword); goto f5dd7; Ec450: $databaseName = $databaseEntity->getName(); goto f50d5; d4f66: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\145\x5f\x64\141\164\x61\142\x61\163\x65\163", ["\x64\x6f\155\x61\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto C69ea; C69ea: fe86b: goto c1401; F3081: goto fe86b; goto adb1f; F34d0: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto B582d; f5dd7: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F34d0; f50d5: $eventData = ["\x73\151\x74\145" => $domainName, "\x64\141\164\x61\142\x61\x73\x65\x55\163\145\x72\x4e\x61\155\x65" => $databaseUserEntity->getUserName(), "\x70\145\162\155\151\x73\x73\x69\x6f\156\163" => $databaseUserEntity->getPermissions(), "\x64\141\164\141\x62\x61\163\x65" => $databaseName]; goto B37c6; E720e: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\145\x5f\x64\x61\164\x61\142\x61\163\x65\137\x75\163\145\x72\137\156\x65\167", ["\144\157\x6d\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto F3081; B582d: $databaseManager->createUser($databaseUserEntity); goto E2e58; d06a8: $databaseUserEntity = $form->getData(); goto C5643; c8dd5: $session = $request->getSession(); goto bfff3; bfff3: $domainName = $site->getDomainName(); goto a3d5e; a3d5e: $siteEntity = $this->getSiteEntity($domainName); goto ae2d9; f486e: $user = $this->getUser(); goto c8dd5; B37c6: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto f4ba4; Ef8a9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\162", $this->translator->trans("\101\x6e\x20\145\162\162\x6f\162\x20\150\x61\x73\40\157\143\x63\x75\x72\x72\x65\x64\x2c\x20\x65\162\x72\x6f\162\x20\155\x65\x73\x73\x61\147\x65\x3a\x20\x25\x65\x72\162\157\x72\x4d\145\163\x73\x61\147\x65\45", ["\x25\x65\162\162\x6f\162\115\x65\163\163\141\x67\x65\45" => $e->getMessage()])); } goto Fefbc; C2fa7: } public function deleteDatabaseUser(Request $request) : Response { goto ade77; Eca3c: Dc544: goto E3f03; b17ab: $databaseUserName = $request->get("\x64\x61\164\141\142\x61\163\145\125\163\x65\162\116\x61\x6d\145"); goto bd9e4; fba1d: if (!(false === is_null($site))) { goto Dc544; } goto b17ab; C0526: return $response; goto Dc9b8; Bd682: $this->checkCsrfToken($request, "\144\141\164\x61\142\x61\x73\145\x2d\165\163\145\162\x2d\144\145\x6c\x65\164\145"); goto fba1d; B2b19: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\x5f\144\x61\x74\x61\142\x61\163\x65\163", ["\x64\157\155\141\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto fb473; E3f03: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\163")); goto C0526; ade77: $site = $this->getSite($request); goto Bd682; fb473: return $response; goto bd09d; afc80: if (!(false === is_null($databaseUserEntity))) { goto Ee492; } goto A51ea; A51ea: try { goto daa37; C4835: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto Bcbe2; } goto Af682; E7f81: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto D339d; Af682: $user = $this->getUser(); goto A5ef8; f2ac7: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto d4bf2; daa37: $databaseEntity = $databaseUserEntity->getDatabase(); goto C4835; D339d: Bcbe2: goto f8ce1; A9378: $eventData = ["\163\x69\164\x65" => $domainName, "\x64\x61\x74\141\x62\141\x73\145\125\x73\x65\162\x4e\141\155\145" => $databaseUserName]; goto E7f81; A4edf: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto b2570; d4bf2: $session->getFlashBag()->set("\x73\165\143\143\x65\163\163", $this->translator->trans("\x44\141\164\x61\x62\141\163\145\x20\x55\163\145\162\x20\150\141\163\x20\x62\145\x65\156\x20\x64\x65\x6c\x65\x74\145\144\56")); goto A9378; d4d2b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A4edf; D314c: $session = $request->getSession(); goto d4d2b; b2570: $databaseManager->deleteUser($databaseUserEntity); goto f2ac7; A5ef8: $domainName = $site->getDomainName(); goto D314c; f8ce1: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\101\156\x20\x65\x72\162\157\162\40\150\x61\163\x20\157\x63\x63\165\162\162\x65\x64\54\x20\x65\x72\162\x6f\x72\40\155\x65\x73\163\141\x67\x65\72\x20\x25\x65\162\x72\157\x72\x4d\145\x73\x73\141\x67\145\45", ["\x25\x65\x72\x72\x6f\162\115\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto B2b19; bd9e4: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto afc80; bd09d: Ee492: goto Eca3c; Dc9b8: } public function varnishCache(Request $request) : Response { goto B0b58; D9fb7: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto A7e84; Dc1dd: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto F5f06; } goto De73f; c8dd6: fe177: goto c8365; c5a4b: if (!(true === $settingsForm->isSubmitted())) { goto f2e89; } goto D9fb7; Ceaa2: Feb2a: goto e885a; cd988: if (false === is_null($site) && true === $site->getVarnishCache()) { goto Ef9e3; } goto D55eb; e99ac: return $response; goto Ceaa2; c1a4a: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto A3183; e885a: f2e89: goto D506b; D6f9f: F5f06: goto fe76f; De73f: $settingsForm->handleRequest($request); goto C9941; Fbfa9: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto d07fd; Dd556: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto E0b96; C9941: $purgeCacheForm->handleRequest($request); goto c5a4b; D506b: if (!(true === $purgeCacheForm->isSubmitted())) { goto c966f; } goto Dd556; ee993: goto a5f3c; goto D3d0e; D55eb: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\x73")); goto ee993; a6e4c: a5f3c: goto Fd8b7; A7e84: if (!(false === is_null($response))) { goto Feb2a; } goto e99ac; Fd8b7: return $response; goto C423d; A3183: $varnishCacheSettingsData = ["\151\x73\x45\x6e\141\142\x6c\145\x64" => true === isset($varnishCacheSettings["\x65\156\x61\142\x6c\x65\x64"]) && true === $varnishCacheSettings["\145\x6e\x61\142\154\x65\144"] ? true : false, "\163\x65\162\x76\x65\x72" => true === isset($varnishCacheSettings["\x73\x65\x72\x76\145\x72"]) ? $varnishCacheSettings["\x73\145\x72\x76\x65\x72"] : "\61\62\x37\x2e\x30\x2e\60\x2e\61\x3a\x36\60\x38\x31", "\x63\141\143\x68\x65\124\141\x67\120\162\x65\146\151\x78" => true === isset($varnishCacheSettings["\143\141\x63\x68\x65\x54\x61\x67\120\162\145\146\x69\x78"]) ? $varnishCacheSettings["\x63\x61\143\150\145\x54\141\147\x50\162\x65\x66\151\x78"] : substr(md5(time()), 0, 4), "\143\141\143\x68\145\x4c\x69\x66\145\164\x69\155\145" => true === isset($varnishCacheSettings["\x63\x61\x63\150\145\114\x69\x66\145\164\x69\155\145"]) ? $varnishCacheSettings["\143\141\x63\150\145\x4c\x69\146\x65\164\151\155\145"] : "\66\x30\64\x38\60\x30", "\x65\x78\x63\154\165\x64\145\144\x50\141\x72\141\x6d\163" => true === isset($varnishCacheSettings["\145\170\x63\x6c\x75\x64\x65\x64\120\141\162\141\x6d\163"]) ? implode("\54", $varnishCacheSettings["\145\170\x63\x6c\165\x64\145\144\120\141\x72\141\x6d\x73"]) : "\x5f\137\x53\x49\x44\x2c\x6e\157\103\x61\143\x68\x65\x2c", "\x65\x78\x63\154\x75\144\145\x73" => true === isset($varnishCacheSettings["\x65\170\x63\154\x75\144\x65\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\x78\x63\154\165\x64\145\163"]) : '']; goto Fbfa9; c8365: c966f: goto D6f9f; D3d0e: Ef9e3: goto c1a4a; d07fd: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto Dc1dd; B0b58: $site = $this->getSite($request); goto cd988; fe76f: $response = $this->render("\106\162\x6f\x6e\x74\145\156\x64\57\123\151\x74\145\x2f\166\x61\x72\x6e\151\163\150\x2d\x63\141\143\x68\145\56\x68\164\x6d\154\x2e\164\167\151\147", ["\x73\x69\x74\x65" => $site, "\x73\145\164\164\151\156\147\x73\106\157\x72\155" => $settingsForm->createView(), "\x70\165\x72\x67\145\x43\x61\143\150\x65\x46\157\162\x6d" => $purgeCacheForm->createView(), "\146\x6f\162\x6d\105\162\162\x6f\162\x73" => $this->formErrors]); goto a6e4c; Df372: return $response; goto c8dd6; E0b96: if (!(false === is_null($response))) { goto fe177; } goto Df372; C423d: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto a1f33; fe7b0: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\x61\163\163" => "\142\x74\x6e\x20\x62\x74\x6e\55\142\x6c\165\145\40\142\164\156\55\x6c\147"], "\154\x61\x62\x65\154" => "\x53\x61\166\145"]); goto A5be8; A5be8: return $form; goto E66ad; a1f33: $form = $this->createForm("\101\x70\160\134\x46\157\162\x6d\134\123\151\164\145\126\141\162\156\151\163\150\103\141\143\150\x65\123\145\164\164\151\x6e\147\x73\x54\x79\x70\x65", $data, ["\x61\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x5f\166\141\162\156\x69\x73\x68\137\x63\x61\143\150\x65", ["\144\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\157\144" => "\x50\117\x53\124", "\x61\x74\x74\x72" => []]); goto fe7b0; E66ad: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto fe7a0; Ef130: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\x61\x73\x73" => "\x62\164\x6e\x20\142\x74\156\55\142\x6c\x75\145\x20\142\164\156\55\x6c\x67"], "\x6c\141\142\x65\x6c" => "\x50\x75\162\147\x65\x20\103\x61\143\150\145"]); goto D3f7a; fe7a0: $form = $this->createForm("\x41\x70\160\134\106\x6f\x72\155\x5c\x53\x69\x74\145\x56\141\x72\x6e\x69\x73\150\x43\141\x63\x68\x65\120\x75\x72\x67\145\103\x61\x63\x68\x65\124\171\160\x65", ["\x73\x69\x74\145" => $site], ["\141\x63\164\151\157\156" => $this->generateUrl("\x63\x6c\160\137\163\151\x74\145\137\166\x61\x72\x6e\151\x73\150\x5f\143\x61\143\x68\145", ["\144\157\155\x61\151\x6e\116\x61\155\145" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\x64" => "\x50\x4f\123\x54", "\x61\164\x74\x72" => []]); goto Ef130; D3f7a: return $form; goto db9f7; db9f7: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto C1ed7; B21e1: Cb135: goto ba922; C4e0d: goto Cb135; goto ead49; C1ed7: if (true === $form->isValid()) { goto d0c00; } goto cf58e; ead49: d0c00: goto E967a; E967a: try { goto c02fe; Ba90f: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\x73")); goto D2ba6; bc4ac: $server = $form->get("\163\x65\162\x76\x65\162")->getData(); goto a1b3d; Ac724: b0b92: goto dd5bf; b8744: $domainName = $site->getDomainName(); goto Cb2c7; c02fe: $session = $request->getSession(); goto b8744; C85e8: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto c890d; a1b3d: $cacheLifetime = $form->get("\143\141\x63\x68\145\x4c\x69\146\145\x74\x69\155\x65")->getData(); goto E7fec; Aa811: if (false === is_null($siteEntity)) { goto b0b92; } goto Ba90f; C3b63: $isEnabled = $form->get("\151\163\x45\156\x61\x62\x6c\145\144")->getData(); goto bc4ac; D3087: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\x5f\166\x61\x72\x6e\x69\163\150\x5f\143\141\143\x68\x65", ["\144\157\x6d\x61\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto eb128; acbef: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto af9eb; eb128: Cd1b4: goto E15fe; af9eb: $siteUpdater->phpSettings(); goto B05b7; c8853: $siteUpdater = $this->getSiteUpdater($site); goto acbef; A5bb7: $excludedParams = array_map("\164\162\x69\155", array_filter(explode("\x2c", trim($form->get("\145\170\143\154\165\x64\145\x64\x50\x61\162\x61\155\163")->getData())))); goto E03d9; E7fec: $cacheTagPrefix = $form->get("\143\x61\143\150\x65\x54\x61\x67\120\162\x65\x66\x69\170")->getData(); goto A5bb7; c890d: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\x73", $this->translator->trans("\x56\141\x72\156\151\163\150\x20\x43\x61\143\x68\x65\x20\x53\145\x74\164\151\x6e\x67\x73\40\x68\141\166\x65\x20\x62\145\145\156\40\x73\141\166\x65\x64\56")); goto D3087; Cb2c7: $siteEntity = $this->getSiteEntity($domainName); goto Aa811; D2ba6: goto Cd1b4; goto Ac724; B05b7: $eventData = ["\163\x69\x74\145" => $domainName, "\x76\141\x72\x6e\151\x73\150\x43\141\x63\150\145\105\156\141\x62\154\x65\x64" => $isEnabled, "\x73\145\162\166\145\x72" => $server, "\143\141\143\x68\x65\124\141\x67\x50\162\145\146\x69\x78" => $cacheTagPrefix, "\x63\141\x63\150\145\114\x69\x66\x65\164\151\x6d\x65" => $cacheLifetime, "\x65\x78\x63\154\165\x64\145\163" => $excludes, "\145\x78\x63\x6c\x75\144\x65\x64\x50\141\x72\141\155\163" => $excludedParams]; goto C85e8; E15fe: return $response; goto adaef; eb9cb: $varnishCacheSettings = ["\145\156\x61\x62\154\x65\144" => $isEnabled, "\163\x65\162\166\x65\162" => $server, "\x63\x61\143\x68\145\x54\141\x67\x50\162\145\x66\151\x78" => $cacheTagPrefix, "\143\141\143\150\x65\114\151\x66\145\x74\x69\155\145" => $cacheLifetime, "\x65\170\x63\x6c\x75\x64\145\x73" => $excludes, "\x65\x78\143\x6c\165\144\x65\144\120\x61\162\141\x6d\163" => $excludedParams]; goto bb943; bb943: $site->setVarnishCacheSettings($varnishCacheSettings); goto c8853; E03d9: $excludes = array_map("\164\x72\151\155", array_filter(explode(PHP_EOL, trim($form->get("\x65\170\x63\154\x75\x64\145\x73")->getData())))); goto eb9cb; dd5bf: $user = $this->getUser(); goto C3b63; adaef: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\101\x6e\40\145\162\162\x6f\x72\40\150\x61\163\40\x6f\143\143\x75\162\x72\145\144\54\x20\145\x72\x72\157\x72\40\x6d\x65\x73\x73\x61\x67\x65\72\40\x25\145\162\162\157\162\115\x65\x73\163\x61\147\145\45", ["\x25\145\x72\x72\157\162\115\x65\x73\x73\141\147\145\x25" => $e->getMessage()])); } goto B21e1; cf58e: $this->formErrors = $this->getErrorMessages($form); goto C4e0d; ba922: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto c2bd6; B857e: A0248: goto Ef119; d930a: goto A0248; goto d9881; c2bd6: if (true === $form->isValid()) { goto de35e; } goto f8d31; f8d31: $this->formErrors = $this->getErrorMessages($form); goto d930a; d097f: try { goto b19a4; A8259: goto a9047; goto Ad800; D3409: $varnishCacheClient = new VarnishCacheClient(); goto cf483; d71cb: return $response; goto B441c; b7fb4: $session->getFlashBag()->set("\163\x75\143\143\x65\163\163", $this->translator->trans("\126\x61\162\x6e\x69\163\x68\x20\103\141\143\x68\145\x20\150\x61\163\40\142\145\145\x6e\40\x70\x75\162\147\145\x64\x2e")); goto aa111; F306a: $domainName = $site->getDomainName(); goto d7142; d7142: $siteEntity = $this->getSiteEntity($domainName); goto C6462; bd2f3: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\145\x73")); goto A8259; A51b8: B201c: goto bfaa0; Ad800: be37b: goto c4f06; e438e: a9047: goto d71cb; C6511: throw new \Exception("\x56\x61\x72\x6e\151\x73\150\40\103\141\x63\x68\x65\40\x53\145\164\x74\151\x6e\x67\163\x20\143\141\x6e\156\157\x74\40\142\x65\x20\x65\155\160\x74\171\56"); goto c2d51; c2d51: goto B201c; goto bc93a; e2a8d: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto b7fb4; B4454: $purgeValues = array_map("\164\x72\151\x6d", array_filter(explode("\x2c", trim($form->get("\166\141\154\165\145")->getData())))); goto ba6cd; cf483: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\162\166\x65\x72"]); goto D3caf; acf1e: f805e: goto A51b8; b91cc: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto B4454; D3caf: foreach ($purgeValues as $purgeValue) { goto dde72; F6032: $varnishCacheClient->purgeTag($purgeValue); goto c1050; a158d: b6cde: goto efa0a; Da08e: if (!(false === empty($purgeValue))) { goto b6cde; } goto Bab2d; Bab2d: if (true === str_starts_with($purgeValue, "\150\164\164\160")) { goto C9277; } goto F6032; efa0a: E9fa4: goto a3efc; d3a05: C7d71: goto a158d; dde72: $purgeValue = trim($purgeValue); goto Da08e; c1050: goto C7d71; goto e5e94; e5e94: C9277: goto b95e6; b95e6: $varnishCacheClient->purgeUrl($purgeValue); goto d3a05; a3efc: } goto acf1e; ba6cd: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\x73\145\x72\166\x65\162"]) && false === empty($varnishCacheSettings["\x73\145\162\x76\145\162"])) { goto B16d9; } goto C6511; bc93a: B16d9: goto D3409; aa111: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\x5f\166\x61\162\x6e\x69\163\x68\137\x63\x61\x63\150\x65", ["\144\x6f\155\141\151\156\116\x61\155\145" => $site->getDomainName()])); goto e438e; c4f06: $user = $this->getUser(); goto b91cc; b19a4: $session = $request->getSession(); goto F306a; C6462: if (false === is_null($siteEntity)) { goto be37b; } goto bd2f3; bfaa0: $eventData = ["\163\x69\x74\145" => $domainName, "\166\141\154\165\x65\x73" => implode("\x2c", $purgeValues)]; goto e2a8d; B441c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\x41\156\x20\x65\x72\162\157\x72\x20\x68\141\163\40\x6f\x63\143\165\162\x72\x65\144\x2c\40\145\x72\x72\x6f\x72\x20\155\x65\163\163\141\147\145\72\x20\45\x65\162\162\157\x72\x4d\145\163\163\141\x67\145\x25", ["\45\145\162\x72\x6f\162\115\145\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto B857e; d9881: de35e: goto d097f; Ef119: } public function purgeVarnishCache(Request $request) : Response { goto Dea6c; A2174: try { goto F2092; Ab1a9: $varnishCacheClient->purgeHost($domainName); goto a305d; bc33d: $varnishCacheClient->purgeTag($cacheTagPrefix); goto Ab1a9; e126f: $session = $request->getSession(); goto cbf24; a305d: d5d6c: goto A6e34; D75d6: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\x73", $this->translator->trans("\x56\141\162\156\x69\163\x68\40\103\141\143\150\145\40\x68\141\x73\40\142\145\x65\x6e\x20\x70\165\162\x67\145\144\x2e")); goto e4911; c41c9: $varnishCacheClient = new VarnishCacheClient(); goto Af712; A6e34: $eventData = ["\163\x69\164\x65" => $domainName, "\x70\165\x72\x67\x65" => "\x66\165\x6c\x6c"]; goto D44d0; Af712: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\x72\x76\x65\162"]); goto bc33d; f987a: $cacheTagPrefix = $varnishCacheSettings["\143\x61\143\x68\145\124\x61\x67\120\162\x65\x66\x69\x78"]; goto c41c9; A6c11: if (!(true === isset($varnishCacheSettings["\x73\x65\x72\166\145\x72"]) && true === isset($varnishCacheSettings["\143\141\143\150\x65\124\141\147\120\162\x65\x66\151\x78"]) && false === empty($varnishCacheSettings["\143\x61\143\150\145\x54\141\147\x50\x72\145\x66\x69\x78"]))) { goto d5d6c; } goto f987a; F2092: $user = $this->getUser(); goto e126f; D44d0: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto D75d6; f6f5b: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto A6c11; cbf24: $domainName = $site->getDomainName(); goto f6f5b; e4911: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\101\156\x20\145\162\162\x6f\x72\40\x68\x61\x73\x20\x6f\143\x63\x75\162\x72\x65\144\54\40\x65\x72\x72\157\x72\x20\x6d\x65\163\163\x61\x67\x65\x3a\x20\45\145\162\162\157\x72\x4d\145\x73\x73\x61\147\x65\x25", ["\45\x65\x72\x72\157\162\x4d\145\x73\163\x61\147\x65\x25" => $e->getMessage()])); } goto dac23; A6a68: Ce87a: goto f27aa; Dea6c: $site = $this->getSite($request); goto ad5ac; dac23: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\x65\137\x76\141\162\156\151\x73\x68\x5f\143\x61\143\150\145", ["\144\157\155\x61\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto cbdf3; Cee9f: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\x73")); goto Bfd6f; f27aa: return $response; goto e2dd8; Bfd6f: goto Ce87a; goto Ee65b; Ee65b: Fbc47: goto A2174; cbdf3: return $response; goto A6a68; ad5ac: if (false === is_null($site)) { goto Fbc47; } goto Cee9f; e2dd8: } public function vhost(Request $request) : Response { goto bc09e; B3dce: return $response; goto Cc8b1; Caae2: return $response; goto ad8a1; da37d: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto Aee91; bc09e: $site = $this->getSite($request); goto fadaa; a5ec8: $site->setVhostTemplate($vhostTemplate); goto da37d; ca74c: throw new InvalidCsrfTokenException("\124\x68\x65\x20\x43\x53\x52\106\x20\x74\157\153\x65\156\x20\151\x73\40\x69\156\166\x61\154\x69\144\56"); goto E79d9; E79d9: aaa20: goto D70f2; Fcf40: D9bce: goto e4f3d; Fa1f6: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto a5ec8; e4f3d: $response = $this->render("\106\x72\x6f\x6e\164\x65\x6e\x64\57\x53\151\x74\145\57\x76\x68\157\x73\164\x2e\150\x74\155\154\x2e\x74\167\151\147", ["\x73\151\164\145" => $site]); goto d84ba; Ec25f: if (!(false === $isCsrfTokenValid)) { goto aaa20; } goto ca74c; d84ba: C085a: goto B3dce; a2e80: if (!(false === empty($vhostTemplate))) { goto b233f; } goto aa1bd; c034b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\145\163")); goto D087f; E3b39: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto D9bce; } goto db0e8; aa1bd: $domainName = $site->getDomainName(); goto efc0d; Ff06b: b233f: goto Fcf40; D087f: goto C085a; goto dc7b2; efc0d: $siteEntity = $this->getSiteEntity($domainName); goto Fa1f6; Aee91: if (!(false === is_null($response))) { goto aecea; } goto Caae2; db0e8: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\x68\x6f\x73\164\x2d\x75\160\144\x61\164\145", (string) $request->get("\x74\157\153\145\156")); goto Ec25f; ad8a1: aecea: goto Ff06b; fadaa: if (false === is_null($site)) { goto D0849; } goto c034b; dc7b2: D0849: goto E3b39; D70f2: $vhostTemplate = trim($request->get("\166\150\157\x73\164\x2d\164\145\155\x70\x6c\141\164\145")); goto a2e80; Cc8b1: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto f5584; f5584: $user = $this->getUser(); goto Cab65; c964e: $siteUpdater = $this->getSiteUpdater($site); goto E385d; Ceebc: if (!(true === str_contains($site->getVhostTemplate(), "\144\151\163\x61\142\x6c\x65\137\x73\171\x6d\154\x69\x6e\153\163"))) { goto Aaec7; } goto a36a4; Ed1f8: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto Ba526; Ba526: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\137\x76\x68\x6f\163\164", ["\144\157\x6d\x61\151\x6e\x4e\141\x6d\x65" => $domainName])); goto c9fbd; E385d: $siteUpdater->updateNginxVhostWithRollback(); goto e4e78; b2a55: $domainName = $site->getDomainName(); goto Debb9; f3bf2: $this->siteEntityManager->updateEntity($siteEntity); goto F4296; ab806: Aaec7: goto b2a55; ea1da: $eventData = ["\x73\151\164\145" => $domainName, "\166\x68\157\x73\164" => $vhostTemplate, "\x6f\x6c\x64\x56\x68\157\163\x74" => $oldVhostTemplate]; goto Ed1f8; Cab65: $session = $request->getSession(); goto Ceebc; c9fbd: return $response; goto D5452; F4296: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\x73", $this->translator->trans("\x56\150\157\163\164\x20\x68\x61\163\x20\142\x65\x65\x6e\x20\163\x61\x76\145\x64\56")); goto ea1da; e4e78: $siteEntity->setVhostTemplate($vhostTemplate); goto f3bf2; a36a4: throw new InvalidVhostException("\x64\151\163\x61\x62\154\x65\x5f\163\x79\x6d\x6c\151\156\x6b\x73\40\151\163\x20\x6e\x6f\164\x20\x61\x6c\154\157\x77\145\x64\x2e"); goto ab806; Debb9: $vhostTemplate = $site->getVhostTemplate(); goto c964e; D5452: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\126\x68\157\x73\x74\40\151\x73\x20\x6e\157\164\40\166\141\154\151\144\54\x20\x65\x72\162\x6f\162\40\155\x65\163\163\x61\x67\145\72\40\45\x65\162\162\157\x72\x4d\145\x73\163\x61\x67\145\45", ["\x25\145\162\162\x6f\162\x4d\145\x73\x73\x61\x67\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\x41\x6e\x20\145\x72\162\x6f\x72\x20\150\141\163\40\157\143\143\x75\x72\162\x65\144\54\40\145\162\x72\x6f\x72\40\x6d\145\x73\163\x61\147\x65\x3a\40\45\x65\162\162\x6f\162\115\145\x73\x73\141\147\145\x25", ["\x25\x65\x72\162\157\x72\x4d\145\x73\x73\141\x67\x65\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto fc46c; D3f36: if (!(true === $phpSettingsForm->isSubmitted())) { goto C0d3e; } goto C1b45; C9a4f: f3075: goto D6ae0; Be004: eec14: goto ca7d4; Bcb7a: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto eaff9; C3e44: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto F9374; bf25e: Cfc9a: goto Dea48; a1d21: if (false === is_null($site)) { goto f3075; } goto D1c83; ef732: $pageSpeedSettingsForm->handleRequest($request); goto d89a0; b02b4: d85d9: goto Ecec6; e2aad: if (!(true === $siteDeleteForm->isSubmitted())) { goto e853e; } goto b4dfa; ca017: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto Aab1e; } goto Cbd85; fb27c: if (!(false === is_null($response))) { goto d85d9; } goto C01e9; fc46c: $site = $this->getSite($request); goto a1d21; Fd0e1: if (!(false === is_null($response))) { goto a6b77; } goto f6b44; e4ac0: $reverseProxySettingsForm->handleRequest($request); goto f6d00; d85d3: F3360: goto Ad23e; Dea48: af7f2: goto cdf4b; D2962: if (!(false === is_null($response))) { goto Df688; } goto Fe4c6; Eb81b: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto Ed583; } goto Acb83; A093a: if (!(true === $domainSettingsForm->isSubmitted())) { goto e49ff; } goto Bcb7a; Ecec6: d29a1: goto Dcaee; cd822: E292b: goto Ceaaa; B35fa: unset($parameters["\x70\141\147\x65\x53\x70\x65\x65\x64\123\145\164\164\x69\x6e\x67\163\106\x6f\162\x6d"]); goto edbbb; d8363: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto fb27c; cd84e: $currentNodeSettings = clone $nodejsSettings; goto Ce6f0; c0b07: $pythonSettings = $site->getPythonSettings(); goto Dfa55; d322a: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto Fd0e1; eec79: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto a676d; e8c40: Abc67: goto ca017; E67af: $siteUserSettingsForm->handleRequest($request); goto fb6f3; Fc42a: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto f1d64; } goto a7cda; a378c: Ed583: goto e6cb2; Fc78f: $parameters["\x70\x79\x74\150\157\156\x53\x65\164\x74\x69\x6e\147\163\x46\x6f\162\x6d"] = $pythonSettingsForm->createView(); goto e8c40; C1b45: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto D2962; f6b44: return $response; goto b307b; cfe0f: if (!(false === is_null($response))) { goto D2deb; } goto f3cf5; Ff099: $response = $this->render("\x46\x72\x6f\x6e\x74\145\156\x64\57\123\151\x74\x65\x2f\x73\x65\164\x74\151\x6e\147\163\56\150\x74\x6d\154\x2e\x74\167\151\x67", $parameters); goto cd822; db60c: Aa417: goto Ea7aa; a676d: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto de6e4; } goto B20bd; C01e9: return $response; goto b02b4; E54d2: if (!(false === is_null($response))) { goto F3360; } goto Dbca0; Faf05: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto a01b7; } goto cd84e; B7471: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto eec14; } goto ee532; ee532: $nodejsSettings = $site->getNodejsSettings(); goto bfd2a; b56f4: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto ad4d3; } goto c2128; f2843: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto B184f; f6d00: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto Cfc9a; } goto d322a; B9a21: f1d64: goto B5941; Fe4c6: return $response; goto A4edb; Ce378: goto E292b; goto C9a4f; Bc58e: $siteDeleteData = ["\x64\x6f\155\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()]; goto d5251; B184f: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto f63b9; D7c63: $pythonSettingsForm->handleRequest($request); goto b9d8f; b4dfa: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto c2c67; Cbd85: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto B0510; Ceaaa: return $response; goto Af8f5; A4edb: Df688: goto e7012; c2c67: e853e: goto E54d2; fb6f3: $siteDeleteForm->handleRequest($request); goto ef732; D6ae0: $domainSettingsData = ["\144\157\155\x61\151\156\x4e\x61\155\145" => $site->getDomainName(), "\162\x6f\x6f\164\x44\151\162\145\143\164\157\x72\x79" => $site->getRootDirectory()]; goto ca6dc; e7012: C0d3e: goto B9a21; Dfa55: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto Eeaa2; b9d8f: if (!(true === $pythonSettingsForm->isSubmitted())) { goto d29a1; } goto d8363; ca7d4: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto Aa417; } goto E4ec7; Ce6f0: $nodejsSettingsForm->handleRequest($request); goto b56f4; D90ed: ad4d3: goto e89fb; Ea7aa: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto Abc67; } goto c0b07; d5251: $pageSpeedSettingsData = ["\151\163\x45\x6e\x61\x62\154\145\x64" => $site->getPageSpeedEnabled(), "\163\145\164\164\151\156\147\x73" => $site->getPageSpeedSettings()]; goto f2843; cdf4b: $parameters["\162\145\x76\145\x72\x73\x65\x50\x72\x6f\x78\171\x53\x65\164\x74\151\x6e\x67\163\x46\x6f\x72\x6d"] = $reverseProxySettingsForm->createView(); goto B35fa; e6cb2: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto f1f32; } goto C3e44; B5941: $parameters["\160\150\160\x53\x65\x74\164\151\x6e\147\x73\106\157\162\x6d"] = $phpSettingsForm->createView(); goto db60c; d9625: D2deb: goto D90ed; b307b: a6b77: goto bf25e; F9374: f1f32: goto e2aad; f3a5e: $phpSettingsForm->handleRequest($request); goto D3f36; Acb83: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto a378c; ca6dc: $siteUserSettingsData = ["\163\x69\x74\x65\125\163\x65\162" => $site->getUser(), "\x73\163\150\x4b\145\171\x73" => $site->getSshKeys()]; goto Bc58e; f63b9: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto eec79; B20bd: $domainSettingsForm->handleRequest($request); goto E67af; Eeaa2: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto C7c01; } goto D7c63; f3cf5: return $response; goto d9625; E4ec7: $phpSettings = $site->getPhpSettings(); goto a6b52; E52e9: $parameters["\x6e\157\144\x65\x6a\x73\x53\145\164\164\151\x6e\x67\163\106\157\162\155"] = $nodejsSettingsForm->createView(); goto D86f5; a7cda: $currentPhpSettings = clone $phpSettings; goto f3a5e; B0510: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto af7f2; } goto e4ac0; eaff9: e49ff: goto Eb81b; Ad23e: de6e4: goto f6723; e89fb: a01b7: goto E52e9; Aefb5: $parameters["\146\x6f\x72\155\x45\162\162\157\x72\163"] = $this->formErrors; goto Ff099; edbbb: Aab1e: goto Aefb5; Dcaee: C7c01: goto Fc78f; d89a0: $response = null; goto A093a; Dbca0: return $response; goto d85d3; D1c83: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\145\x73")); goto Ce378; a6b52: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto Fc42a; bfd2a: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto Faf05; D86f5: unset($parameters["\x70\141\147\145\123\x70\x65\x65\x64\x53\145\x74\x74\151\156\x67\163\x46\x6f\x72\155"]); goto Be004; c2128: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto cfe0f; f6723: $parameters = ["\x73\x69\164\145" => $site, "\144\x6f\x6d\x61\x69\156\123\x65\164\164\151\156\x67\x73\106\x6f\162\155" => $domainSettingsForm->createView(), "\x73\151\x74\145\125\x73\145\162\123\145\x74\164\151\x6e\147\163\x46\157\x72\x6d" => $siteUserSettingsForm->createView(), "\x70\x61\x67\145\x53\160\x65\145\x64\x53\x65\164\164\151\156\147\x73\x46\x6f\162\155" => $pageSpeedSettingsForm->createView(), "\x73\151\164\145\104\145\154\x65\164\x65\x46\x6f\x72\155" => $siteDeleteForm->createView()]; goto B7471; Af8f5: } public function purgePageSpeedCache(Request $request) : Response { goto A3bfa; F1a93: try { goto d456f; B0f28: $session = $request->getSession(); goto deb6e; B54b8: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto b00f7; B99c5: $eventData = ["\163\x69\x74\145" => $site->getDomainName()]; goto B54b8; d456f: $user = $this->getUser(); goto B0f28; deb6e: $siteUpdater = $this->getSiteUpdater($site); goto Ac27e; Ac27e: $siteUpdater->purgePageSpeedCache(); goto B99c5; b00f7: $session->getFlashBag()->set("\x73\x75\x63\143\145\x73\163", $this->translator->trans("\x50\141\x67\x65\x20\x53\x70\145\145\x64\40\x43\141\x63\x68\145\40\150\x61\163\40\142\145\145\156\40\x70\x75\162\x67\145\144\x2e")); goto Fb12b; Fb12b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\x41\156\x20\x65\x72\x72\x6f\x72\40\150\141\x73\40\x6f\143\143\165\x72\162\145\144\x2c\x20\145\162\162\x6f\x72\40\x6d\x65\163\x73\141\147\x65\72\x20\45\145\x72\162\x6f\x72\115\145\x73\163\x61\147\x65\x25", ["\x25\145\162\x72\x6f\x72\115\145\163\x73\141\x67\145\45" => $e->getMessage()])); } goto e2e9a; b6f66: return $response; goto B6918; e2e9a: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x5f\163\145\164\164\x69\156\x67\163", ["\144\157\155\x61\151\156\116\141\155\145" => $site->getDomainName()])); goto b6f66; B6918: e0454: goto daf16; A3bfa: $site = $this->getSite($request); goto E8665; daf16: return $response; goto bc6bf; E8665: if (false === is_null($site)) { goto Ff7bf; } goto B7a8f; B7a8f: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\145\x73")); goto B20f4; B20f4: goto e0454; goto E330e; E330e: Ff7bf: goto F1a93; bc6bf: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto bc3e4; bc3e4: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\x72\x6d\134\123\151\164\145\x44\x6f\155\141\151\x6e\123\145\164\x74\x69\x6e\147\163\x54\x79\x70\x65", $data, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\143\x6c\160\137\x73\x69\x74\x65\x5f\163\x65\x74\x74\151\x6e\147\163", ["\x64\x6f\155\x61\151\156\116\x61\155\145" => $site->getDomainName()]), "\x6d\145\x74\150\157\144" => "\120\x4f\123\x54", "\141\x74\164\x72" => []]); goto afcfe; afcfe: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\141\163\x73" => "\142\164\x6e\40\x62\x74\156\x2d\142\x6c\165\145\x20\142\164\156\x2d\x6c\x67"], "\x6c\141\x62\145\154" => "\123\x61\x76\x65"]); goto C8368; C8368: return $form; goto d79d1; d79d1: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto Afd08; f8bac: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\141\x73\163" => "\142\x74\156\40\x62\x74\156\55\142\x6c\165\x65\40\142\164\156\x2d\x6c\147"], "\x6c\x61\142\145\x6c" => "\x53\141\166\145"]); goto a1e70; Afd08: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\155\134\x53\x69\x74\145\x55\x73\x65\x72\123\x65\164\164\151\x6e\147\x73\x54\171\160\145", $data, ["\141\x63\164\151\157\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\x5f\163\x65\164\164\x69\156\x67\x73", ["\x64\x6f\x6d\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()]), "\155\145\x74\x68\x6f\x64" => "\x50\x4f\123\124", "\141\164\164\x72" => []]); goto f8bac; a1e70: return $form; goto Edf52; Edf52: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto a3d3f; A3ad7: return $form; goto D0984; d1bdb: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\x61\163\163" => "\142\164\156\40\142\164\x6e\x2d\142\154\x75\145\40\142\164\x6e\x2d\x6c\x67"], "\x6c\141\x62\145\154" => "\x53\141\166\x65"]); goto A3ad7; a3d3f: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\x6d\x5c\x53\151\x74\145\x50\x61\147\x65\x53\x70\145\x65\144\x53\x65\164\164\151\x6e\147\163\124\171\x70\x65", $data, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\137\x73\x65\164\164\151\156\x67\163", ["\144\157\x6d\141\x69\156\x4e\141\155\x65" => $site->getDomainName()]), "\155\145\164\x68\157\144" => "\x50\x4f\123\x54", "\x61\x74\x74\x72" => []]); goto d1bdb; D0984: } private function createReverseProxySettingsForm(Site $site) : Form { goto c2cbf; c2cbf: $data = ["\x72\x65\x76\145\162\163\x65\x50\162\x6f\x78\x79\x55\162\154" => $site->getReverseProxyUrl()]; goto A8722; ada6a: return $form; goto faab5; A8722: $form = $this->createForm("\101\160\160\134\106\x6f\162\155\134\x53\151\x74\145\x52\x65\x76\x65\x72\x73\145\x50\162\x6f\x78\x79\x53\x65\x74\164\151\x6e\147\163\x54\171\160\x65", $data, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\x5f\163\x65\164\x74\x69\156\147\x73", ["\x64\157\155\141\151\156\116\141\155\145" => $site->getDomainName()]), "\155\145\164\150\x6f\144" => "\x50\x4f\x53\124", "\x61\164\164\162" => ["\151\144" => "\x72\145\x76\145\x72\x73\x65\x2d\160\x72\x6f\x78\x79\x2d\x73\145\x74\x74\x69\156\x67\163\x2d\146\157\x72\155"]]); goto e6c9a; e6c9a: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\141\163\x73" => "\142\164\x6e\40\142\x74\x6e\x2d\142\154\165\145\x20\x62\164\x6e\55\x6c\x67"], "\154\x61\142\x65\154" => "\x53\141\166\x65"]); goto ada6a; faab5: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto Ac0b7; D0314: return $form; goto E84ce; Ddacf: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\x61\163\x73" => "\142\x74\x6e\x20\x62\x74\x6e\55\142\154\x75\x65\x20\x62\164\156\55\154\x67"], "\x6c\141\142\x65\154" => "\123\x61\x76\145"]); goto D0314; Ac0b7: $form = $this->createForm("\101\x70\160\x5c\x46\157\162\x6d\134\x53\151\164\145\x4e\157\144\x65\152\163\123\x65\x74\x74\151\156\x67\x73\x54\171\x70\145", $nodejsSettings, ["\x61\143\164\x69\x6f\x6e" => $this->generateUrl("\143\x6c\160\137\163\151\164\x65\137\x73\x65\164\x74\151\x6e\147\x73", ["\144\157\x6d\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\x74\150\157\144" => "\x50\117\x53\x54", "\141\x74\x74\162" => ["\151\144" => "\156\x6f\x64\145\152\x73\55\163\x65\164\x74\x69\x6e\147\163\x2d\146\x6f\162\155"]]); goto Ddacf; E84ce: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto c1868; ff36a: return $form; goto cb5bc; c1868: $form = $this->createForm("\101\160\160\134\x46\x6f\162\155\134\x53\x69\x74\x65\x50\x68\x70\123\x65\x74\164\x69\156\147\163\x54\x79\x70\145", $phpSettings, ["\141\x63\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\x70\137\x73\x69\x74\x65\137\x73\x65\x74\164\x69\x6e\147\x73", ["\x64\x6f\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\x68\157\x64" => "\120\x4f\x53\124", "\x61\164\164\162" => []]); goto Cd467; Cd467: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\x73\163" => "\x62\164\156\x20\x62\164\x6e\x2d\x62\154\x75\x65\x20\x62\x74\156\x2d\154\147"], "\x6c\x61\142\x65\x6c" => "\123\x61\x76\145"]); goto ff36a; cb5bc: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto C6558; C6b27: return $form; goto ae101; C6558: $form = $this->createForm("\x41\160\160\134\106\157\x72\x6d\x5c\x53\x69\164\x65\120\171\x74\150\157\x6e\x53\x65\164\164\x69\156\x67\x73\x54\x79\x70\x65", $pythonSettings, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\145\x5f\x73\x65\164\164\151\x6e\147\x73", ["\x64\x6f\155\x61\151\156\116\x61\155\145" => $site->getDomainName()]), "\x6d\145\x74\150\x6f\x64" => "\120\117\x53\124", "\141\164\164\162" => []]); goto f099c; f099c: $form->add("\x73\x75\142\155\151\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\x61\163\163" => "\142\x74\x6e\x20\x62\x74\x6e\55\142\x6c\x75\x65\40\142\x74\156\55\x6c\x67"], "\x6c\x61\x62\x65\x6c" => "\x53\141\166\145"]); goto C6b27; ae101: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto c7cb4; c7cb4: $form = $this->createForm("\101\x70\x70\134\106\x6f\162\155\x5c\x53\151\x74\145\104\145\x6c\x65\x74\145\x54\171\x70\145", $data, ["\141\x63\164\151\157\x6e" => $this->generateUrl("\143\154\x70\x5f\x73\151\x74\x65\137\x73\145\x74\x74\151\156\147\x73", ["\x64\x6f\155\141\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\144" => "\x50\117\x53\124", "\x61\x74\x74\x72" => []]); goto e5ee7; Bbd77: return $form; goto B1878; e5ee7: $form->add("\x73\165\142\x6d\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\x61\163\163" => "\142\x74\156\x20\142\164\x6e\55\142\154\165\x65\40\142\x74\x6e\55\x6c\147", "\144\x69\163\141\x62\x6c\145\144" => "\x64\151\x73\x61\142\x6c\145\144"], "\154\x61\x62\145\154" => "\x44\145\154\145\x74\x65\40\x53\x69\x74\x65"]); goto Bbd77; B1878: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto D788a; fdc45: C995c: goto D7ebc; Cbbf4: $this->formErrors = $this->getErrorMessages($form); goto fbb58; D788a: if (true === $form->isValid()) { goto f3b72; } goto Cbbf4; a7123: try { goto D9c99; Ee697: $eventData = ["\x73\x69\x74\145" => $domainName, "\x72\x6f\x6f\164\x44\x69\x72\145\x63\164\157\162\x79" => $rootDirectory]; goto F9ccb; dcb39: $siteUpdater = $this->getSiteUpdater($site); goto E603c; Ed91c: $session = $request->getSession(); goto E6276; Cb48a: Bee75: goto D32e9; C9600: $rootDirectory = rtrim($form->get("\162\x6f\157\164\104\x69\x72\145\143\x74\157\x72\x79")->getData(), "\57"); goto a5453; F9ccb: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto F3267; b87a8: $siteEntity = $this->getSiteEntity($domainName); goto f6d78; d4961: $this->siteEntityManager->updateEntity($siteEntity); goto dcb39; D9c99: $user = $this->getUser(); goto Ed91c; a5453: $site->setRootDirectory($rootDirectory); goto A121b; Bc8cd: return $response; goto Fdcd6; D32e9: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\137\163\x65\164\164\x69\x6e\x67\163", ["\x64\x6f\x6d\x61\x69\x6e\x4e\141\155\145" => $site->getDomainName()])); goto Bc8cd; F3267: $session->getFlashBag()->set("\163\x75\143\143\145\163\x73", $this->translator->trans("\122\157\x6f\164\40\x44\x69\162\x65\x63\164\x6f\x72\171\40\x68\141\163\40\142\x65\x65\x6e\40\163\141\x76\145\144\56")); goto Cb48a; f6d78: if (!(false === is_null($siteEntity))) { goto Bee75; } goto C9600; E603c: $siteUpdater->domainSettings(); goto Ee697; A121b: $siteEntity->setRootDirectory($rootDirectory); goto d4961; E6276: $domainName = $site->getDomainName(); goto b87a8; Fdcd6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\156\40\x65\x72\x72\157\162\x20\150\141\x73\40\157\x63\x63\x75\162\162\145\x64\x2c\40\145\x72\x72\157\162\x20\155\x65\163\x73\x61\147\145\72\x20\x25\145\162\x72\x6f\162\115\145\163\163\141\147\145\x25", ["\x25\145\162\x72\x6f\x72\x4d\x65\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto fdc45; fbb58: goto C995c; goto b9a6f; b9a6f: f3b72: goto a7123; D7ebc: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto d7ae7; d7ae7: if (true === $form->isValid()) { goto c1d5c; } goto E96b4; F90dc: goto B2680; goto a3363; f92e2: try { goto a2e19; Efdee: if (!(false === empty($password))) { goto A376d; } goto Be0da; d3ef6: A9dcf: goto da71c; c8bc6: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto b7b42; Dcd36: $eventData = ["\x73\151\164\x65" => $domainName, "\x73\x73\x68\113\x65\171\x73" => $sshKeys]; goto c8bc6; da71c: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\x5f\163\x65\164\x74\151\156\x67\163", ["\144\157\x6d\x61\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto a78ce; eca4c: if (!(false === is_null($siteEntity))) { goto A9dcf; } goto bb5a4; a2e19: $user = $this->getUser(); goto A27b8; bb5a4: $siteUser = $site->getUser(); goto A1679; A570d: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto Efdee; a78ce: return $response; goto ff7cb; Cac59: $password = trim($form->get("\160\141\x73\x73\167\157\x72\144")->getData()); goto fb088; B9de2: $siteUpdater = $this->getSiteUpdater($site); goto A570d; A27b8: $session = $request->getSession(); goto Eee32; cc71d: A376d: goto Dcd36; A1679: $sshKeys = trim($form->get("\163\x73\x68\x4b\145\x79\x73")->getData()); goto Cac59; bfa1e: $siteEntity = $this->getSiteEntity($domainName); goto eca4c; b7b42: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\x53\151\164\145\40\x55\163\x65\x72\x20\x53\x65\x74\164\151\x6e\x67\163\40\x68\x61\x76\x65\x20\x62\x65\x65\x6e\x20\163\x61\x76\x65\x64\x2e")); goto d3ef6; Be0da: $siteUpdater->changeUserPassword($siteUser, $password); goto cc71d; e2e60: $this->siteEntityManager->updateEntity($siteEntity); goto B9de2; fb088: $siteEntity->setSshKeys($sshKeys); goto e2e60; Eee32: $domainName = $site->getDomainName(); goto bfa1e; ff7cb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\162\x72\x6f\162\40\x68\x61\163\40\157\143\143\165\162\x72\145\144\x2c\x20\145\x72\162\x6f\162\40\x6d\145\x73\x73\141\x67\x65\72\40\45\x65\x72\162\x6f\162\x4d\145\163\163\x61\147\145\x25", ["\x25\x65\x72\x72\157\x72\115\145\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto eb64d; E96b4: $this->formErrors = $this->getErrorMessages($form); goto F90dc; eb64d: B2680: goto b8a7c; a3363: c1d5c: goto f92e2; b8a7c: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto D1de3; D1de3: if (true === $form->isValid()) { goto db024; } goto Ddbca; e8b7c: goto aa929; goto e3735; Ddbca: $this->formErrors = $this->getErrorMessages($form); goto e8b7c; Ee509: try { goto ecc38; Dc87f: $site->setPageSpeedEnabled($isEnabled); goto b7db1; Dafa2: $settings = trim($form->get("\163\x65\x74\x74\151\x6e\147\x73")->getData()); goto Dc87f; Ad8a9: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\x65\x5f\163\x65\x74\x74\x69\x6e\x67\x73", ["\144\x6f\x6d\141\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto c0149; Dcc62: $siteEntity->setPageSpeedEnabled($isEnabled); goto C5678; Fa170: $this->siteEntityManager->updateEntity($siteEntity); goto b282f; c0e2e: if (!(false === is_null($siteEntity))) { goto Da8d6; } goto ccc3c; C7f0c: $siteUpdater->purgePageSpeedCache(); goto Dcc62; Fd411: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto bdc2a; a2f87: $domainName = $site->getDomainName(); goto E2075; E1dec: $session = $request->getSession(); goto a2f87; B06cc: Da8d6: goto Ad8a9; bdc2a: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\x50\141\147\x65\40\123\x70\x65\145\x64\40\x53\x65\x74\x74\x69\156\x67\x73\x20\150\x61\166\145\x20\142\x65\145\156\x20\163\x61\x76\145\x64\56")); goto B06cc; ecc38: $user = $this->getUser(); goto E1dec; E2075: $siteEntity = $this->getSiteEntity($domainName); goto c0e2e; b7db1: $site->setPageSpeedSettings($settings); goto C9124; C9124: $siteUpdater = $this->getSiteUpdater($site); goto Da567; Da567: $siteUpdater->updateNginxVhostWithRollback(); goto C7f0c; ccc3c: $isEnabled = $form->get("\x69\x73\x45\x6e\141\x62\154\x65\144")->getData(); goto Dafa2; c0149: return $response; goto Ef7e2; b282f: $eventData = ["\x73\151\x74\145" => $domainName, "\x70\141\x67\x65\x53\160\x65\x65\x64\105\156\141\142\x6c\x65\144" => $isEnabled, "\x70\141\147\x65\x53\160\145\145\x64\x53\145\164\x74\151\156\x67\x73" => $settings]; goto Fd411; C5678: $siteEntity->setPageSpeedSettings($settings); goto Fa170; Ef7e2: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x50\141\x67\145\123\160\x65\x65\144\x20\123\x65\164\x74\x69\156\147\40\141\x72\x65\x20\156\157\x74\x20\x76\141\x6c\151\144\x2c\40\x65\162\x72\157\x72\40\155\145\x73\163\141\147\x65\x3a\x20\45\x65\162\x72\157\x72\x4d\x65\163\x73\x61\147\x65\45", ["\45\x65\x72\162\157\x72\x4d\145\x73\163\141\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\x72\162\x6f\162\x20\x68\x61\163\40\157\143\143\x75\162\x72\145\x64\x2c\40\145\162\x72\157\x72\40\x6d\145\163\x73\141\x67\145\x3a\40\45\x65\162\162\x6f\x72\115\145\163\163\x61\x67\145\x25", ["\45\x65\162\x72\157\162\115\x65\x73\163\141\x67\145\45" => $e->getMessage()])); } goto Ba1bb; Ba1bb: aa929: goto c5bb5; e3735: db024: goto Ee509; c5bb5: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto A03f6; e695e: a91ae: goto B1ddc; ffca4: $this->formErrors = $this->getErrorMessages($form); goto E5e90; ab859: Ef7ed: goto Ec056; E5e90: goto Ef7ed; goto e695e; B1ddc: try { goto ff6e9; B288a: if (!(false === is_null($siteEntity))) { goto c9b00; } goto b796e; E387c: $siteEntity = $this->getSiteEntity($domainName); goto B288a; b796e: $siteDeleter = $this->getSiteDeleter($site); goto Bfa75; D0643: c9b00: goto F25de; A1b89: $domainName = $site->getDomainName(); goto E387c; ff6e9: $user = $this->getUser(); goto Ecfa5; bb1a3: return $response; goto a38cc; E77a1: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto De0fc; De0fc: $session->getFlashBag()->set("\x73\165\143\x63\x65\x73\x73", $this->translator->trans("\123\151\164\145\40\150\x61\x73\40\142\x65\x65\156\x20\144\x65\154\x65\164\145\144\x2e")); goto D0643; F25de: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\x65\x73")); goto bb1a3; Abc78: $eventData = ["\x73\x69\164\x65" => $domainName, "\164\171\160\x65" => $site->getType()]; goto E77a1; C6f35: $this->siteEntityManager->deleteEntity($siteEntity); goto Abc78; Ecfa5: $session = $request->getSession(); goto A1b89; Bfa75: $siteDeleter->delete(); goto C6f35; a38cc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\162\x20\150\141\x73\40\x6f\x63\x63\165\x72\x72\145\144\x2c\40\145\x72\x72\x6f\x72\x20\x6d\x65\x73\163\141\147\145\72\x20\45\x65\162\162\157\162\115\x65\x73\163\141\x67\145\45", ["\45\145\162\162\157\162\x4d\145\x73\x73\141\147\x65\45" => $e->getMessage()])); } goto ab859; A03f6: if (true === $form->isValid()) { goto a91ae; } goto ffca4; Ec056: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto b4b6c; A7d0e: c8a78: goto F7c04; Acb2c: goto feb3b; goto A7d0e; A7043: $this->formErrors = $this->getErrorMessages($form); goto Acb2c; b4b6c: if (true === $form->isValid()) { goto c8a78; } goto A7043; F7c04: try { goto B511a; f3d3c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\x65\x5f\163\x65\x74\164\151\x6e\147\x73", ["\144\x6f\x6d\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto f3c09; baa27: $siteEntity = $this->getSiteEntity($domainName); goto F9806; a2780: Eced5: goto f3d3c; B8116: $domainName = $site->getDomainName(); goto baa27; fdbae: $session = $request->getSession(); goto B8116; Aff9f: fc6f3: goto Be5b6; f2875: $siteUpdater = $this->getSiteUpdater($site); goto C1543; B511a: $user = $this->getUser(); goto fdbae; d17d5: $this->siteEntityManager->updateEntity($siteEntity); goto D988d; aa25d: $nodejsSettings = $form->getData(); goto D8714; da28e: $siteUpdater->installNodejsVersion(); goto Aff9f; Dca7d: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\163", $this->translator->trans("\x4e\157\x64\x65\56\x6a\x73\x20\x53\x65\x74\164\151\x6e\x67\163\x20\150\141\x76\145\40\x62\145\145\156\40\163\x61\x76\x65\x64\x2e")); goto a2780; F9806: if (!(false === is_null($siteEntity))) { goto Eced5; } goto aa25d; C1543: if (!(true === $hasNodejsVersionChanged)) { goto fc6f3; } goto da28e; Be5b6: $siteUpdater->nodejsSettings(); goto d17d5; D8714: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto D48c2; D48c2: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto f2875; D988d: $eventData = ["\163\151\164\145" => $domainName, "\x6e\157\144\145\152\163\126\x65\x72\x73\151\157\x6e" => $nodejsVersion, "\160\157\x72\164" => $nodejsSettings->getPort()]; goto Bee12; Bee12: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto Dca7d; f3c09: return $response; goto E5940; E5940: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\162\157\x72\x20\x68\x61\x73\x20\157\x63\x63\x75\162\162\145\144\54\x20\145\x72\x72\157\162\40\x6d\145\x73\x73\141\147\145\72\40\45\x65\x72\x72\x6f\x72\x4d\x65\163\163\141\x67\x65\45", ["\45\145\162\162\x6f\162\x4d\145\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto C1912; C1912: feb3b: goto c745d; c745d: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto a2038; B4705: Eb53d: goto Dad4e; F56cb: C935d: goto C75df; c31f7: $this->formErrors = $this->getErrorMessages($form); goto E5eb1; C75df: try { goto f2476; F4deb: $session = $request->getSession(); goto B5b11; E304c: $siteUpdater = $this->getSiteUpdater($site); goto d05f8; D853d: $pythonSettings = $form->getData(); goto f7863; c34cb: $session->getFlashBag()->set("\x73\165\143\143\x65\163\163", $this->translator->trans("\120\171\164\x68\157\156\40\123\x65\x74\164\151\156\147\x73\40\150\141\x76\145\x20\142\145\x65\156\x20\163\x61\166\145\144\x2e")); goto C7780; D6229: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\x65\137\163\145\164\164\x69\x6e\147\x73", ["\144\157\155\141\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto e14ff; a242f: if (!(false === is_null($siteEntity))) { goto F94bd; } goto D853d; ead95: $siteEntity = $this->getSiteEntity($domainName); goto a242f; f7863: $pythonVersion = $pythonSettings->getPythonVersion(); goto E304c; E7204: $this->siteEntityManager->updateEntity($siteEntity); goto C635d; C7780: F94bd: goto D6229; d44a9: $siteUpdater->pythonSettings(); goto E7204; C635d: $eventData = ["\x73\151\x74\145" => $domainName, "\160\171\164\150\x6f\x6e\x56\x65\x72\x73\151\x6f\156" => $pythonVersion, "\160\157\162\x74" => $pythonSettings->getPort()]; goto c86d1; c86d1: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto c34cb; d05f8: $siteUpdater->writePythonVersionFile(); goto d44a9; e14ff: return $response; goto efe30; B5b11: $domainName = $site->getDomainName(); goto ead95; f2476: $user = $this->getUser(); goto F4deb; efe30: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\101\x6e\x20\145\162\162\157\x72\40\150\x61\x73\40\x6f\x63\x63\x75\x72\x72\145\144\x2c\x20\x65\x72\162\157\x72\40\x6d\x65\x73\x73\141\147\145\x3a\x20\x25\x65\162\162\x6f\162\115\x65\x73\163\141\147\145\x25", ["\x25\145\162\x72\x6f\x72\115\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto B4705; a2038: if (true === $form->isValid()) { goto C935d; } goto c31f7; E5eb1: goto Eb53d; goto F56cb; Dad4e: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto D53e7; c1f42: $this->formErrors = $this->getErrorMessages($form); goto d065b; e4d41: try { goto a782f; B43cf: Ba742: goto c9ad1; c9ad1: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\137\163\x65\164\x74\151\156\147\x73", ["\x64\157\x6d\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto bb518; c5cfb: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto E92cc; bb518: return $response; goto b7448; a782f: $user = $this->getUser(); goto b5c08; ef82a: $site->setReverseProxyUrl($reverseProxyUrl); goto Eba2c; b5c08: $session = $request->getSession(); goto Cbaf2; Cbaf2: $domainName = $site->getDomainName(); goto Eee64; B9065: $siteUpdater = $this->getSiteUpdater($site); goto a6699; Eee64: $siteEntity = $this->getSiteEntity($domainName); goto Aa5ab; E92cc: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\x52\145\x76\x65\162\x73\145\x20\x50\162\x6f\170\171\40\x53\145\x74\x74\x69\156\147\x73\x20\150\x61\166\x65\x20\x62\145\145\x6e\40\163\x61\x76\145\x64\56")); goto B43cf; Eba2c: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto B9065; Aa5ab: if (!(false === is_null($siteEntity))) { goto Ba742; } goto a35c7; D92ec: $this->siteEntityManager->updateEntity($siteEntity); goto a1010; a1010: $eventData = ["\x73\151\164\145" => $domainName, "\x72\x65\x76\x65\162\163\x65\x50\162\157\x78\x79\x55\x72\x6c" => $reverseProxyUrl]; goto c5cfb; a35c7: $reverseProxyUrl = $form->get("\162\145\x76\x65\x72\x73\x65\120\x72\x6f\170\171\x55\162\154")->getData(); goto ef82a; a6699: $siteUpdater->updateNginxVhostWithRollback(); goto D92ec; b7448: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\x72\x20\150\141\163\40\157\x63\143\x75\x72\x72\145\x64\x2c\40\x65\162\x72\x6f\x72\x20\155\x65\x73\x73\x61\x67\x65\x3a\x20\x25\x65\162\162\x6f\162\115\145\x73\163\141\x67\x65\45", ["\45\145\162\x72\157\162\x4d\x65\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto b5d0f; b5d0f: B5bac: goto ae98a; eb8ee: Fd716: goto e4d41; D53e7: if (true === $form->isValid()) { goto Fd716; } goto c1f42; d065b: goto B5bac; goto eb8ee; ae98a: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto E59d3; ab544: try { goto C6c88; a338c: Cedc9: goto Feb13; Ddcf0: $session = $request->getSession(); goto C772d; fdd94: $eventData = ["\x73\151\x74\145" => $domainName, "\160\x68\x70\126\x65\162\x73\151\157\x6e" => $phpSettings->getPhpVersion(), "\x6d\x65\155\x6f\x72\171\x5f\154\151\155\151\x74" => $phpSettings->getMemoryLimit(), "\155\x61\x78\137\145\x78\x65\x63\165\x74\x69\157\x6e\x5f\164\x69\x6d\x65" => $phpSettings->getMaxExecutionTime(), "\155\x61\170\137\151\156\160\x75\164\x5f\x74\151\155\x65" => $phpSettings->getMaxInputTime(), "\x6d\x61\x78\x5f\x69\x6e\x70\x75\x74\x5f\x76\x61\162\x73" => $phpSettings->getMaxInputVars(), "\160\x6f\163\x74\137\x6d\x61\x78\137\x73\151\172\145" => $phpSettings->getPostMaxSize(), "\x75\x70\154\x6f\141\144\x5f\x6d\141\x78\x5f\x66\x69\154\x65\x73\151\x7a\x65" => $phpSettings->getUploadMaxFileSize()]; goto fc81f; C6c88: $user = $this->getUser(); goto Ddcf0; E3b49: B69f3: goto Cf436; C772d: $domainName = $site->getDomainName(); goto c164f; Feb13: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\137\x73\145\164\164\151\x6e\x67\163", ["\144\x6f\x6d\x61\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto E86a0; c164f: $siteEntity = $this->getSiteEntity($domainName); goto d5e5f; F873b: $phpSettings = $form->getData(); goto E6ef7; fc81f: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto Ec4ac; F7c0d: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto E3b49; E6ef7: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto dca80; b5021: if (!(true === $hasPhpVersionChanged)) { goto B69f3; } goto F7c0d; Ec4ac: $session->getFlashBag()->set("\163\165\x63\x63\x65\163\x73", $this->translator->trans("\120\x48\120\40\x53\x65\x74\x74\151\x6e\147\163\40\150\x61\x76\x65\40\142\x65\x65\156\40\x73\x61\166\145\x64\x2e")); goto a338c; Cf436: $siteUpdater->phpSettings(); goto a1308; E86a0: return $response; goto edd28; dca80: $siteUpdater = $this->getSiteUpdater($site); goto b5021; a1308: $this->siteEntityManager->updateEntity($siteEntity); goto fdd94; d5e5f: if (!(false === is_null($siteEntity))) { goto Cedc9; } goto F873b; edd28: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\101\156\40\145\x72\x72\x6f\162\40\x68\x61\163\40\157\x63\143\165\162\162\x65\144\x2c\x20\x65\162\x72\157\x72\40\x6d\x65\163\163\x61\x67\x65\72\40\x25\x65\x72\x72\x6f\x72\115\x65\x73\x73\x61\x67\145\x25", ["\x25\145\x72\x72\157\x72\x4d\145\163\163\141\x67\145\x25" => $e->getMessage()])); } goto f6f23; C11fd: dd2be: goto ab544; E4e62: goto ac9eb; goto C11fd; E59d3: if (true === $form->isValid()) { goto dd2be; } goto D418f; D418f: $this->formErrors = $this->getErrorMessages($form); goto E4e62; f6f23: ac9eb: goto eb032; eb032: } private function getSite(Request $request) : ?Site { goto Fad18; A76a6: $site->setCertificate($siteEntity->getCertificate()); goto Ef79a; aaacf: $siteType = $siteEntity->getType(); goto baed5; B23af: return null; goto F1637; E7301: e530d: goto B5bd6; F2e75: $site->setBasicAuth($siteEntity->getBasicAuth()); goto Bb227; a7647: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto c1c12; B5bd6: if (!(false === is_null($site))) { goto C20a5; } goto Cb5fd; c26ac: $domainName = $request->get("\144\x6f\x6d\141\x69\156\116\x61\x6d\x65"); goto Eb91e; E8e05: return $site; goto f9073; bfb42: $site->setRootDirectory($siteEntity->getRootDirectory()); goto F2e75; Eb91e: $siteEntity = $this->getSiteEntity($domainName); goto Dcb6a; bb794: $site->setCronJobs($siteEntity->getCronJobs()); goto e446f; Dcb6a: $site = null; goto Bf511; d3d75: $siteDatabases = $this->getSiteDatabases($siteEntity); goto D9df0; baed5: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto faa91; Ef73f: goto e530d; goto Ad808; D07d8: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Ef73f; faa91: $site = new NodejsSite(); goto D07d8; Ad808: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto e530d; case SiteEntity::TYPE_PHP: goto A0258; E333a: $site->setVarnishCache($siteEntity->getVarnishCache()); goto fe605; ed864: $site->setPhpSettings($siteEntity->getPhpSettings()); goto E333a; fe605: goto e530d; goto a56ca; A0258: $site = new PhpSite(); goto ed864; a56ca: case SiteEntity::TYPE_PYTHON: goto d80ec; E80f2: $site->setPythonSettings($siteEntity->getPythonSettings()); goto cbb63; d80ec: $site = new PythonSite(); goto E80f2; cbb63: goto e530d; goto B801d; B801d: case SiteEntity::TYPE_REVERSE_PROXY: goto eb676; b0720: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto e5432; eb676: $site = new ReverseProxySite(); goto b0720; e5432: goto e530d; goto Bddd4; Bddd4: } goto fd595; F6d05: Ff615: goto E8e05; Dd96b: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Cb873; d43a7: $site->setSshUsers($siteEntity->getSshUsers()); goto E3c3e; F02af: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d3d75; D9df0: $site->setUser($siteEntity->getUser()); goto C5f14; Fe35a: $site->setRegistrableDomain($registrableDomain); goto fce1a; Fad18: $user = $this->getUser(); goto c26ac; b7c2e: $site->setDatabases($siteDatabases); goto A76a6; C5f14: $site->setDomainName($siteEntity->getDomainName()); goto Fe35a; F1637: e0c19: goto aaacf; fd595: e731b: goto E7301; Bf511: if (!(false === is_null($siteEntity))) { goto Ff615; } goto Daf46; e446f: $site->setFtpUsers($siteEntity->getFtpUsers()); goto d43a7; Bb227: $site->setBlockedBots($siteEntity->getBlockedBots()); goto b4f75; Cb873: C20a5: goto F6d05; E3c3e: $site->setSshKeys($siteEntity->getSshKeys()); goto a7647; Daf46: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto e0c19; } goto B23af; F6187: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto aed6c; c1c12: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto f19dd; f19dd: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto Dd96b; Ef79a: $site->setCertificates($siteEntity->getCertificates()); goto bb794; aed6c: $subdomain = $resolvedDomainName->subDomain()->toString(); goto F02af; b4f75: $site->setBlockedIps($siteEntity->getBlockedIps()); goto b7c2e; Cb5fd: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F6187; fce1a: $site->setSubdomain($subdomain); goto bfb42; f9073: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto E256e; C7d0d: foreach ($databaseEntities as $databaseEntity) { goto a1f01; b5d5f: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto C5fc1; } goto B30ad; ca854: C5fc1: goto ee14c; a1f01: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto b5d5f; B30ad: $siteDatabases->add($databaseEntity); goto ca854; ee14c: a3dc2: goto Ff8b5; Ff8b5: } goto D95b7; E0429: return $siteDatabases; goto b8115; Ea844: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ca74f; D95b7: f7a7d: goto E0429; E256e: $siteDatabases = new ArrayCollection(); goto Ea844; ca74f: $databaseEntities = $siteEntity->getDatabases(); goto C7d0d; b8115: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto b4aa2; e704a: return $siteUpdater; goto E1a51; E28d4: c0c97: goto e704a; b4aa2: $siteUpdater = null; goto Be22b; a2d4d: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto c0c97; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto c0c97; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto c0c97; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto c0c97; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto c0c97; } goto F4b39; F4b39: Ffd1c: goto E28d4; Be22b: $siteType = $site->getType(); goto a2d4d; E1a51: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto aaae8; E3fbf: De6d0: goto fdb74; aaae8: $siteDeleter = null; goto Bacf5; fdb74: d73e9: goto E1bb3; Bacf5: $siteType = $site->getType(); goto Fe18d; E1bb3: return $siteDeleter; goto B9952; Fe18d: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto d73e9; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto d73e9; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto d73e9; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto d73e9; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto d73e9; } goto E3fbf; B9952: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
