<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\x68\164\164\160\163\x3a\x2f\x2f\x64\x33\161\x6e\x64\65\64\161\x38\147\x62\x33\152\x65\x2e\143\x6c\x6f\x75\x64\x66\x72\157\x6e\164\56\156\x65\164\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto Edbb0; D0f33: $this->twig = $twig; goto D8ef6; ac976: $this->databaseServerManager = $databaseServerManager; goto E6b08; Ebded: $this->cachePool = $cachePool; goto D0f33; Edbb0: $this->configManager = $configManager; goto ac976; E6b08: $this->userManager = $userManager; goto Ebded; D8ef6: } public function onKernelRequest(RequestEvent $event) : void { goto c7553; cf27d: $this->initialize($event); goto e546b; c6354: c93c4: goto cf27d; be38b: return; goto c6354; c7553: if (!(false === $event->isMainRequest())) { goto c93c4; } goto be38b; e546b: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto B71e0; B71e0: $command = $event->getCommand(); goto ed48b; c4ecd: Ab977: goto Bf2c8; f1ccc: $this->initialize($event); goto c4ecd; ed48b: if (!$command instanceof Command) { goto Ab977; } goto f1ccc; Bf2c8: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto d64e0; E097e: $this->setInstanceUid(); goto A1d64; d64e0: $this->setTimezone(); goto E097e; A070f: $this->setCloudPanelReleaseChannel(); goto E76a3; E76a3: $this->setLetsEncryptPrivateKey(); goto acb09; acb09: $this->setDatabaseServer($event); goto e6d32; A1d64: $this->setCloudPanelVersion(); goto A070f; e6d32: $this->setEnvironment($event); goto c6ef9; c6ef9: } private function setTimezone() : void { goto Ea6c7; B9cfb: if (!(true === is_null($timezone))) { goto Abe37; } goto cb183; Ea6c7: $timezone = $this->configManager->get("\x74\x69\x6d\x65\x7a\157\x6e\145"); goto B9cfb; cb183: $this->configManager->set("\x74\x69\155\145\172\157\156\x65", "\125\x54\x43"); goto ada09; ada09: Abe37: goto b2dbe; b2dbe: } private function setInstanceUid() : void { goto df947; Fad0e: F0c10: goto aa416; f5e0a: if (!(true === is_null($instanceUid))) { goto F0c10; } goto Ac3f3; df947: $instanceUid = $this->configManager->get("\151\156\x73\164\141\x6e\x63\145\x5f\x75\151\144"); goto f5e0a; Ac3f3: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto abd77; abd77: $this->configManager->set("\x69\156\163\164\x61\156\x63\145\x5f\165\x69\144", $instanceUid); goto Fad0e; aa416: } private function setCloudPanelVersion() : void { goto f6caf; b6f95: $this->configManager->set("\x61\x70\160\x5f\166\145\x72\x73\x69\x6f\x6e", trim($appVersion)); goto d9069; ca31c: if (!(false === is_null($appVersion))) { goto a9203; } goto b6f95; d9069: a9203: goto a819d; f6caf: $appVersion = $_ENV["\x41\x50\x50\x5f\x56\x45\x52\123\111\117\116"] ?? null; goto ca31c; a819d: } private function setCloudPanelReleaseChannel() : void { goto B8ba8; B8ba8: $releaseChannel = $this->configManager->get("\x72\145\x6c\x65\x61\x73\145\137\143\x68\x61\156\x6e\145\x6c"); goto fb6e3; B8263: $this->configManager->set("\162\x65\x6c\x65\x61\163\145\x5f\x63\150\x61\156\156\x65\x6c", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto b2308; fb6e3: if (!(true === is_null($releaseChannel))) { goto f0fa1; } goto B8263; b2308: f0fa1: goto B0a9a; B0a9a: } private function setLetsEncryptPrivateKey() { goto E0260; D9f82: f301f: goto c5e1d; bbc56: $this->configManager->set("\x6c\x65\137\x70\162\151\x76\x61\x74\x65\x5f\153\145\171", $privateKey->getPEM()); goto D9f82; c756f: if (!(true === is_null($letsEncryptPrivateKey))) { goto f301f; } goto beed4; beed4: $rsaKeyGenerator = new RsaKeyGenerator(); goto C3408; Bbcfb: $letsEncryptPrivateKey = $this->configManager->get("\154\x65\x5f\160\x72\x69\x76\141\164\145\137\153\145\x79"); goto c756f; e07f0: if (!(0 < $numberOfUsers)) { goto E1039; } goto Bbcfb; c5e1d: E1039: goto Fa905; E0260: $numberOfUsers = $this->userManager->countAll(); goto e07f0; C3408: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto bbc56; Fa905: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto c78ec; bc5b9: $databaseConnection = new DatabaseConnection($databaseServer); goto ca9de; b98a3: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto c52c8; F309f: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto Ba2b0; Ba2b0: Ffa70: goto cd9fb; E1751: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto E9a59; Bc5f5: $commandExecutor = new CommandExecutor(); goto effa3; Dd872: goto e671f; goto b0f48; dec73: $password = $passwordGenerator->generate(); goto Dd872; ccbe2: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto a367b; } goto f68c5; b0f48: Be5f2: goto b908e; fdeef: $databaseServers = $this->databaseServerManager->findAll(); goto ccbe2; f68c5: if ("\144\145\x76" == $_ENV["\101\x50\120\x5f\x45\116\126"]) { goto Be5f2; } goto fefd5; d4643: if (!("\144\x65\166" != $_ENV["\101\x50\120\137\x45\116\126"])) { goto Ffa70; } goto B6dba; ca9de: $databaseServer->setEngine($databaseConnection->getEngine()); goto eb471; b908e: $password = "\162\157\157\164"; goto e6f82; e555e: $databaseServer->setPassword($encryptedPassword); goto d4643; c52c8: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto F309f; B6dba: $tmpDatabaseServer = clone $databaseServer; goto Ac4ee; A745a: $databaseServer->setHost("\x31\62\67\56\60\x2e\60\56\61"); goto C5973; C5973: $databaseServer->setUserName("\x72\157\x6f\x74"); goto Ebddf; c9008: $encryptedPassword = Crypto::encrypt($password); goto F8525; effa3: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto eaacb; F8525: $databaseServer = $this->databaseServerManager->createEntity(); goto A745a; eaacb: $changeDatabaseUserPasswordCommand->setUserName("\162\x6f\x6f\164"); goto b98a3; cd9fb: $this->databaseServerManager->updateEntity($databaseServer); goto Fa27e; E9a59: $databaseServer->setIsActive(true); goto a8871; Ac4ee: $tmpDatabaseServer->setPassword("\162\x6f\157\164"); goto Bc5f5; a8871: $databaseServer->setIsDefault(true); goto bc5b9; Fa27e: a367b: goto Fc600; e6f82: e671f: goto c9008; Ebddf: $databaseServer->setPassword(Crypto::encrypt("\x72\x6f\157\x74")); goto E1751; c78ec: $numberOfUsers = $this->userManager->countAll(); goto fdeef; fefd5: $passwordGenerator = new PasswordGenerator(); goto dec73; eb471: $databaseServer->setVersion($databaseConnection->getVersion()); goto e555e; Fc600: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto B8482; f2e08: f8858: goto ce346; dcda7: $request->attributes->set("\151\156\163\x74\141\x6e\143\145", $instance); goto B3169; B3169: $request->attributes->set("\151\163\104\141\x72\153\x4d\x6f\x64\x65", $isDarkMode); goto E33a7; F97e8: try { $ipv4PublicIp = $this->cachePool->get("\x69\160\166\x34\137\160\x75\142\154\x69\x63\x5f\151\x70", function (ItemInterface $item) { goto e757c; C5a2d: if (!(200 == $responseStatusCode)) { goto f159c; } goto Ecbc4; f0889: $ipv4PublicIp = null; goto B8f8c; Ecbc4: $ipv4PublicIp = trim((string) $response->getBody()); goto ef4b6; B8f8c: $config = ["\164\x69\155\145\x6f\x75\164" => 5, "\166\145\x72\x69\x66\171" => false, "\x68\x65\141\x64\145\x72\163" => ["\125\x73\x65\162\x2d\x41\x67\x65\156\164" => "\103\x6c\x6f\x75\144\x50\x61\156\x65\154\x20\x76\x32"]]; goto Df293; Df293: $httpClient = new HttpClient($config); goto eb8c5; D2468: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto bb956; e757c: $item->expiresAfter(3600); goto f0889; b8986: return $ipv4PublicIp; goto b9333; bb956: $responseStatusCode = $response->getStatusCode(); goto C5a2d; ef4b6: f159c: goto b8986; eb8c5: $request = new Request("\x47\x45\124", self::IP_REQUEST_URL); goto D2468; b9333: }); } catch (\Exception $e) { } goto eb2f5; F30e0: $this->twig->addGlobal("\x69\163\x44\x61\162\x6b\x4d\157\144\x65", $isDarkMode); goto Dbbbe; Aa9c6: $instance->setHostname($hostname); goto cf884; E33a7: $this->twig->addGlobal("\151\156\163\x74\141\156\143\145", $instance); goto F30e0; Dbbbe: Ce833: goto E3e3c; e58d3: Ef1c7: goto C2bd0; C2bd0: $instance->setEnvironment($environment); goto f30e6; C569e: $command = $event->getCommand(); goto Af19a; b437d: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto c9487; B8482: $cloud = $this->configManager->get("\x63\x6c\157\165\144"); goto A7a63; A6b46: $request = $event->getRequest(); goto c783e; e944a: fb797: goto dcda7; Af19a: $command->setInstance($instance); goto E2c87; Dc558: $instance->setUid($instanceUid); goto e58d3; A7a63: $environment = new CloudPanelEnvironment(); goto c45f8; cf884: if ($event instanceof RequestEvent) { goto a6410; } goto C569e; c9487: if (!(true === empty($ipv4PublicIp))) { goto fb797; } goto B78b0; E2c87: goto Ce833; goto e8614; c783e: $host = $request->getHost(); goto c1deb; f30e6: $hostname = gethostname(); goto Aa9c6; c1deb: $isDarkMode = false === is_null($request->cookies->get("\x74\x68\145\155\x65")) && "\x64\141\x72\153" == $request->cookies->get("\x74\150\145\x6d\x65") ? true : false; goto b437d; eb2f5: $instance->setIpv4PublicIp($ipv4PublicIp); goto e944a; ce346: f3e81: goto cb6ae; B78b0: $ipv4PublicIp = ''; goto F97e8; B4089: if (!(false === is_null($instanceUid))) { goto Ef1c7; } goto Dc558; cb6ae: $instanceUid = $this->configManager->get("\x69\156\163\164\x61\x6e\x63\x65\x5f\165\151\144"); goto B4089; e8614: a6410: goto A6b46; c45f8: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto eafef; c13bc: $instance->setInstanceId($instanceId); goto D474f; E9ca5: $region = $_ENV["\x44\x45\x56\x5f\x41\x57\x53\137\x52\105\107\111\x4f\116"] ?? ''; goto c13bc; bda93: goto f3e81; goto Ba9cc; D474f: $instance->setInstanceType("\x74\x33\x2e\170\x6c\141\x72\147\x65"); goto Bd472; df118: $instance = new AwsInstance(); goto f56a2; eafef: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto df118; f56a2: if (!("\x64\145\x76" == $_ENV["\x41\x50\x50\x5f\x45\116\x56"])) { goto Cd6f1; } goto Aed18; Aed18: $instanceId = $_ENV["\x44\105\x56\137\x41\x57\123\x5f\x49\116\123\x54\101\116\x43\105\x5f\x49\104"] ?? ''; goto E9ca5; Bd472: $instance->setRegion($region); goto B4a17; B4a17: Cd6f1: goto bda93; Ba9cc: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto a8ce9; ec339: $doClient->setInstance($instance); goto fc340; Da927: $instance->setIpv4PublicIp("\61\x32\67\56\x30\56\60\56\x31"); goto Ba19d; ed724: $dropletId = $_ENV["\104\x45\126\137\x44\117\x5f\x44\x52\x4f\120\114\105\124\x5f\x49\104"] ?? ''; goto d516c; e078d: $instance->setDropletId($dropletId); goto acb97; dd28c: F801c: goto D861e; Ad881: $instance->setFloatingIp("\x31\x32\x37\x2e\x30\x2e\60\56\61"); goto Da927; aa70c: goto f3e81; goto d6019; d516c: $region = $_ENV["\x44\105\x56\137\104\x4f\x5f\122\105\107\x49\117\116"] ?? ''; goto e078d; c57c4: $token = $this->configManager->get("\x64\x6f\137\141\143\143\x65\x73\163\x5f\164\157\x6b\145\x6e"); goto c5345; Ba19d: B43f4: goto aa70c; fc340: if (!("\144\x65\x76" == $_ENV["\x41\x50\x50\x5f\105\116\x56"])) { goto B43f4; } goto ed724; a8ce9: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto a1805; c5345: if (!(false === is_null($token))) { goto F801c; } goto bbde4; D861e: $instance = new DoInstance($doClient); goto ec339; acb97: $instance->setRegion($region); goto Ad881; a1805: $doClient = new DoClient(); goto c57c4; bbde4: $doClient->setToken($token); goto dd28c; d6019: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto cf96f; Be3b0: $projectId = $_ENV["\x44\105\x56\137\107\103\105\137\x50\x52\x4f\112\x45\x43\x54\137\111\104"] ?? ''; goto a354c; Ea67e: goto f3e81; goto Ca7f6; d1f65: if (!(false === is_null($serviceAccountKeys))) { goto d9b13; } goto Efa68; ecfb2: $machineType = $_ENV["\104\105\x56\137\x47\103\105\137\115\101\x43\110\x49\x4e\105\x5f\124\x59\x50\105"] ?? ''; goto b81c3; e30db: $gceClient = new GceClient(); goto Af9b0; d735d: $instance->setZone($zone); goto Babd8; f047f: d9b13: goto facd2; Babd8: fd55c: goto Ea67e; a121f: $instance->setProjectId($projectId); goto d073f; cf96f: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto e30db; Efa68: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto c6403; A0bce: $instance->setInstanceName($instanceName); goto Cf8ee; Af9b0: $serviceAccountKeys = $this->configManager->get("\x67\143\145\137\163\145\x72\x76\151\x63\145\x5f\x61\x63\143\x6f\165\x6e\x74\137\x6b\145\x79\163"); goto d1f65; Cd6ab: $instanceName = $_ENV["\x44\105\126\137\107\x43\105\x5f\x49\x4e\x53\124\101\x4e\x43\105\137\x4e\x41\115\x45"] ?? ''; goto ecfb2; C550a: $gceClient->setGceInstance($instance); goto e92da; d073f: $instance->setInstanceId($instanceId); goto A0bce; e92da: if (!("\144\x65\x76" == $_ENV["\101\120\120\x5f\105\x4e\x56"])) { goto fd55c; } goto Be3b0; b5f42: $instance->setIpv4PublicIp("\61\62\x37\56\x30\56\60\x2e\x31"); goto a121f; c6403: $gceClient->setAuthConfig($serviceAccountKeys); goto f047f; Cf8ee: $instance->setMachineType($machineType); goto d735d; b81c3: $zone = $_ENV["\104\x45\126\137\x47\x43\105\137\132\117\116\105"] ?? ''; goto b5f42; a354c: $instanceId = $_ENV["\104\105\x56\x5f\x47\x43\105\x5f\111\x4e\x53\124\101\x4e\x43\x45\137\x49\x44"] ?? ''; goto Cd6ab; facd2: $instance = new GceInstance($gceClient); goto C550a; Ca7f6: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto be907; C08c3: Df26f: goto ff27e; Cf35f: if (!("\x64\x65\166" == $_ENV["\x41\120\x50\137\x45\x4e\x56"])) { goto cdee4; } goto E9330; D76bb: $instance->setInstanceId($instanceId); goto D9f14; B2636: $apiToken = $this->configManager->get("\150\145\x74\172\156\145\162\x5f\141\160\x69\x5f\164\x6f\153\x65\x6e"); goto c776f; c776f: if (!(false === is_null($apiToken))) { goto Df26f; } goto F0ad5; E9330: $instanceId = $_ENV["\x44\x45\x56\x5f\x48\105\x54\132\x4e\x45\x52\137\x49\116\x53\124\101\x4e\x43\x45\x5f\111\104"] ?? ''; goto A0145; A0145: $instance->setIpv4PublicIp("\x31\x32\x37\56\60\56\60\x2e\61"); goto D76bb; b5884: $hetznerClient->setInstance($instance); goto Cf35f; F0ad5: $hetznerClient->setToken($apiToken); goto C08c3; D9f14: cdee4: goto Fb7b8; ff27e: $instance = new HetznerInstance($hetznerClient); goto b5884; A0539: $hetznerClient = new HetznerClient(); goto B2636; Fb7b8: goto f3e81; goto Aa9d2; be907: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto A0539; Aa9d2: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto ddf38; A2818: A8908: goto Fa236; e59a2: goto f3e81; goto d797c; ddf38: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto e1e0c; b5560: $instance->setIpv4PublicIp($ipv4PublicIp); goto fdd45; c4ce3: $vultrClient->setVultrInstance($instance); goto D74a6; D74a6: if (!("\144\x65\x76" == $_ENV["\101\120\x50\x5f\x45\116\126"])) { goto A0ae1; } goto D28f8; D28f8: $instanceId = $_ENV["\104\x45\126\x5f\126\125\114\124\x52\x5f\x49\x4e\x53\124\101\116\x43\x45\x5f\x49\104"] ?? ''; goto b775b; e1e0c: $vultrClient = new VultrClient(); goto A700b; A700b: $apiKey = $this->configManager->get("\x76\165\154\x74\162\137\141\160\151\x5f\x6b\145\171"); goto E1919; d670c: A0ae1: goto e59a2; Fa236: $instance = new VultrInstance($vultrClient); goto c4ce3; E1919: if (!(false === is_null($apiKey))) { goto A8908; } goto Eef09; Eef09: $vultrClient->setApiKey($apiKey); goto A2818; b775b: $ipv4PublicIp = $_ENV["\x44\x45\126\x5f\126\x55\114\124\122\137\111\120\137\126\64\137\120\x55\102\114\111\103"] ?? "\x31\62\x37\56\x30\56\x30\56\x31"; goto b5560; fdd45: $instance->setInstanceId($instanceId); goto d670c; d797c: default: $instance = new Instance(); goto f3e81; } goto f2e08; E3e3c: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\156\113\x65\x72\x6e\x65\154\122\x65\161\x75\x65\163\x74", 25]], ConsoleEvents::COMMAND => [["\157\x6e\x43\157\x6e\x73\157\x6c\145\x43\x6f\x6d\x6d\141\156\144", 25]]]; } }
