<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto bdbed; c178d: $serverNameProcessor = new ServerNameProcessor(); goto e376d; bb1bd: $this->addProcessor($redirectDomainProcessor); goto Ffda7; bdbed: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto c178d; E7d33: $this->addProcessor($settingsProcessor); goto A4482; a4197: $this->addProcessor($certificateKeyProcessor); goto A682c; Ed87d: $this->addProcessor($nginxErrorLogProcessor); goto a4197; e7834: $redirectDomainProcessor = new RedirectDomainProcessor(); goto E803e; Da6ef: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto fbf8f; E803e: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto C5b5a; C5b5a: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto Da6ef; Eb231: $this->addProcessor($redirectServerNameProcessor); goto bb1bd; B8042: $settingsProcessor = new SettingsProcessor(); goto b7e03; b7e03: $this->addProcessor($rootDirectoryProcessor); goto e4208; fbf8f: $certificateProcessor = new NginxCertificateProcessor(); goto B8042; e376d: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto e7834; A682c: $this->addProcessor($certificateProcessor); goto E7d33; Ffda7: $this->addProcessor($nginxAccessLogProcessor); goto Ed87d; e4208: $this->addProcessor($serverNameProcessor); goto Eb231; A4482: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto c57fa; B0cc0: $placeholders = $this->getPlaceholders(); goto cea86; c57fa: $processors = $this->getProcessors(); goto B0cc0; cf99d: A3eff: goto Ce758; cea86: foreach ($placeholders as $placeholder) { goto cb6f0; efaef: $this->removePlaceholder($placeholder); goto b4e81; Fcb89: if (!(true === $hasProcessor)) { goto beffa; } goto De414; d9902: $processor->setSite($this->site); goto Af5d2; Af5d2: $this->content = $processor->process($this->content); goto efaef; cb6f0: $hasProcessor = $this->hasProcessor($placeholder); goto Fcb89; Fe561: D2822: goto B45e7; De414: $processor = $processors[$placeholder]; goto d9902; b4e81: beffa: goto Fe561; B45e7: } goto cf99d; Ce758: } public function removeEmptyPlaceholders() : void { goto c8dfd; c8dfd: $placeholders = $this->getPlaceholders(); goto e2aa0; a2e9b: f36a6: goto Adf26; e2aa0: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); Df7cd: } goto a2e9b; Adf26: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto Dc770; ae637: return $this->placeholders; goto c9158; eac24: Bc5e0: goto D43b6; Dc770: if (!(true === empty($this->placeholders))) { goto db717; } goto e6217; Cc980: db717: goto ae637; D43b6: af06d: goto Cc980; d997b: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto af06d; } goto c56a5; c3fc7: foreach ($placeholders as $placeholder) { goto bcdc9; f7aef: E4185: goto A5002; e4128: if (!(false === empty($placeholder))) { goto fba04; } goto c3d1c; c3d1c: $this->addPlaceholder($placeholder); goto E6505; E6505: fba04: goto f7aef; bcdc9: $placeholder = trim($placeholder); goto e4128; A5002: } goto eac24; c56a5: $placeholders = $placeholders[0]; goto c3fc7; e6217: preg_match_all("\x2f\x5b\173\x7b\x5d\173\62\x7d\x28\133\134\x73\x61\x2d\172\101\x2d\x5a\60\x2d\x39\137\x5d\53\51\133\175\x7d\x5d\x7b\x32\175\x2f", $this->content, $placeholders); goto d997b; c9158: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto b0ac6; E535c: unset($this->placeholders[$placeholder]); goto f98be; b0ac6: if (!(true === isset($this->placeholders[$placeholder]))) { goto c128c; } goto E535c; f98be: c128c: goto c071a; c071a: } }
