<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\145\164\x63\x2f\156\147\151\156\x78\57\x62\x61\x73\x69\143\55\141\x75\164\x68\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\145\164\143\x2f\156\x67\x69\156\x78\57\x73\x69\x74\145\163\55\145\156\x61\x62\x6c\145\x64\57"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\x65\164\143\x2f\x6e\x67\x69\156\x78\57\x73\x73\x6c\x2d\x63\145\x72\x74\151\146\x69\143\x61\x74\x65\x73\57"; public const CRON_DIRECTORY = "\x2f\x65\x74\x63\x2f\143\x72\157\156\x2e\x64\57"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto C912b; C26f8: $vhostTemplate->build(); goto D4d4d; E9dcf: $vhostFile = sprintf("\x25\163\57\45\163\56\x63\157\156\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto C26f8; adee4: $vhostTemplate->setContent($vhostFileContent); goto E9dcf; c8096: $writeVhostFileCommand->setContent($vhostContent); goto a8e4f; Cbfef: $writeVhostFileCommand = new WriteFileCommand(); goto Ea544; ddd15: $vhostFileContent = $this->site->getVhostTemplate(); goto b47cc; a8e4f: $this->commandExecutor->execute($writeVhostFileCommand); goto E15c2; b47cc: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto c90cb; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto c90cb; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto c90cb; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto c90cb; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto c90cb; } goto A17a3; ed42f: c90cb: goto adee4; A17a3: F3809: goto ed42f; D4d4d: $vhostTemplate->removeEmptyPlaceholders(); goto C7c7f; C912b: $domainName = $this->site->getDomainName(); goto ddd15; C7c7f: $vhostContent = $vhostTemplate->getContent(); goto Cbfef; Ea544: $writeVhostFileCommand->setFile($vhostFile); goto c8096; E15c2: } public function updateNginxVhostWithRollback() : void { try { goto e98e2; d0a7e: $vhostContent = $vhostTemplate->getContent(); goto e3fec; bffd8: $this->commandExecutor->execute($reloadNginxServiceCommand); goto B8645; d0e0a: $this->commandExecutor->execute($writeVhostFileCommand); goto Ebda9; e0677: $vhostTemplate->removeEmptyPlaceholders(); goto d0a7e; F33cd: $copyVhostBackupFileCommand = new CopyFileCommand(); goto dc997; b1a99: $vhostFileContent = $this->site->getVhostTemplate(); goto B8f30; dc997: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto Db5ee; Ca0a9: $writeVhostFileCommand->setFile($vhostFile); goto aa8e6; Ebda9: $this->commandExecutor->execute($nginxConfigTestCommand); goto B448c; c358e: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto E67d1; ab822: $vhostFile = sprintf("\45\x73\x2f\45\x73\56\x63\157\156\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto Cadab; f7dd3: D01b9: goto Ce793; Dac20: $reloadNginxServiceCommand->setServiceName("\x6e\x67\x69\156\170"); goto bffd8; A09de: $writeVhostFileCommand = new WriteFileCommand(); goto Ca0a9; B8f30: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Eb4b8; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Eb4b8; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Eb4b8; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Eb4b8; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Eb4b8; } goto f7dd3; Ce793: Eb4b8: goto Bc170; F6959: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto d0e0a; B8645: c3391: goto e00a2; e3fec: $vhostBackupFile = sprintf("\x25\163\57\x25\x73\56\143\x6f\x6e\146\x2e\142\x61\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto F33cd; Cadab: $vhostTemplate->build(); goto e0677; Fb4fb: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto Dac20; E67d1: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto Fa4f2; Db5ee: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto A09de; e00a2: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto C630c; B448c: if (!("\144\x65\x76" != $_ENV["\101\120\120\x5f\x45\x4e\x56"])) { goto c3391; } goto Fb4fb; e98e2: $domainName = $this->site->getDomainName(); goto b1a99; Fa4f2: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto F6959; aa8e6: $writeVhostFileCommand->setContent($vhostContent); goto c358e; Bc170: $vhostTemplate->setContent($vhostFileContent); goto ab822; C630c: } catch (\Exception $e) { goto A9e29; e2052: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto dc940; df200: $errorMessage = $nginxConfigTestCommand->getOutput(); goto B7a36; A9e29: $errorMessage = $e->getMessage(); goto F5e43; F5e43: if (!(true === isset($nginxConfigTestCommand))) { goto Bce9d; } goto df200; be231: eb909: goto D4a8d; C3863: $restoreBackupFileCommand = new CopyFileCommand(); goto C66f6; B7a1e: $this->commandExecutor->execute($reloadNginxServiceCommand); goto be231; dc940: $this->commandExecutor->execute($restoreBackupFileCommand); goto Fc0a4; D4a8d: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto B38fc; C66f6: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto e2052; Fc0a4: if (!(true === isset($reloadNginxServiceCommand))) { goto eb909; } goto B7a1e; B7a36: Bce9d: goto C3863; B38fc: throw new InvalidVhostException($errorMessage); goto ce097; ce097: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto f104e; fc33c: $siteUser = $site->getUser(); goto cd4a3; Bd74d: $createUserCommand->setPassword($sshUserPassword); goto a4f03; F89f7: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto f1b88; f104e: $site = $sshUserEntity->getSite(); goto fc33c; A7ec0: foreach ($symlinkDirectories as $symlinkDirectory) { goto a1d52; Ac1ad: aaeb9: goto fb8ca; cfe71: $symlinkCommand = new CreateSymlinkCommand(); goto c78bb; E14fa: $symlinkCommand->setDestination($destination); goto Ee0f5; e6437: $this->commandExecutor->execute($symlinkCommand); goto A15dc; c78bb: $symlinkCommand->setRunAsUser($sshUserName); goto ccc7f; Bd7ab: $destination = sprintf("\x2f\x68\x6f\x6d\x65\57\45\163\57\x25\163", $sshUserName, $symlinkDirectory); goto cfe71; ccc7f: $symlinkCommand->setSource($source); goto E14fa; Ee0f5: if (!("\x64\145\166" != $_ENV["\x41\120\x50\x5f\x45\116\x56"])) { goto E5868; } goto e6437; a1d52: $source = sprintf("\x2f\x68\x6f\155\x65\57\x25\163\x2f\x25\163", $siteUser, $symlinkDirectory); goto Bd7ab; A15dc: E5868: goto Ac1ad; fb8ca: } goto c68b9; a5479: $createUserCommand->setShell("\x2f\142\151\x6e\57\142\x61\163\x68"); goto eb209; Cc9e2: $sshDirectoryChmodCommand = new FindChmodCommand(); goto c3bb8; F84c5: $createUserCommand->setUserName($sshUserName); goto Bd74d; F397c: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto F77f3; a4f03: $createUserCommand->setGroup($siteUser); goto a5479; Ad9a8: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto Fe38e; B67b8: $createUserCommand->setHomeDirectory($homeDirectory); goto B699d; B3748: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\x2e\x2e\x2f\x2e\x2e\57\162\x65\163\157\165\x72\143\145\x73\x2f\145\164\143\x2f\x73\153\x65\154\57\x73\163\x68\x2d\165\163\145\162\x2f"); goto d2c67; A6424: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto F397c; f5d52: $sshUserPassword = $sshUserEntity->getPassword(); goto c3cc4; Ca37b: $sshDirectory = sprintf("\57\x68\157\155\145\x2f\45\x73\57\x2e\163\163\150", $sshUserName); goto Cc9e2; F8200: $symlinkDirectories = ["\142\141\x63\x6b\x75\x70\163", "\150\164\x64\157\143\x73", "\154\157\147\163"]; goto A7ec0; C8898: $this->commandExecutor->execute($createUserCommand); goto F8200; Fe38e: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto A6424; c3cc4: $homeDirectory = sprintf("\57\150\157\x6d\x65\57\45\163", $sshUserName); goto B3748; e33fa: $siteUserHomeDirectory = sprintf("\x2f\x68\x6f\x6d\145\57\x25\x73", $siteUser); goto Dead0; B699d: $createUserCommand->createHomeDirectory(true); goto C8898; F77f3: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto B86b8; d2c67: $createUserCommand = new CreateUserCommand(); goto F84c5; cd4a3: $sshUserName = $sshUserEntity->getUserName(); goto f5d52; c68b9: F4193: goto Ca37b; c3bb8: $sshDirectoryChmodCommand->setFile($sshDirectory); goto F89f7; eb209: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto B67b8; Dead0: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto Ad9a8; f1b88: $sshDirectoryChmodCommand->setFileChmod(600); goto e33fa; B86b8: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto dfa5d; e7ae6: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto cb4aa; d9399: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto c6e48; d189a: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto bee64; bee64: $createUserCommand = new CreateUserCommand(); goto D34d1; b19ce: $siteUserHomeDirectory = sprintf("\57\150\x6f\x6d\x65\57\45\x73", $siteUser); goto d9399; e14e7: $createUserCommand->setShell("\57\x62\x69\x6e\57\x66\141\154\163\145"); goto d7ed1; B1dc0: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto C7c10; A0103: $ftpUserName = $ftpUserEntity->getUserName(); goto f37ae; ee732: $createUserCommand->setPassword($ftpUserPassword); goto Cefd7; d7ed1: $createUserCommand->setHomeDirectory($homeDirectory); goto F1bef; F1bef: $createUserCommand->createHomeDirectory(false); goto b19ce; Cd9e9: $this->commandExecutor->execute($createUserCommand); goto e7ae6; D34d1: $createUserCommand->setUserName($ftpUserName); goto ee732; f37ae: $ftpUserPassword = $ftpUserEntity->getPassword(); goto d189a; a43b9: $createUserCommand->setGroups(["\x66\164\x70\55\165\x73\145\x72"]); goto e14e7; C7c10: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto Cd9e9; d72e5: $siteUser = $site->getUser(); goto A0103; c6e48: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto B1dc0; Cefd7: $createUserCommand->setGroup($siteUser); goto a43b9; dfa5d: $site = $ftpUserEntity->getSite(); goto d72e5; cb4aa: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto aad23; aad23: $deleteUserCommand = new DeleteUserCommand(); goto e876e; Af4ff: $this->commandExecutor->execute($deleteUserCommand); goto B2e95; e876e: $deleteUserCommand->setUserName($userName); goto D7686; D7686: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto Af4ff; B2e95: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto edac3; B599f: $writeCertificateFileCommand->setContent($certificate); goto fdc41; a3683: $certificate = $certificateEntity->getCertificate(); goto baa40; a76d6: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto C01e5; baa40: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto ece78; } goto B962f; a9c17: $certificateFile = sprintf("\x25\x73\57\x25\x73\56\x63\162\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto a3683; Dee76: $writePrivateKeyFileCommand = new WriteFileCommand(); goto Ea09c; Dea2e: $writeCertificateFileCommand->setFile($certificateFile); goto B599f; C01e5: $writeCertificateFileCommand = new WriteFileCommand(); goto Dea2e; b99b4: $this->reloadService("\x6e\x67\151\x6e\170"); goto Beb9c; edac3: $domainName = $this->site->getDomainName(); goto Bd635; Fc148: ece78: goto Dee76; Bd635: $privateKeyFile = sprintf("\45\x73\x2f\45\x73\x2e\153\145\171", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto a9c17; Ea09c: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto a76d6; fdc41: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto a537e; B962f: $certificate .= sprintf("\45\x73\x25\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto Fc148; a537e: $this->commandExecutor->execute($writeCertificateFileCommand); goto b99b4; Beb9c: } public function deleteLetsEncryptChallengeDirectory() : void { goto F9535; F6a9a: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto Daa56; Daa56: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto f1834; F9535: $rootDirectory = $this->getRootDirectory(); goto bafb5; f1834: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto B9d43; bafb5: $acemeChallengeDirectory = sprintf("\45\x73\57\x2e\167\145\x6c\154\55\x6b\x6e\x6f\167\156\x2f\x61\143\155\x65\55\143\x68\141\x6c\154\145\156\x67\x65\x2f", rtrim($rootDirectory, "\57")); goto F6a9a; B9d43: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto e66c8; Eb5f7: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto d8e90; d8e90: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto b4501; b4501: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto Bb87c; e66c8: $basicAuthFile = sprintf("\45\x73\x2f\45\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\57"), $this->site->getDomainName()); goto a5465; a5465: $basicAuthFileContent = sprintf("\45\x73\72\x25\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto C7e14; C7e14: $writeBasicAuthFileCommand = new WriteFileCommand(); goto Eb5f7; Bb87c: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto eb791; D649c: $rootDirectory = $this->getRootDirectory(); goto Badab; D8e77: ed996: goto d1b49; cc2f1: $acemeChallengeDirectory = sprintf("\x25\163\57\x2e\x77\x65\x6c\x6c\55\x6b\x6e\x6f\x77\156\57\141\x63\x6d\145\x2d\143\150\x61\154\154\145\x6e\x67\145\x2f", rtrim($rootDirectory, "\57")); goto D545e; E0e28: if (!count($challenges)) { goto ed996; } goto a20bd; e3a73: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto Caf8a; a20bd: foreach ($challenges as $challenge) { goto Fb10f; Fb10f: $token = $challenge["\x74\x6f\x6b\x65\156"] ?? null; goto Df12b; A1355: b5f79: goto d6a7c; d6a7c: B5013: goto f9558; Adf87: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto b5f79; } goto B31f5; Dcd37: $challengeWriteFileCommand = new WriteFileCommand(); goto fdf87; d6c86: $this->commandExecutor->execute($challengeWriteFileCommand); goto A1355; Df12b: $verificationContent = $challenge["\x76\x65\162\x69\146\151\x63\x61\x74\x69\157\156\x43\x6f\x6e\x74\x65\x6e\164"] ?? null; goto Adf87; Fd8a2: $challengeWriteFileCommand->setContent($verificationContent); goto d6c86; B31f5: $challengeFile = sprintf("\x25\163\x2f\45\163", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto Dcd37; fdf87: $challengeWriteFileCommand->setFile($challengeFile); goto Fd8a2; f9558: } goto f8ff1; E184a: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto Fe066; Daed4: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto Ade5c; Fe066: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto f3dc1; Cf078: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto cf2f7; dbafa: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto aceb7; Ade5c: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto Ad1ab; f3dc1: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto E0e28; eb791: $siteUser = $this->site->getUser(); goto D649c; Caf8a: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto Daed4; f8ff1: c5ee6: goto D8e77; d7170: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto Cf078; cf2f7: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto e3a73; aceb7: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto e9c24; d1b49: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto d7170; Ad1ab: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto dbafa; Badab: $wellKnownDirectory = sprintf("\x25\163\x2f\56\x77\x65\154\154\55\153\x6e\157\167\x6e\57", rtrim($rootDirectory, "\x2f")); goto cc2f1; D545e: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto E184a; e9c24: } public function updateUserCrontab() : void { goto Eeb49; ab792: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); A0a6b: } goto e5c71; Bb2e2: $crontabFile = sprintf("\x25\163\x2f\45\163", rtrim(self::CRON_DIRECTORY, "\57"), $siteUser); goto Cccde; c91d5: $writeCrontabFileCommand = new WriteFileCommand(); goto Aa89a; Eeb49: $siteUser = $this->site->getUser(); goto Bb2e2; Aa89a: $writeCrontabFileCommand->setFile($crontabFile); goto dd0f8; C4412: $crontabContent = implode(PHP_EOL, $crontabEntries); goto c91d5; c0659: C1a17: goto C4412; d9713: $this->commandExecutor->execute($writeCrontabFileCommand); goto d857b; b69b5: $cronJobs = $this->site->getCronJobs(); goto e36bd; e36bd: if (!count($cronJobs)) { goto C1a17; } goto ab792; dd0f8: $writeCrontabFileCommand->setContent($crontabContent); goto d9713; Cccde: $crontabEntries = ["\115\101\x49\x4c\124\x4f\x3d\x22\42"]; goto b69b5; e5c71: d8214: goto c0659; d857b: } public function purgePageSpeedCache() : void { goto A479e; Fe399: $cacheDirectory = sprintf("\57\x68\157\x6d\x65\57\x25\163\57\164\155\x70\57\160\x61\x67\145\x73\x70\x65\x65\144\137\x63\x61\143\150\x65", $siteUser); goto b1047; b0c09: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto f2671; b1047: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto b0c09; A479e: $siteUser = $this->site->getUser(); goto Fe399; f2671: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto De186; De186: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto a1582; c0a9d: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto aa14c; e3f45: b0eb0: goto daa52; db76e: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto b0eb0; } goto c0a9d; aa14c: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto Ccc59; F4b01: $this->commandExecutor->execute($readLinkCommand); goto c0460; a4c85: $readLinkCommand = new ReadLinkCommand(); goto eee4e; Ccc59: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto D21d2; a1582: $authorizedKeysFile = sprintf("\57\x68\157\x6d\145\57\x25\x73\x2f\x2e\x73\163\x68\57\141\165\164\x68\157\162\151\172\x65\x64\137\x6b\x65\x79\x73", $userName); goto a4c85; eee4e: $readLinkCommand->setFile($authorizedKeysFile); goto F4b01; D21d2: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto e3f45; c0460: $readLinkPath = $readLinkCommand->getOutput(); goto db76e; daa52: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto A64e2; A64e2: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto B9815; B9815: $changeUserHomeDirectoryCommand->setUserName($userName); goto E2ca9; Dfa7e: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto Ceacf; E2ca9: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto Dfa7e; Ceacf: } public function changeUserPassword(string $userName, string $password) : void { goto dd397; dd397: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto Bc3b1; F8788: $changeUserPasswordCommand->setPassword($password); goto feb29; Bc3b1: $changeUserPasswordCommand->setUserName($userName); goto F8788; feb29: $this->commandExecutor->execute($changeUserPasswordCommand); goto d1336; d1336: } protected function getRootDirectory() : string { goto B1f5d; B1f5d: $siteUser = $this->site->getUser(); goto Fff17; e8c5f: $rootDirectory = sprintf("\57\x68\x6f\155\x65\57\x25\x73\57\150\x74\x64\157\143\163\57\45\x73", $siteUser, $rootDirectory); goto A647d; A647d: return $rootDirectory; goto d349d; Fff17: $rootDirectory = $this->site->getRootDirectory(); goto e8c5f; d349d: } public function reloadNginxService() : void { $this->reloadService("\x6e\x67\x69\156\170"); } public function reloadService($serviceName) { goto E2df4; be207: $reloadServiceCommand = new ServiceReloadCommand(); goto C1d76; C916f: $this->commandExecutor->execute($reloadServiceCommand); goto Dcdba; Dcdba: b6a14: goto b9402; E2df4: if (!("\x64\x65\166" != $_ENV["\101\x50\x50\x5f\x45\x4e\x56"])) { goto b6a14; } goto be207; C1d76: $reloadServiceCommand->setServiceName($serviceName); goto C916f; b9402: } }
